androsyn    2008/11/14 19:02:12 UTC	(20081114_3-26194)
  Log:
  change libratbox external to use the tagged version

  Modified:
	ircd-ratbox/tags/RATBOX_3_0_0/  (Property Modified)


androsyn    2008/11/14 19:01:27 UTC	(20081114_2-26192)
  Log:
  tag ircd-ratbox RATBOX_3_0_0

  Modified:
	ircd-ratbox/tags/RATBOX_3_0_0/ (File Added) 


androsyn    2008/11/14 19:00:43 UTC	(20081114_1-26188)
  Log:
  update RELNOTES and patchlevel.h

  Modified:
	ircd-ratbox/trunk/RELNOTES (File Modified) 
	ircd-ratbox/trunk/include/patchlevel.h (File Modified) 


androsyn    2008/11/14 16:37:10 UTC	(20081114_0-26186)
  Log:
  change the default for global ipv4 cidr counts to 384

  Modified:
	ircd-ratbox/trunk/doc/example.conf (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 


androsyn    2008/11/12 01:35:10 UTC	(20081112_0-26184)
  Log:
  report bandb failure to stderr, if we are in the foreground

  Modified:
	ircd-ratbox/trunk/src/bandbi.c (File Modified) 


androsyn    2008/11/11 02:52:41 UTC	(20081111_0-26182)
  Log:
  meh..this is crappy - check to see if the file we just opened with sqlite, if we have write access to it, sqlite falls back to read only if opening read/write fails...retarded

  Modified:
	ircd-ratbox/trunk/bandb/rsdb_sqlite3.c (File Modified) 


androsyn    2008/11/04 20:15:48 UTC	(20081104_1-26176)
  Log:
  Rerun libtoolize to get updated libtool and libltdl
  

  Modified:
	ircd-ratbox/trunk/config.guess (File Modified) 
	ircd-ratbox/trunk/config.sub (File Modified) 
	ircd-ratbox/trunk/libltdl/Makefile.am (File Modified) 
	ircd-ratbox/trunk/libltdl/Makefile.in (File Modified) 
	ircd-ratbox/trunk/libltdl/acinclude.m4 (File Modified) 
	ircd-ratbox/trunk/libltdl/config.guess (File Modified) 
	ircd-ratbox/trunk/libltdl/config.sub (File Modified) 
	ircd-ratbox/trunk/libltdl/configure (File Modified) 
	ircd-ratbox/trunk/libltdl/ltdl.c (File Modified) 
	ircd-ratbox/trunk/libltdl/ltmain.sh (File Modified) 
	ircd-ratbox/trunk/libltdl/missing (File Modified) 
	ircd-ratbox/trunk/ltmain.sh (File Modified) 


androsyn    2008/11/04 19:42:27 UTC	(20081104_0-26174)
  Log:
  report logfile access issues

  Modified:
	ircd-ratbox/trunk/src/s_log.c (File Modified) 


androsyn    2008/10/26 21:03:00 UTC	(20081026_1-26172)
  Log:
  use rb_basename

  Modified:
	ircd-ratbox/trunk/include/modules.h (File Modified) 
	ircd-ratbox/trunk/src/modules.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2008/10/26 19:52:43 UTC	(20081026_0-26164)
  Log:
  have rsdb_init return a value if it fails to open the database and have bantool use that value

  Modified:
	ircd-ratbox/trunk/bandb/bantool.c (File Modified) 
	ircd-ratbox/trunk/bandb/rsdb.h (File Modified) 
	ircd-ratbox/trunk/bandb/rsdb_sqlite3.c (File Modified) 


androsyn    2008/10/20 22:01:30 UTC	(20081020_4-26162)
  Log:
  change the configure option for ipv6 to be --disable-ipv6

  Modified:
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 


androsyn    2008/10/20 16:05:37 UTC	(20081020_3-26160)
  Log:
  change rb_clear_patricia to rb_destroy_patricia and just wipe the whole damn thing clean and reallocate a new one...

  Modified:
	ircd-ratbox/trunk/src/reject.c (File Modified) 


androsyn    2008/10/20 14:16:16 UTC	(20081020_2-26152)
  Log:
  update patchlevel and RELNOTES

  Modified:
	ircd-ratbox/trunk/RELNOTES (File Modified) 
	ircd-ratbox/trunk/include/patchlevel.h (File Modified) 


androsyn    2008/10/20 06:13:52 UTC	(20081020_1-26150)
  Log:
  make is_cti/is_sti collect times connected in unsigned long long instead of time_t as well..on 32bit boxes that is going to wrap pretty quickly

  Modified:
	ircd-ratbox/trunk/include/s_stats.h (File Modified) 
	ircd-ratbox/trunk/modules/m_stats.c (File Modified) 
	ircd-ratbox/trunk/src/client.c (File Modified) 


androsyn    2008/10/20 05:21:59 UTC	(20081020_0-26148)
  Log:
  free localClient->lip after we no longer need it..this keeps us from leaking 128 bytes for connection

  Modified:
	ircd-ratbox/trunk/src/client.c (File Modified) 
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 


androsyn    2008/10/17 00:55:52 UTC	(20081017_0-26146)
  Log:
  righto..a useful commit here

  Modified:
	ircd-ratbox/trunk/src/messages.tab (File Modified) 


androsyn    2008/10/14 16:33:26 UTC	(20081014_0-26144)
  Log:
  keep people from passing absurd values to --with-nicklen or without values all together\!

  Modified:
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 


androsyn    2008/10/07 18:34:35 UTC	(20081007_2-26142)
  Log:
  replace some cases of using malloc/free with rb_malloc/rb_free via ahf@efnet

  Modified:
	ircd-ratbox/trunk/modules/m_oper.c (File Modified) 
	ircd-ratbox/trunk/resolver/getaddrinfo.c (File Modified) 
	ircd-ratbox/trunk/resolver/reslib.c (File Modified) 
	ircd-ratbox/trunk/resolver/reslist.c (File Modified) 
	ircd-ratbox/trunk/src/getopt.c (File Modified) 


androsyn    2008/10/07 17:06:06 UTC	(20081007_1-26140)
  Log:
  make a few changes to whats-new-3.0.txt

  Modified:
	ircd-ratbox/trunk/doc/whats-new-3.0.txt (File Modified) 


androsyn    2008/10/07 14:36:14 UTC	(20081007_0-26138)
  Log:
  fix a few thinkos in the RELNOTES file

  Modified:
	ircd-ratbox/trunk/RELNOTES (File Modified) 


androsyn    2008/10/06 13:54:40 UTC	(20081006_0-26130)
  Log:
  update patchlevel and release notes

  Modified:
	ircd-ratbox/trunk/RELNOTES (File Modified) 
	ircd-ratbox/trunk/include/patchlevel.h (File Modified) 


androsyn    2008/10/03 18:07:46 UTC	(20081003_1-26128)
  Log:
  Honor -logfile setting and move the -version check further up 
  From romracer@efnet
  
  

  Modified:
	ircd-ratbox/trunk/include/s_log.h (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 
	ircd-ratbox/trunk/src/s_log.c (File Modified) 


jilles      2008/10/03 16:32:15 UTC	(20081003_0-26124)
  Log:
  Restrict JOIN 0 to the useful parts:
  only allow "0" by itself and "0," followed by channels.
  Multiple zeroes or zeroes after commas are no longer
  special and result in a "no such channel" error.
  from charybdis (jilles)
  

  Modified:
	ircd-ratbox/trunk/modules/core/m_join.c (File Modified) 


androsyn    2008/09/29 17:49:58 UTC	(20080929_1-26120)
  Log:
  log ERRORs to file regardless of hide_error_messages setting, but still only log servers

  Modified:
	ircd-ratbox/trunk/modules/core/m_error.c (File Modified) 


androsyn    2008/09/29 14:54:52 UTC	(20080929_0-26112)
  Log:
  update release notes and patch level

  Modified:
	ircd-ratbox/trunk/RELNOTES (File Modified) 
	ircd-ratbox/trunk/include/patchlevel.h (File Modified) 


androsyn    2008/09/23 15:41:39 UTC	(20080923_0-26110)
  Log:
  Do not abort configure AC_CHECK_SQLITE3 fails

  Modified:
	ircd-ratbox/trunk/acinclude.m4 (File Modified) 
	ircd-ratbox/trunk/configure (File Modified) 


androsyn    2008/09/22 18:38:10 UTC	(20080922_0-26108)
  Log:
  update example configs for use_sslonly option

  Modified:
	ircd-ratbox/trunk/doc/example.conf (File Modified) 
	ircd-ratbox/trunk/doc/example.efnet.conf (File Modified) 


androsyn    2008/09/20 03:24:47 UTC	(20080920_3-26106)
  Log:
  fix building with -pedantic aka ISO C

  Modified:
	ircd-ratbox/trunk/bandb/rsdb_sqlite3.c (File Modified) 
	ircd-ratbox/trunk/bandb/sqlite3/sqlite3.c (File Modified) 


androsyn    2008/09/20 02:24:38 UTC	(20080920_2-26104)
  Log:
  technically we should not cast a function pointer to a void *, so fix the hook code to do it "The Right Way"(tm)

  Modified:
	ircd-ratbox/trunk/src/hook.c (File Modified) 


androsyn    2008/09/20 01:30:44 UTC	(20080920_1-26102)
  Log:
  fix a few pedantic warnings

  Modified:
	ircd-ratbox/trunk/src/modules.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


androsyn    2008/09/20 01:08:38 UTC	(20080920_0-26098)
  Log:
  don't do the close on restart stuff on windows

  Modified:
	ircd-ratbox/trunk/src/restart.c (File Modified) 


androsyn    2008/09/19 15:33:46 UTC	(20080919_1-26094)
  Log:
  Update .indent.pro and run through indent
  

  Modified:
	ircd-ratbox/trunk/.indent.pro (File Modified) 
	ircd-ratbox/trunk/bandb/bandb.c (File Modified) 
	ircd-ratbox/trunk/bandb/bantool.c (File Modified) 
	ircd-ratbox/trunk/bandb/rsdb.h (File Modified) 
	ircd-ratbox/trunk/bandb/rsdb_snprintf.c (File Modified) 
	ircd-ratbox/trunk/bandb/rsdb_sqlite3.c (File Modified) 
	ircd-ratbox/trunk/contrib/example_module.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_42.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_clearchan.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_force.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_mkpasswd.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_ojoin.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_okick.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_olist.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_opme.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_webirc.c (File Modified) 
	ircd-ratbox/trunk/contrib/spy_admin_notice.c (File Modified) 
	ircd-ratbox/trunk/contrib/spy_info_notice.c (File Modified) 
	ircd-ratbox/trunk/contrib/spy_links_notice.c (File Modified) 
	ircd-ratbox/trunk/contrib/spy_motd_notice.c (File Modified) 
	ircd-ratbox/trunk/contrib/spy_stats_notice.c (File Modified) 
	ircd-ratbox/trunk/contrib/spy_stats_p_notice.c (File Modified) 
	ircd-ratbox/trunk/contrib/spy_whois_notice.c (File Modified) 
	ircd-ratbox/trunk/contrib/spy_whois_notice_global.c (File Modified) 
	ircd-ratbox/trunk/include/cache.h (File Modified) 
	ircd-ratbox/trunk/include/channel.h (File Modified) 
	ircd-ratbox/trunk/include/client.h (File Modified) 
	ircd-ratbox/trunk/include/config.h (File Modified) 
	ircd-ratbox/trunk/include/defaults.h (File Modified) 
	ircd-ratbox/trunk/include/dns.h (File Modified) 
	ircd-ratbox/trunk/include/hash.h (File Modified) 
	ircd-ratbox/trunk/include/hostmask.h (File Modified) 
	ircd-ratbox/trunk/include/match.h (File Modified) 
	ircd-ratbox/trunk/include/modules.h (File Modified) 
	ircd-ratbox/trunk/include/newconf.h (File Modified) 
	ircd-ratbox/trunk/include/numeric.h (File Modified) 
	ircd-ratbox/trunk/include/parse.h (File Modified) 
	ircd-ratbox/trunk/include/reject.h (File Modified) 
	ircd-ratbox/trunk/include/s_conf.h (File Modified) 
	ircd-ratbox/trunk/include/s_log.h (File Modified) 
	ircd-ratbox/trunk/include/s_newconf.h (File Modified) 
	ircd-ratbox/trunk/include/s_serv.h (File Modified) 
	ircd-ratbox/trunk/include/send.h (File Modified) 
	ircd-ratbox/trunk/include/sslproc.h (File Modified) 
	ircd-ratbox/trunk/include/stdinc.h (File Modified) 
	ircd-ratbox/trunk/include/struct.h (File Modified) 
	ircd-ratbox/trunk/main.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_die.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_error.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_join.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_kick.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_kill.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_message.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_mode.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_nick.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_part.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_quit.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_squit.c (File Modified) 
	ircd-ratbox/trunk/modules/m_accept.c (File Modified) 
	ircd-ratbox/trunk/modules/m_admin.c (File Modified) 
	ircd-ratbox/trunk/modules/m_adminwall.c (File Modified) 
	ircd-ratbox/trunk/modules/m_away.c (File Modified) 
	ircd-ratbox/trunk/modules/m_cap.c (File Modified) 
	ircd-ratbox/trunk/modules/m_capab.c (File Modified) 
	ircd-ratbox/trunk/modules/m_close.c (File Modified) 
	ircd-ratbox/trunk/modules/m_cmessage.c (File Modified) 
	ircd-ratbox/trunk/modules/m_connect.c (File Modified) 
	ircd-ratbox/trunk/modules/m_dline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_encap.c (File Modified) 
	ircd-ratbox/trunk/modules/m_gline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_help.c (File Modified) 
	ircd-ratbox/trunk/modules/m_info.c (File Modified) 
	ircd-ratbox/trunk/modules/m_invite.c (File Modified) 
	ircd-ratbox/trunk/modules/m_ison.c (File Modified) 
	ircd-ratbox/trunk/modules/m_kline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_knock.c (File Modified) 
	ircd-ratbox/trunk/modules/m_links.c (File Modified) 
	ircd-ratbox/trunk/modules/m_list.c (File Modified) 
	ircd-ratbox/trunk/modules/m_locops.c (File Modified) 
	ircd-ratbox/trunk/modules/m_lusers.c (File Modified) 
	ircd-ratbox/trunk/modules/m_map.c (File Modified) 
	ircd-ratbox/trunk/modules/m_monitor.c (File Modified) 
	ircd-ratbox/trunk/modules/m_motd.c (File Modified) 
	ircd-ratbox/trunk/modules/m_names.c (File Modified) 
	ircd-ratbox/trunk/modules/m_oper.c (File Modified) 
	ircd-ratbox/trunk/modules/m_operspy.c (File Modified) 
	ircd-ratbox/trunk/modules/m_pass.c (File Modified) 
	ircd-ratbox/trunk/modules/m_ping.c (File Modified) 
	ircd-ratbox/trunk/modules/m_pong.c (File Modified) 
	ircd-ratbox/trunk/modules/m_post.c (File Modified) 
	ircd-ratbox/trunk/modules/m_rehash.c (File Modified) 
	ircd-ratbox/trunk/modules/m_restart.c (File Modified) 
	ircd-ratbox/trunk/modules/m_resv.c (File Modified) 
	ircd-ratbox/trunk/modules/m_services.c (File Modified) 
	ircd-ratbox/trunk/modules/m_set.c (File Modified) 
	ircd-ratbox/trunk/modules/m_stats.c (File Modified) 
	ircd-ratbox/trunk/modules/m_svinfo.c (File Modified) 
	ircd-ratbox/trunk/modules/m_tb.c (File Modified) 
	ircd-ratbox/trunk/modules/m_testline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_testmask.c (File Modified) 
	ircd-ratbox/trunk/modules/m_time.c (File Modified) 
	ircd-ratbox/trunk/modules/m_topic.c (File Modified) 
	ircd-ratbox/trunk/modules/m_trace.c (File Modified) 
	ircd-ratbox/trunk/modules/m_unreject.c (File Modified) 
	ircd-ratbox/trunk/modules/m_user.c (File Modified) 
	ircd-ratbox/trunk/modules/m_userhost.c (File Modified) 
	ircd-ratbox/trunk/modules/m_version.c (File Modified) 
	ircd-ratbox/trunk/modules/m_wallops.c (File Modified) 
	ircd-ratbox/trunk/modules/m_who.c (File Modified) 
	ircd-ratbox/trunk/modules/m_whois.c (File Modified) 
	ircd-ratbox/trunk/modules/m_whowas.c (File Modified) 
	ircd-ratbox/trunk/modules/m_xline.c (File Modified) 
	ircd-ratbox/trunk/modules/static_modules.c (File Modified) 
	ircd-ratbox/trunk/resolver/res.c (File Modified) 
	ircd-ratbox/trunk/resolver/reslib.h (File Modified) 
	ircd-ratbox/trunk/resolver/reslist.c (File Modified) 
	ircd-ratbox/trunk/resolver/resolver.c (File Modified) 
	ircd-ratbox/trunk/src/bandbi.c (File Modified) 
	ircd-ratbox/trunk/src/cache.c (File Modified) 
	ircd-ratbox/trunk/src/channel.c (File Modified) 
	ircd-ratbox/trunk/src/client.c (File Modified) 
	ircd-ratbox/trunk/src/dns.c (File Modified) 
	ircd-ratbox/trunk/src/getopt.c (File Modified) 
	ircd-ratbox/trunk/src/hash.c (File Modified) 
	ircd-ratbox/trunk/src/hook.c (File Modified) 
	ircd-ratbox/trunk/src/hostmask.c (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/src/ircd_signal.c (File Modified) 
	ircd-ratbox/trunk/src/listener.c (File Modified) 
	ircd-ratbox/trunk/src/match.c (File Modified) 
	ircd-ratbox/trunk/src/modules.c (File Modified) 
	ircd-ratbox/trunk/src/monitor.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/operhash.c (File Modified) 
	ircd-ratbox/trunk/src/packet.c (File Modified) 
	ircd-ratbox/trunk/src/parse.c (File Modified) 
	ircd-ratbox/trunk/src/reject.c (File Modified) 
	ircd-ratbox/trunk/src/restart.c (File Modified) 
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 
	ircd-ratbox/trunk/src/s_log.c (File Modified) 
	ircd-ratbox/trunk/src/s_newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 
	ircd-ratbox/trunk/src/s_user.c (File Modified) 
	ircd-ratbox/trunk/src/scache.c (File Modified) 
	ircd-ratbox/trunk/src/send.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/src/supported.c (File Modified) 
	ircd-ratbox/trunk/src/whowas.c (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 
	ircd-ratbox/trunk/tools/mkpasswd.c (File Modified) 


androsyn    2008/09/19 14:27:53 UTC	(20080919_0-26090)
  Log:
  only allow +S to be set by local users if use_sslonly is enabled

  Modified:
	ircd-ratbox/trunk/modules/core/m_mode.c (File Modified) 


leeh        2008/09/15 21:01:05 UTC	(20080915_0-26084)
  Log:
  - drop the configure arg for sslonly channels
  - force ssl only channel mode +S to be always enabled
  - add a new option to channel {}; use_sslonly = yes|no;
    controls whether +S actually takes effect on the server
  
    I still need to make the config option extend to whether users can set +S
    or not..
    
  

  Modified:
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/include/s_conf.h (File Modified) 
	ircd-ratbox/trunk/include/setup.h.in (File Modified) 
	ircd-ratbox/trunk/modules/core/m_join.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_mode.c (File Modified) 
	ircd-ratbox/trunk/src/channel.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 
	ircd-ratbox/trunk/src/supported.c (File Modified) 


androsyn    2008/09/14 23:49:14 UTC	(20080914_1-26080)
  Log:
  get rid of the non-socketpair case code..libratbox should handle that...

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


jilles      2008/09/14 18:39:24 UTC	(20080914_0-26076)
  Log:
  Disable locale for the date command in version.c.SH.
  

  Modified:
	ircd-ratbox/trunk/src/version.c.SH (File Modified) 


androsyn    2008/09/10 01:49:06 UTC	(20080910_1-26074)
  Log:
  blarg - STRING collides with a symbol in openssl snapshots... *stab*

  Modified:
	ircd-ratbox/trunk/include/ircd_getopt.h (File Modified) 
	ircd-ratbox/trunk/src/getopt.c (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 


androsyn    2008/09/10 01:42:27 UTC	(20080910_0-26070)
  Log:
  add support for getting nameservers on windows..swiped from c-ares

  Modified:
	ircd-ratbox/trunk/resolver/Makefile.am (File Modified) 
	ircd-ratbox/trunk/resolver/Makefile.in (File Modified) 
	ircd-ratbox/trunk/resolver/reslib.c (File Modified) 
	ircd-ratbox/trunk/resolver/reslist.c (File Added) 


androsyn    2008/09/09 20:03:31 UTC	(20080909_6-26062)
  Log:
  remove an if MINGW case

  Modified:
	ircd-ratbox/trunk/Makefile.am (File Modified) 
	ircd-ratbox/trunk/Makefile.in (File Modified) 


androsyn    2008/09/09 16:55:09 UTC	(20080909_5-26056)
  Log:
  fix the if defined for sslproc

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


androsyn    2008/09/09 16:50:33 UTC	(20080909_4-26054)
  Log:
  here is the ssld stuff for windows

  Modified:
	ircd-ratbox/trunk/src/Makefile.am (File Modified) 
	ircd-ratbox/trunk/src/Makefile.in (File Modified) 
	ircd-ratbox/trunk/src/listener.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2008/09/09 16:41:10 UTC	(20080909_3-26050)
  Log:
  fix a compile warning

  Modified:
	ircd-ratbox/trunk/src/restart.c (File Modified) 


androsyn    2008/09/09 16:28:08 UTC	(20080909_2-26042)
  Log:
  add SSL_INCLUDES to the modules include

  Modified:
	ircd-ratbox/trunk/modules/Makefile.am (File Modified) 
	ircd-ratbox/trunk/modules/Makefile.in (File Modified) 


androsyn    2008/09/09 16:26:48 UTC	(20080909_1-26040)
  Log:
  have bandb honor ConfigFileEntry.dpath stuff and fallback to the hard coded path if that does not work

  Modified:
	ircd-ratbox/trunk/bandb/rsdb_sqlite3.c (File Modified) 
	ircd-ratbox/trunk/src/bandbi.c (File Modified) 


androsyn    2008/09/09 16:21:05 UTC	(20080909_0-26038)
  Log:
  Revert to old comment parsing..fixes a bug with EOF in comments blowing up rehashes
  

  Modified:
	ircd-ratbox/trunk/src/ircd_lexer.c (File Modified) 
	ircd-ratbox/trunk/src/ircd_lexer.l (File Modified) 
	ircd-ratbox/trunk/src/ircd_parser.c (File Modified) 
	ircd-ratbox/trunk/src/ircd_parser.h (File Modified) 


androsyn    2008/09/06 15:09:09 UTC	(20080906_0-26026)
  Log:
  add a missing argument to LOAD2HI

  Modified:
	ircd-ratbox/trunk/contrib/m_mkpasswd.c (File Modified) 


androsyn    2008/09/05 19:18:59 UTC	(20080905_0-26014)
  Log:
  update RELNOTES and patchlevel for beta12

  Modified:
	ircd-ratbox/trunk/RELNOTES (File Modified) 
	ircd-ratbox/trunk/include/patchlevel.h (File Modified) 


androsyn    2008/09/04 22:01:29 UTC	(20080904_4-26010)
  Log:
  after closing all file descriptors on a restart, reopen 0-2 to /dev/null

  Modified:
	ircd-ratbox/trunk/src/restart.c (File Modified) 


androsyn    2008/09/04 21:39:48 UTC	(20080904_3-26006)
  Log:
  change hard asserts to call both the soft assert code and the C library assert so that it gets in the log files and sent to opers as well

  Modified:
	ircd-ratbox/trunk/include/ircd_defs.h (File Modified) 


androsyn    2008/09/04 21:34:33 UTC	(20080904_2-26004)
  Log:
  change CONFIG_RATBOX_LEVEL to 3

  Modified:
	ircd-ratbox/trunk/include/client.h (File Modified) 
	ircd-ratbox/trunk/include/config.h (File Modified) 
	ircd-ratbox/trunk/include/defaults.h (File Modified) 
	ircd-ratbox/trunk/include/ircd_defs.h (File Modified) 


androsyn    2008/09/04 21:10:46 UTC	(20080904_1-26002)
  Log:
  in pretend mode, exit gracefully if we attempt to export configs

  Modified:
	ircd-ratbox/trunk/bandb/bantool.c (File Modified) 


androsyn    2008/09/04 15:45:06 UTC	(20080904_0-25996)
  Log:
  some additional portability type fixes

  Modified:
	ircd-ratbox/trunk/Makefile.am (File Modified) 
	ircd-ratbox/trunk/Makefile.in (File Modified) 
	ircd-ratbox/trunk/bandb/Makefile.in (File Modified) 
	ircd-ratbox/trunk/bandb/bandb.c (File Modified) 
	ircd-ratbox/trunk/bandb/bantool.c (File Modified) 
	ircd-ratbox/trunk/bandb/sqlite3/Makefile.in (File Modified) 
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/contrib/Makefile.in (File Modified) 
	ircd-ratbox/trunk/help/Makefile.in (File Modified) 
	ircd-ratbox/trunk/modules/Makefile.am (File Modified) 
	ircd-ratbox/trunk/modules/Makefile.in (File Modified) 
	ircd-ratbox/trunk/resolver/Makefile.am (File Modified) 
	ircd-ratbox/trunk/resolver/Makefile.in (File Modified) 
	ircd-ratbox/trunk/resolver/getaddrinfo.c (File Added) 
	ircd-ratbox/trunk/resolver/getaddrinfo.h (File Added) 
	ircd-ratbox/trunk/resolver/getnameinfo.c (File Added) 
	ircd-ratbox/trunk/resolver/getnameinfo.h (File Added) 
	ircd-ratbox/trunk/resolver/res.c (File Modified) 
	ircd-ratbox/trunk/resolver/reslib.c (File Modified) 
	ircd-ratbox/trunk/resolver/reslib.h (File Modified) 
	ircd-ratbox/trunk/resolver/resolver.c (File Modified) 
	ircd-ratbox/trunk/src/Makefile.in (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/src/listener.c (File Modified) 
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/ssld/Makefile.in (File Modified) 
	ircd-ratbox/trunk/tools/Makefile.in (File Modified) 


androsyn    2008/09/01 21:14:24 UTC	(20080901_0-25986)
  Log:
  logging ERROR from non-servers is pretty much just noise and rather worthless

  Modified:
	ircd-ratbox/trunk/modules/core/m_error.c (File Modified) 


androsyn    2008/08/28 15:21:24 UTC	(20080828_0-25969)
  Log:
  replace localtime calls with gmtime to be a bit more in sync with the rest of the ircds time reporting

  Modified:
	ircd-ratbox/trunk/modules/m_stats.c (File Modified) 
	ircd-ratbox/trunk/src/cache.c (File Modified) 
	ircd-ratbox/trunk/src/s_log.c (File Modified) 


jilles      2008/08/27 22:21:47 UTC	(20080827_3-25967)
  Log:
  Fix comment, getsockname() can fail legitimately.
  

  Modified:
	ircd-ratbox/trunk/src/listener.c (File Modified) 


jilles      2008/08/27 22:12:02 UTC	(20080827_2-25965)
  Log:
  Don't try to add a closed connection.
  

  Modified:
	ircd-ratbox/trunk/src/listener.c (File Modified) 


androsyn    2008/08/27 14:21:41 UTC	(20080827_1-25959)
  Log:
  run through ident and move around a few functions for easy diffing against 2.2

  Modified:
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 


androsyn    2008/08/27 14:06:31 UTC	(20080827_0-25957)
  Log:
  call release_auth_client in auth_error and tidy up a few other minor things

  Modified:
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 


androsyn    2008/08/25 16:46:35 UTC	(20080825_0-25953)
  Log:
  oops..un #if 0 the /dev/null stuff out

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


leeh        2008/08/23 22:27:40 UTC	(20080823_3-25947)
  Log:
  - default bursting of who set topics to on
  

  Modified:
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 


jilles      2008/08/23 22:05:37 UTC	(20080823_2-25943)
  Log:
  Change ssl_required conf keyword to need_ssl, for consistency
  with need_ident (and need_sasl in charybdis).
  

  Modified:
	ircd-ratbox/trunk/doc/example.conf (File Modified) 
	ircd-ratbox/trunk/doc/example.efnet.conf (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2008/08/23 20:16:50 UTC	(20080823_1-25939)
  Log:
  fix a minor buffer overrun

  Modified:
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 


jilles      2008/08/23 00:59:53 UTC	(20080823_0-25937)
  Log:
  Fix expiry of temp dlines.
  

  Modified:
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 


androsyn    2008/08/22 18:55:21 UTC	(20080822_0-25935)
  Log:
  fix a logic inversion with already_placed_dline

  Modified:
	ircd-ratbox/trunk/modules/m_dline.c (File Modified) 


androsyn    2008/08/21 21:56:09 UTC	(20080821_1-25933)
  Log:
  ifdef a vhost6_dns case

  Modified:
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 


androsyn    2008/08/21 12:53:40 UTC	(20080821_0-25931)
  Log:
  update example.efnet.conf

  Modified:
	ircd-ratbox/trunk/doc/example.efnet.conf (File Modified) 


androsyn    2008/08/20 21:30:25 UTC	(20080820_6-25929)
  Log:
  rerun autoconf

  Modified:
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 


androsyn    2008/08/20 21:30:00 UTC	(20080820_5-25927)
  Log:
  fix auth ssl needed stuff

  Modified:
	ircd-ratbox/trunk/src/s_user.c (File Modified) 


androsyn    2008/08/20 21:29:15 UTC	(20080820_4-25925)
  Log:
  fix admindline

  Modified:
	ircd-ratbox/trunk/modules/m_dline.c (File Modified) 


androsyn    2008/08/20 21:27:59 UTC	(20080820_3-25923)
  Log:
  fix the whowas 0 thing a bit better

  Modified:
	ircd-ratbox/trunk/modules/m_whowas.c (File Modified) 
	ircd-ratbox/trunk/src/whowas.c (File Modified) 


androsyn    2008/08/20 19:00:07 UTC	(20080820_2-25921)
  Log:
  don't show whowas ips that are 0

  Modified:
	ircd-ratbox/trunk/modules/m_whowas.c (File Modified) 


androsyn    2008/08/20 01:05:20 UTC	(20080820_1-25919)
  Log:
  fix an uninitialized use of a variable

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2008/08/20 00:43:03 UTC	(20080820_0-25917)
  Log:
  remove a bogus free in start_zlib_session..this is unlikely to ever get hit

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


androsyn    2008/08/19 16:57:20 UTC	(20080819_0-25915)
  Log:
  add support for ssl/tls being required for auths and oper blocks

  Modified:
	ircd-ratbox/trunk/doc/example.conf (File Modified) 
	ircd-ratbox/trunk/doc/example.efnet.conf (File Modified) 
	ircd-ratbox/trunk/include/s_conf.h (File Modified) 
	ircd-ratbox/trunk/include/s_newconf.h (File Modified) 
	ircd-ratbox/trunk/modules/m_oper.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_user.c (File Modified) 


androsyn    2008/08/18 23:48:52 UTC	(20080818_3-25907)
  Log:
  rev to beta11 and update RELNOTES

  Modified:
	ircd-ratbox/trunk/RELNOTES (File Modified) 
	ircd-ratbox/trunk/include/patchlevel.h (File Modified) 


androsyn    2008/08/18 16:35:48 UTC	(20080818_2-25905)
  Log:
  up the size of the whowas array for large networks to 30000, this shouldn't be too big of an issue

  Modified:
	ircd-ratbox/trunk/configure.ac (File Modified) 


androsyn    2008/08/18 16:33:42 UTC	(20080818_1-25903)
  Log:
  add showing sockhost to whowas based on the same rules that whois shows them

  Modified:
	ircd-ratbox/trunk/include/whowas.h (File Modified) 
	ircd-ratbox/trunk/modules/m_whowas.c (File Modified) 
	ircd-ratbox/trunk/src/whowas.c (File Modified) 


androsyn    2008/08/18 15:50:49 UTC	(20080818_0-25901)
  Log:
  add sockhost to L_USER logging

  Modified:
	ircd-ratbox/trunk/src/client.c (File Modified) 


jilles      2008/08/17 13:16:36 UTC	(20080817_0-25899)
  Log:
  Remove servlink_path config option.
  partly submitted by dwr
  

  Modified:
	ircd-ratbox/trunk/doc/example.conf (File Modified) 
	ircd-ratbox/trunk/include/config.h (File Modified) 
	ircd-ratbox/trunk/include/config.h.dist (File Modified) 
	ircd-ratbox/trunk/include/s_conf.h (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 


androsyn    2008/08/15 14:23:20 UTC	(20080815_0-25895)
  Log:
  change the EmptyString check to IsRegistered in hunt_server

  Modified:
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 


androsyn    2008/08/14 18:25:13 UTC	(20080814_3-25887)
  Log:
  bleh..beta10

  Modified:
	ircd-ratbox/trunk/RELNOTES (File Modified) 
	ircd-ratbox/trunk/include/patchlevel.h (File Modified) 


androsyn    2008/08/14 17:36:02 UTC	(20080814_2-25883)
  Log:
  fix a case of passing a NULL name to match

  Modified:
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 


androsyn    2008/08/14 16:05:49 UTC	(20080814_1-25875)
  Log:
  release notes and patchlevel updates for beta9

  Modified:
	ircd-ratbox/trunk/RELNOTES (File Modified) 
	ircd-ratbox/trunk/include/patchlevel.h (File Modified) 


androsyn    2008/08/14 02:33:13 UTC	(20080814_0-25873)
  Log:
  move jilles up in the CREDITS where he belongs

  Modified:
	ircd-ratbox/trunk/CREDITS (File Modified) 


androsyn    2008/08/08 18:17:31 UTC	(20080808_2-25869)
  Log:
  add sslport example to example.efnet.conf

  Modified:
	ircd-ratbox/trunk/doc/example.efnet.conf (File Modified) 


androsyn    2008/08/08 18:16:43 UTC	(20080808_1-25867)
  Log:
  add sslport example

  Modified:
	ircd-ratbox/trunk/doc/example.conf (File Modified) 


androsyn    2008/08/08 17:41:14 UTC	(20080808_0-25865)
  Log:
  make ilog for ssl helper spinning match reality

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


androsyn    2008/08/07 12:49:33 UTC	(20080807_0-25863)
  Log:
  add a few missing ifdef RB_IPV6 for vhost6_dns

  Modified:
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2008/08/06 16:06:16 UTC	(20080806_0-25855)
  Log:
  close sockets *before* freeing the request

  Modified:
	ircd-ratbox/trunk/resolver/res.c (File Modified) 


androsyn    2008/08/05 02:14:40 UTC	(20080805_6-25851)
  Log:
  run resolver.c through indent

  Modified:
	ircd-ratbox/trunk/resolver/resolver.c (File Modified) 


androsyn    2008/08/05 02:09:11 UTC	(20080805_5-25849)
  Log:
  make rehash dns just rehash instead of kill the resolver daemon

  Modified:
	ircd-ratbox/trunk/include/dns.h (File Modified) 
	ircd-ratbox/trunk/modules/m_rehash.c (File Modified) 
	ircd-ratbox/trunk/resolver/resolver.c (File Modified) 
	ircd-ratbox/trunk/src/dns.c (File Modified) 


androsyn    2008/08/05 02:03:59 UTC	(20080805_4-25847)
  Log:
  get another trace of ident daemon stuff

  Modified:
	ircd-ratbox/trunk/modules/m_set.c (File Modified) 


androsyn    2008/08/05 02:02:08 UTC	(20080805_3-25845)
  Log:
  get rid of traces of ident restarting and what not

  Modified:
	ircd-ratbox/trunk/include/s_auth.h (File Modified) 
	ircd-ratbox/trunk/modules/m_rehash.c (File Modified) 


androsyn    2008/08/05 01:51:34 UTC	(20080805_2-25843)
  Log:
  readd code to do /stats A and get all of the code this time...

  Modified:
	ircd-ratbox/trunk/modules/m_stats.c (File Modified) 
	ircd-ratbox/trunk/resolver/res.c (File Modified) 
	ircd-ratbox/trunk/resolver/resolver.c (File Modified) 


androsyn    2008/08/05 01:50:54 UTC	(20080805_1-25841)
  Log:
  readd code to do /stats A

  Modified:
	ircd-ratbox/trunk/src/dns.c (File Modified) 


androsyn    2008/08/05 00:05:04 UTC	(20080805_0-25839)
  Log:
  Add code to allow binding outgoing dns requests to a particular IP address instead
  of always using INADDR_ANY/IN6ADDR_ANY.
  
  

  Modified:
	ircd-ratbox/trunk/doc/example.conf (File Modified) 
	ircd-ratbox/trunk/doc/example.efnet.conf (File Modified) 
	ircd-ratbox/trunk/include/dns.h (File Modified) 
	ircd-ratbox/trunk/include/s_conf.h (File Modified) 
	ircd-ratbox/trunk/resolver/res.c (File Modified) 
	ircd-ratbox/trunk/resolver/resolver.c (File Modified) 
	ircd-ratbox/trunk/src/dns.c (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 


androsyn    2008/08/04 22:26:49 UTC	(20080804_2-25837)
  Log:
  add dns source port randomization stuff

  Modified:
	ircd-ratbox/trunk/resolver/res.c (File Modified) 


androsyn    2008/08/04 22:15:51 UTC	(20080804_1-25835)
  Log:
  make stuff use SET_SS_FAMILY where needed

  Modified:
	ircd-ratbox/trunk/src/listener.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 


androsyn    2008/08/04 17:37:29 UTC	(20080804_0-25831)
  Log:
  revert 25801

  Modified:
	ircd-ratbox/trunk/resolver/res.c (File Modified) 


androsyn    2008/07/31 19:58:29 UTC	(20080731_1-25801)
  Log:
  in make_dnsreply, if the sizeof request->addr is smaller than cp->addr, only copy the sizeof request->addr

  Modified:
	ircd-ratbox/trunk/resolver/res.c (File Modified) 


androsyn    2008/07/31 15:46:29 UTC	(20080731_0-25799)
  Log:
  give a bit more info when libratbox calls logging callbacks

  Modified:
	ircd-ratbox/trunk/src/ircd.c (File Modified) 


jilles      2008/07/30 21:20:48 UTC	(20080730_0-25797)
  Log:
  Fix resolver hangs with epoll.
  epoll uses edge-triggered and trying to setselect a
  descriptor that is still ready is ignored.
  Hence, packets should be read until the socket is no
  longer ready.
  

  Modified:
	ircd-ratbox/trunk/resolver/res.c (File Modified) 


androsyn    2008/07/19 19:07:07 UTC	(20080719_0-25767)
  Log:
  Update patchlevel and release notes for 3.0.0beta8
  

  Modified:
	ircd-ratbox/trunk/RELNOTES (File Modified) 
	ircd-ratbox/trunk/include/patchlevel.h (File Modified) 


jilles      2008/07/16 20:22:11 UTC	(20080716_2-25761)
  Log:
  Fix a bug in that check, IsCork on an exited client crashes...
  

  Modified:
	ircd-ratbox/trunk/src/parse.c (File Modified) 


jilles      2008/07/16 18:32:21 UTC	(20080716_1-25759)
  Log:
  Fix clients not getting uncorked in CAP in some cases.
  (Before the previous commit, this froze output to the client.)
  Bumped into by jackal@EFnet.
  

  Modified:
	ircd-ratbox/trunk/modules/m_cap.c (File Modified) 


jilles      2008/07/16 18:12:33 UTC	(20080716_0-25757)
  Log:
  If an m_function leaves a client corked, fix it and warn +d opers (rate limited).
  

  Modified:
	ircd-ratbox/trunk/src/parse.c (File Modified) 


androsyn    2008/07/12 00:54:20 UTC	(20080712_1-25725)
  Log:
  set resolver sockets non blocking

  Modified:
	ircd-ratbox/trunk/resolver/res.c (File Modified) 


androsyn    2008/07/12 00:51:28 UTC	(20080712_0-25723)
  Log:
  set resolver sockets non blocking

  Modified:
	ircd-ratbox/trunk/resolver/res.c (File Modified) 


androsyn    2008/07/11 20:01:12 UTC	(20080711_7-25721)
  Log:
  use void * for send_res_msg

  Modified:
	ircd-ratbox/trunk/resolver/res.c (File Modified) 


androsyn    2008/07/11 19:56:39 UTC	(20080711_6-25719)
  Log:
  pull in setup.h so that dns requests go out in the correct endian order

  Modified:
	ircd-ratbox/trunk/resolver/res.c (File Modified) 
	ircd-ratbox/trunk/resolver/reslib.c (File Modified) 


androsyn    2008/07/11 19:09:33 UTC	(20080711_5-25717)
  Log:
  zero MAXPACKET size not sizeof buf

  Modified:
	ircd-ratbox/trunk/resolver/res.c (File Modified) 


androsyn    2008/07/11 19:03:16 UTC	(20080711_4-25715)
  Log:
  fix port inversion for ident checking

  Modified:
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 


androsyn    2008/07/11 18:49:47 UTC	(20080711_3-25713)
  Log:
  lets try this again with the alignment issue

  Modified:
	ircd-ratbox/trunk/resolver/reslib.c (File Modified) 


androsyn    2008/07/11 18:45:30 UTC	(20080711_2-25711)
  Log:
  deal with another possibly alignment issue in reslib.c

  Modified:
	ircd-ratbox/trunk/resolver/res.c (File Modified) 
	ircd-ratbox/trunk/resolver/reslib.c (File Modified) 
	ircd-ratbox/trunk/resolver/reslib.h (File Modified) 


androsyn    2008/07/11 18:42:34 UTC	(20080711_1-25709)
  Log:
  deal with buffer alignment issues in a slightly different way by using alloca and having buf be a void *

  Modified:
	ircd-ratbox/trunk/resolver/res.c (File Modified) 


androsyn    2008/07/11 18:30:06 UTC	(20080711_0-25707)
  Log:
  fix a syntax error

  Modified:
	ircd-ratbox/trunk/resolver/res.c (File Modified) 


androsyn    2008/07/10 19:21:42 UTC	(20080710_1-25703)
  Log:
  deal with possibly getting an address family type we can't use in resolv.conf gracefully. if the first nameserver was an ipv6 one, but the host didn't support ipv6, this would break all further requests

  Modified:
	ircd-ratbox/trunk/resolver/res.c (File Modified) 


androsyn    2008/07/10 18:57:38 UTC	(20080710_0-25701)
  Log:
  Well..here goes. Change the resolver to use the code from charybdis instead of adns.  
  The resolver code still runs inside the resolver daemon.
  

  Modified:
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/resolver/Makefile.am (File Modified) 
	ircd-ratbox/trunk/resolver/Makefile.in (File Modified) 
	ircd-ratbox/trunk/resolver/adns/ (File Deleted) 
	ircd-ratbox/trunk/resolver/res.c (File Added) 
	ircd-ratbox/trunk/resolver/res.h (File Added) 
	ircd-ratbox/trunk/resolver/reslib.c (File Added) 
	ircd-ratbox/trunk/resolver/reslib.h (File Added) 
	ircd-ratbox/trunk/resolver/resolver.c (File Modified) 


androsyn    2008/07/06 04:21:42 UTC	(20080706_0-25677)
  Log:
  remove the rb_uint/rb_int stuff as we require a C99 compiler and this is standard now.

  Modified:
	ircd-ratbox/trunk/include/channel.h (File Modified) 
	ircd-ratbox/trunk/include/hostmask.h (File Modified) 
	ircd-ratbox/trunk/include/struct.h (File Modified) 
	ircd-ratbox/trunk/src/send.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2008/07/01 16:35:29 UTC	(20080701_0-25669)
  Log:
  update aclocal.m4

  Modified:
	ircd-ratbox/trunk/aclocal.m4 (File Modified) 


androsyn    2008/06/30 14:57:15 UTC	(20080630_0-25661)
  Log:
  some slightly better sqlite3 checking

  Modified:
	ircd-ratbox/trunk/Makefile.in (File Modified) 
	ircd-ratbox/trunk/acinclude.m4 (File Modified) 
	ircd-ratbox/trunk/bandb/Makefile.in (File Modified) 
	ircd-ratbox/trunk/bandb/sqlite3/Makefile.in (File Modified) 
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/contrib/Makefile.in (File Modified) 
	ircd-ratbox/trunk/help/Makefile.in (File Modified) 
	ircd-ratbox/trunk/include/setup.h.in (File Modified) 
	ircd-ratbox/trunk/modules/Makefile.in (File Modified) 
	ircd-ratbox/trunk/resolver/Makefile.in (File Modified) 
	ircd-ratbox/trunk/resolver/adns/Makefile.in (File Modified) 
	ircd-ratbox/trunk/src/Makefile.in (File Modified) 
	ircd-ratbox/trunk/ssld/Makefile.in (File Modified) 
	ircd-ratbox/trunk/tools/Makefile.in (File Modified) 


androsyn    2008/06/29 23:54:07 UTC	(20080629_4-25659)
  Log:
  an updated example.efnet.conf

  Modified:
	ircd-ratbox/trunk/doc/example.efnet.conf (File Modified) 


jilles      2008/06/29 22:28:08 UTC	(20080629_3-25657)
  Log:
  Log ssld errors for servers and handshakes.
  (serverlog)
  

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


jilles      2008/06/29 21:48:31 UTC	(20080629_2-25655)
  Log:
  Call serv_connect_callback() directly from serv_connect_ssl_callback().
  This speeds up outgoing SSL server connections by 1 second.
  

  Modified:
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 


jilles      2008/06/29 21:46:54 UTC	(20080629_1-25653)
  Log:
  Give proper error messages if connect fails for a server using SSL.
  

  Modified:
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 


jilles      2008/06/29 19:54:51 UTC	(20080629_0-25651)
  Log:
  Show reason for failed outgoing SSL handshakes to opers.
  Also add a comment that ircd does not care about the
  reason for failed incoming SSL handshakes.
  

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


jilles      2008/06/28 20:13:16 UTC	(20080628_1-25643)
  Log:
  Clean up m_trace somewhat.
  All visibility logic is now in m_trace(), none in
  report_this_status().
  (In fact, all the checks already were in m_trace(),
  the check in report_this_status() was redundant.)
  

  Modified:
	ircd-ratbox/trunk/modules/m_trace.c (File Modified) 


jilles      2008/06/28 19:30:00 UTC	(20080628_0-25641)
  Log:
  Reset checksplit_ev to NULL after removing it,
  to exclude the possibility of it being removed twice.
  

  Modified:
	ircd-ratbox/trunk/modules/m_set.c (File Modified) 
	ircd-ratbox/trunk/src/channel.c (File Modified) 


androsyn    2008/06/27 17:02:49 UTC	(20080627_1-25613)
  Log:
  update for beta7, my stupid script failed making beta6

  Modified:
	ircd-ratbox/trunk/RELNOTES (File Modified) 
	ircd-ratbox/trunk/include/patchlevel.h (File Modified) 


androsyn    2008/06/27 16:41:29 UTC	(20080627_0-25600)
  Log:
  update patchlevel/relnotes for beta6

  Modified:
	ircd-ratbox/trunk/RELNOTES (File Modified) 
	ircd-ratbox/trunk/include/patchlevel.h (File Modified) 


jilles      2008/06/25 21:52:10 UTC	(20080625_2-25598)
  Log:
  Some updates and consistency fixes to help files.
  

  Modified:
	ircd-ratbox/trunk/help/opers/adminwall (File Modified) 
	ircd-ratbox/trunk/help/opers/info (File Modified) 
	ircd-ratbox/trunk/help/opers/invite (File Modified) 
	ircd-ratbox/trunk/help/opers/kill (File Modified) 
	ircd-ratbox/trunk/help/opers/modlist (File Modified) 
	ircd-ratbox/trunk/help/opers/modload (File Modified) 
	ircd-ratbox/trunk/help/opers/modrestart (File Modified) 
	ircd-ratbox/trunk/help/opers/modunload (File Modified) 
	ircd-ratbox/trunk/help/opers/oper (File Modified) 
	ircd-ratbox/trunk/help/opers/operwall (File Modified) 
	ircd-ratbox/trunk/help/opers/unresv (File Modified) 
	ircd-ratbox/trunk/help/opers/wallops (File Modified) 


androsyn    2008/06/25 19:15:30 UTC	(20080625_1-25596)
  Log:
  add help for ADMINWALL

  Modified:
	ircd-ratbox/trunk/help/opers/adminwall (File Added) 
	ircd-ratbox/trunk/help/opers/index (File Modified) 


androsyn    2008/06/25 14:58:47 UTC	(20080625_0-25594)
  Log:
  fix broken build if zlib is missing in action

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2008/06/24 16:32:36 UTC	(20080624_1-25592)
  Log:
  remove ip6.int fallback support. ip6.int is no longer active

  Modified:
	ircd-ratbox/trunk/resolver/resolver.c (File Modified) 
	ircd-ratbox/trunk/src/dns.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2008/06/24 14:36:06 UTC	(20080624_0-25590)
  Log:
  add a missing ) to the rsa_public_key_file warning

  Modified:
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


jilles      2008/06/23 17:22:25 UTC	(20080623_3-25586)
  Log:
  Rerun autoconf (for ident removal).
  

  Modified:
	ircd-ratbox/trunk/configure (File Modified) 


androsyn    2008/06/23 15:55:13 UTC	(20080623_2-25584)
  Log:
  the reason restrictions for k/d/x/resvs don't make much sense now as the bans are stored in sqlite

  Modified:
	ircd-ratbox/trunk/modules/m_dline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_kline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_resv.c (File Modified) 
	ircd-ratbox/trunk/modules/m_xline.c (File Modified) 


androsyn    2008/06/23 15:42:13 UTC	(20080623_1-25582)
  Log:
  actually copy the username into the clients username

  Modified:
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 


androsyn    2008/06/23 15:10:51 UTC	(20080623_0-25580)
  Log:
  mangle exported reasons to not include a : as well

  Modified:
	ircd-ratbox/trunk/bandb/bantool.c (File Modified) 


androsyn    2008/06/20 21:57:51 UTC	(20080620_5-25578)
  Log:
  get rid of the now unused SSL_SRCS_ENABLE variable.  Also get rid of the old ident/Makefile stuff in configure.ac

  Modified:
	ircd-ratbox/trunk/Makefile.in (File Modified) 
	ircd-ratbox/trunk/bandb/Makefile.in (File Modified) 
	ircd-ratbox/trunk/bandb/sqlite3/Makefile.in (File Modified) 
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/contrib/Makefile.in (File Modified) 
	ircd-ratbox/trunk/help/Makefile.in (File Modified) 
	ircd-ratbox/trunk/modules/Makefile.in (File Modified) 
	ircd-ratbox/trunk/resolver/Makefile.in (File Modified) 
	ircd-ratbox/trunk/resolver/adns/Makefile.in (File Modified) 
	ircd-ratbox/trunk/src/Makefile.in (File Modified) 
	ircd-ratbox/trunk/ssld/Makefile.in (File Modified) 
	ircd-ratbox/trunk/tools/Makefile.in (File Modified) 


androsyn    2008/06/20 16:40:52 UTC	(20080620_4-25566)
  Log:
  check the dns query table to make sure we don't assign an id that already has something

  Modified:
	ircd-ratbox/trunk/src/dns.c (File Modified) 


androsyn    2008/06/20 16:28:55 UTC	(20080620_3-25564)
  Log:
  set s == NULL in case rb_read returns 0

  Modified:
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 


androsyn    2008/06/20 16:27:20 UTC	(20080620_2-25562)
  Log:
  remove unused ip6_int from struct AuthRequest

  Modified:
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 


androsyn    2008/06/20 16:25:40 UTC	(20080620_1-25560)
  Log:
  Move ident checking back into the ircd, update makefiles to reflect this as well.

  Modified:
	ircd-ratbox/trunk/Makefile.am (File Modified) 
	ircd-ratbox/trunk/Makefile.in (File Modified) 
	ircd-ratbox/trunk/ident/ (File Deleted) 
	ircd-ratbox/trunk/include/s_auth.h (File Modified) 
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 


androsyn    2008/06/20 16:23:34 UTC	(20080620_0-25558)
  Log:
  shutup some gcc warnings for the lexer and rebuild ircd_lexer.c

  Modified:
	ircd-ratbox/trunk/src/ircd_lexer.c (File Modified) 
	ircd-ratbox/trunk/src/ircd_lexer.l (File Modified) 


androsyn    2008/06/19 15:06:52 UTC	(20080619_0-25554)
  Log:
  Make the sqlite3 check use pkg-config when it can find it..
  

  Modified:
	ircd-ratbox/trunk/Makefile.in (File Modified) 
	ircd-ratbox/trunk/aclocal.m4 (File Modified) 
	ircd-ratbox/trunk/bandb/Makefile.am (File Modified) 
	ircd-ratbox/trunk/bandb/Makefile.in (File Modified) 
	ircd-ratbox/trunk/bandb/sqlite3/Makefile.in (File Modified) 
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/contrib/Makefile.in (File Modified) 
	ircd-ratbox/trunk/help/Makefile.in (File Modified) 
	ircd-ratbox/trunk/ident/Makefile.in (File Modified) 
	ircd-ratbox/trunk/modules/Makefile.in (File Modified) 
	ircd-ratbox/trunk/resolver/Makefile.in (File Modified) 
	ircd-ratbox/trunk/resolver/adns/Makefile.in (File Modified) 
	ircd-ratbox/trunk/src/Makefile.in (File Modified) 
	ircd-ratbox/trunk/ssld/Makefile.in (File Modified) 
	ircd-ratbox/trunk/tools/Makefile.in (File Modified) 


androsyn    2008/06/18 22:55:54 UTC	(20080618_2-25552)
  Log:
  unbreak remote kline reasons

  Modified:
	ircd-ratbox/trunk/modules/m_kline.c (File Modified) 


jilles      2008/06/18 17:49:53 UTC	(20080618_1-25550)
  Log:
  Add resv (Q) oper priv controlling resv and unresv.
  Adminresv requires both resv and admin priv.
  The new priv is not enabled by default.
  

  Modified:
	ircd-ratbox/trunk/doc/example.conf (File Modified) 
	ircd-ratbox/trunk/help/opers/adminresv (File Modified) 
	ircd-ratbox/trunk/help/opers/resv (File Modified) 
	ircd-ratbox/trunk/help/opers/unresv (File Modified) 
	ircd-ratbox/trunk/include/s_newconf.h (File Modified) 
	ircd-ratbox/trunk/modules/m_resv.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_newconf.c (File Modified) 


jilles      2008/06/18 17:44:46 UTC	(20080618_0-25548)
  Log:
  Fix mistake in help file RESV<->XLINE.
  

  Modified:
	ircd-ratbox/trunk/help/opers/resv (File Modified) 


leeh        2008/06/17 20:09:45 UTC	(20080617_1-25546)
  Log:
  - helpfiles for the admin* commands
  

  Modified:
	ircd-ratbox/trunk/help/opers/admindline (File Added) 
	ircd-ratbox/trunk/help/opers/adminresv (File Added) 
	ircd-ratbox/trunk/help/opers/adminxline (File Added) 
	ircd-ratbox/trunk/help/opers/dline (File Modified) 
	ircd-ratbox/trunk/help/opers/resv (File Modified) 
	ircd-ratbox/trunk/help/opers/xline (File Modified) 


leeh        2008/06/17 20:04:30 UTC	(20080617_0-25544)
  Log:
  - add in adminresv
  

  Modified:
	ircd-ratbox/trunk/modules/m_resv.c (File Modified) 


leeh        2008/06/16 18:42:05 UTC	(20080616_1-25542)
  Log:
  - add in adminxline
  

  Modified:
	ircd-ratbox/trunk/modules/m_xline.c (File Modified) 


leeh        2008/06/16 18:20:51 UTC	(20080616_0-25540)
  Log:
  - make admindline require 2 full params
  

  Modified:
	ircd-ratbox/trunk/modules/m_dline.c (File Modified) 


leeh        2008/06/13 18:43:37 UTC	(20080613_2-25538)
  Log:
  - simplify kline to use make_ban_reason()
  

  Modified:
	ircd-ratbox/trunk/modules/m_kline.c (File Modified) 


leeh        2008/06/13 18:41:41 UTC	(20080613_1-25536)
  Log:
  - finish cleaning up the dline code to cope with admindline
  

  Modified:
	ircd-ratbox/trunk/modules/m_dline.c (File Modified) 


leeh        2008/06/13 18:35:58 UTC	(20080613_0-25534)
  Log:
  - add make_ban_reason(), to make joining the reason|oper_reason together
    slightly nicer.
  

  Modified:
	ircd-ratbox/trunk/include/s_conf.h (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 


leeh        2008/06/09 19:32:50 UTC	(20080609_3-25528)
  Log:
  - first half of splitting dline up into dline/admindline, and moving a load
    of stuff out to functions
  
    still a little bit of work to do.
  

  Modified:
	ircd-ratbox/trunk/modules/m_dline.c (File Modified) 


leeh        2008/06/09 18:40:10 UTC	(20080609_2-25524)
  Log:
  - add an additional check to mr_server() for TS6, in case we don't get an
    SVINFO
  

  Modified:
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 


leeh        2008/06/09 18:32:50 UTC	(20080609_1-25522)
  Log:
  - force TS6_ONLY to (ie, raise TS_MIN to 6)
  

  Modified:
	ircd-ratbox/trunk/include/client.h (File Modified) 
	ircd-ratbox/trunk/include/config.h (File Modified) 
	ircd-ratbox/trunk/include/config.h.dist (File Modified) 


leeh        2008/06/09 18:28:35 UTC	(20080609_0-25520)
  Log:
  - remove use_ts6 conf option, it's now always enabled.
  

  Modified:
	ircd-ratbox/trunk/doc/example.conf (File Modified) 
	ircd-ratbox/trunk/doc/example.efnet.conf (File Modified) 
	ircd-ratbox/trunk/include/s_conf.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/modules/m_pass.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 


leeh        2008/06/06 18:52:30 UTC	(20080606_2-25518)
  Log:
  - pass the 'admin' flag through properly too
  

  Modified:
	ircd-ratbox/trunk/modules/m_kline.c (File Modified) 


leeh        2008/06/06 18:45:59 UTC	(20080606_1-25516)
  Log:
  - remove 'lock' from KLINE and move it into a new command, ADMINKLINE
  - tidy up the kline code, so the generic stuff is handled by a set_kline()
  

  Modified:
	ircd-ratbox/trunk/help/opers/adminkline (File Added) 
	ircd-ratbox/trunk/help/opers/kline (File Modified) 
	ircd-ratbox/trunk/modules/m_kline.c (File Modified) 


androsyn    2008/06/06 18:08:26 UTC	(20080606_0-25514)
  Log:
  Fix make distclean crap..this is kinda ugly...
  

  Modified:
	ircd-ratbox/trunk/Makefile.am (File Modified) 
	ircd-ratbox/trunk/Makefile.in (File Modified) 
	ircd-ratbox/trunk/libltdl/Makefile.am (File Modified) 
	ircd-ratbox/trunk/libltdl/Makefile.in (File Modified) 
	ircd-ratbox/trunk/main.c (File Added) 
	ircd-ratbox/trunk/src/main.c (File Deleted) 


androsyn    2008/06/03 19:19:42 UTC	(20080603_4-25512)
  Log:
  tell people trying to use lock and temps together to rtfm

  Modified:
	ircd-ratbox/trunk/modules/m_dline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_kline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_resv.c (File Modified) 
	ircd-ratbox/trunk/modules/m_xline.c (File Modified) 


androsyn    2008/06/03 19:17:28 UTC	(20080603_3-25510)
  Log:
  Make temp k/d/x/resvs mutually exclusive to lock.  Also rename CONF_FLAGS_PERMANENT to CONF_FLAGS_LOCKED

  Modified:
	ircd-ratbox/trunk/modules/m_dline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_kline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_resv.c (File Modified) 
	ircd-ratbox/trunk/modules/m_xline.c (File Modified) 


androsyn    2008/06/03 19:04:00 UTC	(20080603_2-25508)
  Log:
  rename CONF_FLAGS_PERMANENT to CONF_FLAGS_LOCKED

  Modified:
	ircd-ratbox/trunk/include/s_conf.h (File Modified) 
	ircd-ratbox/trunk/modules/m_dline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_kline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_resv.c (File Modified) 
	ircd-ratbox/trunk/modules/m_xline.c (File Modified) 


androsyn    2008/06/03 16:17:12 UTC	(20080603_1-25506)
  Log:
  Change -lock to lock.  Change order of lock command to be
  as follows:
  
  KLINE user@host lock :reason
  DLINE ip lock :reason
  RESV nick|#channel lock :reason
  XLINE gecos lock :reason
  
  Also update help files to reflect these changes
  
  

  Modified:
	ircd-ratbox/trunk/help/opers/dline (File Modified) 
	ircd-ratbox/trunk/help/opers/kline (File Modified) 
	ircd-ratbox/trunk/help/opers/resv (File Modified) 
	ircd-ratbox/trunk/help/opers/xline (File Modified) 
	ircd-ratbox/trunk/modules/m_dline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_kline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_resv.c (File Modified) 
	ircd-ratbox/trunk/modules/m_xline.c (File Modified) 


androsyn    2008/06/03 15:21:40 UTC	(20080603_0-25504)
  Log:
  Change XLINE -lock to work as follows:
  XLINE mask -lock :reason
  This allows people to actually XLINE -lock if necessary.  Also this makes -lock and ON server mutually exclusive.
  

  Modified:
	ircd-ratbox/trunk/modules/m_xline.c (File Modified) 


androsyn    2008/05/29 15:00:29 UTC	(20080529_0-25486)
  Log:
  fix a warning with passing a time_t to a format expecting a long int

  Modified:
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 


androsyn    2008/05/28 18:37:23 UTC	(20080528_0-25474)
  Log:
  update patchlevel and RELNOTES for beta5

  Modified:
	ircd-ratbox/trunk/RELNOTES (File Modified) 
	ircd-ratbox/trunk/include/patchlevel.h (File Modified) 


jilles      2008/05/21 21:53:24 UTC	(20080521_3-25432)
  Log:
  Put back error message if unxline cannot find the xline.
  

  Modified:
	ircd-ratbox/trunk/modules/m_xline.c (File Modified) 


jilles      2008/05/21 21:50:07 UTC	(20080521_2-25430)
  Log:
  Make removing locked bans more consistent.
  Admins may remove any kind of locked ban, non-admins
  get an error that they may not remove locked bans.
  

  Modified:
	ircd-ratbox/trunk/modules/m_dline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_kline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_resv.c (File Modified) 
	ircd-ratbox/trunk/modules/m_xline.c (File Modified) 


jilles      2008/05/21 21:27:24 UTC	(20080521_1-25428)
  Log:
  Give an error message for various invalid klines instead of silently ignoring them.
  

  Modified:
	ircd-ratbox/trunk/modules/m_kline.c (File Modified) 


jilles      2008/05/21 21:19:48 UTC	(20080521_0-25426)
  Log:
  Allow kline/unkline on a bare host or address (assumes *@host).
  This was already possible for some.host klines, but not
  for unklines or some:ipv6 klines.
  from charybdis (jilles) a while ago
  

  Modified:
	ircd-ratbox/trunk/modules/m_kline.c (File Modified) 


androsyn    2008/05/20 23:25:54 UTC	(20080520_3-25424)
  Log:
  Update sqlite to the latest version, add shell.c and build the sqlite3 command line as ratbox-sqlite3
  

  Modified:
	ircd-ratbox/trunk/bandb/sqlite3/Makefile.am (File Modified) 
	ircd-ratbox/trunk/bandb/sqlite3/Makefile.in (File Modified) 
	ircd-ratbox/trunk/bandb/sqlite3/shell.c (File Added) 
	ircd-ratbox/trunk/bandb/sqlite3/sqlite3.c (File Modified) 
	ircd-ratbox/trunk/bandb/sqlite3/sqlite3.h (File Modified) 


androsyn    2008/05/20 15:54:19 UTC	(20080520_2-25399)
  Log:
  that #ifdef RB_IPV6 was in fact quite pointless

  Modified:
	ircd-ratbox/trunk/modules/m_testline.c (File Modified) 


androsyn    2008/05/20 14:54:06 UTC	(20080520_1-25397)
  Log:
  add / to KWILD_C and unbreak cidr klines

  Modified:
	ircd-ratbox/trunk/src/match.c (File Modified) 


androsyn    2008/05/20 12:50:53 UTC	(20080520_0-25395)
  Log:
  remove unused arguments

  Modified:
	ircd-ratbox/trunk/bandb/bantool.c (File Modified) 


androsyn    2008/05/17 18:47:52 UTC	(20080517_2-25393)
  Log:
  From dubkat: 
  - rename -perm to -lock.
  - don't attempt to fix invalid klines in bantool
  

  Modified:
	ircd-ratbox/trunk/bandb/bantool.c (File Modified) 
	ircd-ratbox/trunk/modules/m_dline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_kline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_resv.c (File Modified) 
	ircd-ratbox/trunk/modules/m_xline.c (File Modified) 


jilles      2008/05/17 14:05:41 UTC	(20080517_1-25391)
  Log:
  Improve interaction of -perm with ON and cluster{}.
  - Give a clear error message if trying to set a
    locked ban on a remote server via ON, but still
    allow ON with the server name.
  - Ignore cluster{} when setting a locked ban.
  

  Modified:
	ircd-ratbox/trunk/modules/m_kline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_resv.c (File Modified) 
	ircd-ratbox/trunk/modules/m_xline.c (File Modified) 


jilles      2008/05/17 13:42:43 UTC	(20080517_0-25389)
  Log:
  -perm: ERR_NOPRIVS should show the missing privilege, not the command name
  

  Modified:
	ircd-ratbox/trunk/modules/m_dline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_kline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_resv.c (File Modified) 
	ircd-ratbox/trunk/modules/m_xline.c (File Modified) 


androsyn    2008/05/16 16:24:00 UTC	(20080516_3-25385)
  Log:
  Add dubkat's patch to do admin only perm X/D/K/Q lines.  This reimplements the 
  old .perm functionality.  If upgrading from older releases, bantool -u will need to 
  be run when upgrading.
  
  

  Modified:
	ircd-ratbox/trunk/bandb/bandb.c (File Modified) 
	ircd-ratbox/trunk/bandb/bantool.c (File Modified) 
	ircd-ratbox/trunk/include/bandbi.h (File Modified) 
	ircd-ratbox/trunk/modules/m_dline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_kline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_resv.c (File Modified) 
	ircd-ratbox/trunk/modules/m_xline.c (File Modified) 
	ircd-ratbox/trunk/src/bandbi.c (File Modified) 


androsyn    2008/05/16 16:19:45 UTC	(20080516_2-25383)
  Log:
  fix a typo in the help of mkpasswd.c and run through indent as well

  Modified:
	ircd-ratbox/trunk/tools/mkpasswd.c (File Modified) 


androsyn    2008/05/16 16:15:52 UTC	(20080516_1-25381)
  Log:
  some README.FIRST updates

  Modified:
	ircd-ratbox/trunk/README.FIRST (File Modified) 


androsyn    2008/05/16 16:12:43 UTC	(20080516_0-25379)
  Log:
  make soft asserts work again

  Modified:
	ircd-ratbox/trunk/modules/core/m_join.c (File Modified) 
	ircd-ratbox/trunk/modules/m_links.c (File Modified) 
	ircd-ratbox/trunk/modules/m_stats.c (File Modified) 
	ircd-ratbox/trunk/modules/m_user.c (File Modified) 
	ircd-ratbox/trunk/src/hash.c (File Modified) 
	ircd-ratbox/trunk/src/match.c (File Modified) 
	ircd-ratbox/trunk/src/numeric.c (File Modified) 
	ircd-ratbox/trunk/src/packet.c (File Modified) 
	ircd-ratbox/trunk/src/s_newconf.c (File Modified) 
	ircd-ratbox/trunk/src/whowas.c (File Modified) 


androsyn    2008/05/14 18:08:23 UTC	(20080514_1-25366)
  Log:
  update for beta4

  Modified:
	ircd-ratbox/trunk/RELNOTES (File Modified) 
	ircd-ratbox/trunk/include/patchlevel.h (File Modified) 


androsyn    2008/05/14 03:43:41 UTC	(20080514_0-25362)
  Log:
  if there is an error handler for rsdb, don't exit

  Modified:
	ircd-ratbox/trunk/bandb/rsdb_sqlite3.c (File Modified) 


androsyn    2008/05/13 17:41:21 UTC	(20080513_0-25360)
  Log:
  remove a useless rb_strlcpy

  Modified:
	ircd-ratbox/trunk/bandb/bantool.c (File Modified) 


androsyn    2008/05/10 23:31:52 UTC	(20080510_1-25341)
  Log:
  yet another bantool update

  Modified:
	ircd-ratbox/trunk/bandb/bantool.c (File Modified) 


androsyn    2008/05/10 23:13:57 UTC	(20080510_0-25339)
  Log:
  yet another bantool update from dubkat

  Modified:
	ircd-ratbox/trunk/bandb/bantool.c (File Modified) 


androsyn    2008/05/09 18:56:00 UTC	(20080509_2-25337)
  Log:
  change smalldate to work like the main ircd\'s smalltime does

  Modified:
	ircd-ratbox/trunk/bandb/bantool.c (File Modified) 


androsyn    2008/05/09 18:52:08 UTC	(20080509_1-25335)
  Log:
  get rid of that inline

  Modified:
	ircd-ratbox/trunk/bandb/bantool.c (File Modified) 


androsyn    2008/05/09 18:41:07 UTC	(20080509_0-25333)
  Log:
  new bantool updates from dubkat

  Modified:
	ircd-ratbox/trunk/bandb/bantool.c (File Modified) 


jilles      2008/05/08 22:48:26 UTC	(20080508_3-25331)
  Log:
  Reset the handshake count after a while so it works like the comment says.
  

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2008/05/08 19:35:47 UTC	(20080508_2-25329)
  Log:
  a rough pass at dealing with handshake flooding...

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2008/05/08 17:44:33 UTC	(20080508_1-25323)
  Log:
  short circuit parse_netmask to HM_HOST if a * or ? is found in the mask.
  
  

  Modified:
	ircd-ratbox/trunk/src/hostmask.c (File Modified) 


androsyn    2008/05/08 17:43:58 UTC	(20080508_0-25321)
  Log:
  revert comp_with_mask to 2.2 version

  Modified:
	ircd-ratbox/trunk/src/match.c (File Modified) 


androsyn    2008/05/05 18:39:22 UTC	(20080505_8-25319)
  Log:
  do some hackery to hold a authtable spot until the ircd gets the cancel response

  Modified:
	ircd-ratbox/trunk/ident/ident.c (File Modified) 
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 


jilles      2008/05/05 18:34:56 UTC	(20080505_7-25317)
  Log:
  Remove unnecessary and confusing prototype for macro accept_message.
  

  Modified:
	ircd-ratbox/trunk/include/client.h (File Modified) 


androsyn    2008/05/05 18:23:36 UTC	(20080505_6-25315)
  Log:
  allow the ircd to cancel pending auth requests in ident process

  Modified:
	ircd-ratbox/trunk/ident/ident.c (File Modified) 
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 


androsyn    2008/05/05 18:19:52 UTC	(20080505_5-25313)
  Log:
  oops..committed some debug code by accident

  Modified:
	ircd-ratbox/trunk/src/packet.c (File Modified) 


androsyn    2008/05/05 16:59:44 UTC	(20080505_4-25311)
  Log:
  do memcpy to stuff ints into a buffer for 16bit ints as well

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2008/05/05 16:57:43 UTC	(20080505_3-25309)
  Log:
  do memcpy to stuff ints into a buffer

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2008/05/05 15:57:44 UTC	(20080505_2-25307)
  Log:
  commit jilles identd patch

  Modified:
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 


androsyn    2008/05/05 14:50:51 UTC	(20080505_1-25305)
  Log:
  add stuff about defaulting binding to ipv4

  Modified:
	ircd-ratbox/trunk/doc/whats-new-3.0.txt (File Modified) 


androsyn    2008/05/05 04:33:39 UTC	(20080505_0-25303)
  Log:
  - Install bantool in bin, not libexec
  

  Modified:
	ircd-ratbox/trunk/bandb/Makefile.am (File Modified) 
	ircd-ratbox/trunk/bandb/Makefile.in (File Modified) 


androsyn    2008/05/03 16:36:18 UTC	(20080503_2-25301)
  Log:
  make that uint32_t

  Modified:
	ircd-ratbox/trunk/src/parse.c (File Modified) 


androsyn    2008/05/03 16:34:55 UTC	(20080503_1-25299)
  Log:
  change cmd_hash to be unsigned int

  Modified:
	ircd-ratbox/trunk/src/parse.c (File Modified) 


androsyn    2008/05/03 15:51:37 UTC	(20080503_0-25297)
  Log:
  oops..fix the hash function

  Modified:
	ircd-ratbox/trunk/src/parse.c (File Modified) 


androsyn    2008/05/02 18:45:11 UTC	(20080502_1-25295)
  Log:
  oops..change that to ircd_ssl_ok as well

  Modified:
	ircd-ratbox/trunk/include/ircd.h (File Modified) 


androsyn    2008/05/02 17:24:24 UTC	(20080502_0-25293)
  Log:
  change ssl_ok to ircd_ssl_ok as this clashes with a symbol in openssl

  Modified:
	ircd-ratbox/trunk/bandb/bantool.c (File Modified) 
	ircd-ratbox/trunk/modules/m_connect.c (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/src/listener.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/packet.c (File Modified) 
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


androsyn    2008/05/01 15:14:35 UTC	(20080501_0-25289)
  Log:
  use column names when inserting with bantool

  Modified:
	ircd-ratbox/trunk/bandb/bantool.c (File Modified) 


jilles      2008/04/30 18:23:25 UTC	(20080430_3-25287)
  Log:
  Import .perm ban confs too.
  They are imported as regular bans because the database
  currently cannot express the concept of bans that are
  not modifiable from IRC.
  

  Modified:
	ircd-ratbox/trunk/bandb/bantool.c (File Modified) 


jilles      2008/04/30 18:01:55 UTC	(20080430_2-25285)
  Log:
  Fold bantool.h into bantool.c.
  

  Modified:
	ircd-ratbox/trunk/bandb/bantool.c (File Modified) 
	ircd-ratbox/trunk/bandb/bantool.h (File Deleted) 


jilles      2008/04/30 17:48:08 UTC	(20080430_1-25283)
  Log:
  Fix crash on certain malformed lines in xline.conf.
  

  Modified:
	ircd-ratbox/trunk/bandb/bantool.c (File Modified) 


jilles      2008/04/30 01:18:18 UTC	(20080430_0-25281)
  Log:
  bantool: fix crashes/corruption when converting xlines.
  Tested by dubkat.
  

  Modified:
	ircd-ratbox/trunk/bandb/bantool.c (File Modified) 


androsyn    2008/04/24 15:50:29 UTC	(20080424_2-25279)
  Log:
  get rid of the LIBTOOL variable in install-mod.sh.in

  Modified:
	ircd-ratbox/trunk/install-mod.sh.in (File Modified) 


androsyn    2008/04/24 15:45:49 UTC	(20080424_1-25277)
  Log:
  tidy up install-mod.sh.in and turn on Id tags as well

  Modified:
	ircd-ratbox/trunk/install-mod.sh.in (File Modified) (Property Modified)


androsyn    2008/04/24 15:43:42 UTC	(20080424_0-25275)
  Log:
  update ircd-shortcut.pl for 3.0.0

  Modified:
	ircd-ratbox/trunk/contrib/ircd-shortcut.pl (File Added) 


androsyn    2008/04/23 19:59:46 UTC	(20080423_6-25273)
  Log:
  have genssl.sh install into etc, rename mkpasswd to ratbox-mkpasswd

  Modified:
	ircd-ratbox/trunk/Makefile.in (File Modified) 
	ircd-ratbox/trunk/bandb/Makefile.in (File Modified) 
	ircd-ratbox/trunk/bandb/sqlite3/Makefile.in (File Modified) 
	ircd-ratbox/trunk/contrib/Makefile.in (File Modified) 
	ircd-ratbox/trunk/doc/Makefile.in (File Modified) 
	ircd-ratbox/trunk/doc/genssl.sh (File Added) 
	ircd-ratbox/trunk/help/Makefile.in (File Modified) 
	ircd-ratbox/trunk/ident/Makefile.in (File Modified) 
	ircd-ratbox/trunk/modules/Makefile.in (File Modified) 
	ircd-ratbox/trunk/resolver/Makefile.in (File Modified) 
	ircd-ratbox/trunk/resolver/adns/Makefile.in (File Modified) 
	ircd-ratbox/trunk/src/Makefile.in (File Modified) 
	ircd-ratbox/trunk/ssld/Makefile.in (File Modified) 
	ircd-ratbox/trunk/tools/Makefile.am (File Modified) 
	ircd-ratbox/trunk/tools/Makefile.in (File Modified) 
	ircd-ratbox/trunk/tools/genssl.sh (File Deleted) 


androsyn    2008/04/23 19:43:17 UTC	(20080423_5-25271)
  Log:
  have helper programs installed into prefix/libexec/ircd-ratbox

  Modified:
	ircd-ratbox/trunk/bandb/Makefile.am (File Modified) 
	ircd-ratbox/trunk/bandb/Makefile.in (File Modified) 
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/help/Makefile.in (File Modified) 
	ircd-ratbox/trunk/ident/Makefile.am (File Modified) 
	ircd-ratbox/trunk/ident/Makefile.in (File Modified) 
	ircd-ratbox/trunk/include/setup.h.in (File Modified) 
	ircd-ratbox/trunk/resolver/Makefile.am (File Modified) 
	ircd-ratbox/trunk/resolver/Makefile.in (File Modified) 
	ircd-ratbox/trunk/src/bandbi.c (File Modified) 
	ircd-ratbox/trunk/src/dns.c (File Modified) 
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/ssld/Makefile.am (File Modified) 
	ircd-ratbox/trunk/ssld/Makefile.in (File Modified) 


androsyn    2008/04/23 17:23:54 UTC	(20080423_4-25269)
  Log:
  Add a disable-backups configure flag which disables moving modules/help out of the way, which is useful for some package maintainers

  Modified:
	ircd-ratbox/trunk/Makefile.in (File Modified) 
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/help/Makefile.am (File Added) 
	ircd-ratbox/trunk/help/Makefile.in (File Modified) 
	ircd-ratbox/trunk/modules/Makefile.am (File Modified) 
	ircd-ratbox/trunk/modules/Makefile.in (File Modified) 


androsyn    2008/04/23 14:05:05 UTC	(20080423_3-25267)
  Log:
  add contrib and install_contrib targets in top level makefile

  Modified:
	ircd-ratbox/trunk/Makefile.am (File Modified) 
	ircd-ratbox/trunk/Makefile.in (File Modified) 


androsyn    2008/04/23 03:34:13 UTC	(20080423_2-25263)
  Log:
  update to 3.0.0beta3

  Modified:
	ircd-ratbox/trunk/RELNOTES (File Modified) 
	ircd-ratbox/trunk/include/patchlevel.h (File Modified) 


androsyn    2008/04/23 03:32:29 UTC	(20080423_1-25261)
  Log:
  change a source_p->name check to EmptyString

  Modified:
	ircd-ratbox/trunk/modules/m_user.c (File Modified) 


androsyn    2008/04/23 03:30:34 UTC	(20080423_0-25259)
  Log:
  port revision 21199 from 2.2 that fixes a possible core dump with CAP

  Modified:
	ircd-ratbox/trunk/include/client.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_nick.c (File Modified) 
	ircd-ratbox/trunk/modules/m_cap.c (File Modified) 
	ircd-ratbox/trunk/modules/m_pong.c (File Modified) 
	ircd-ratbox/trunk/modules/m_user.c (File Modified) 


androsyn    2008/04/22 16:32:06 UTC	(20080422_0-25257)
  Log:
  for the sake of sanity, do an exit if rb_sleep for some unknown reason actually returns

  Modified:
	ircd-ratbox/trunk/bandb/bandb.c (File Modified) 


androsyn    2008/04/21 20:02:00 UTC	(20080421_5-25255)
  Log:
  report to opers that a logfile is being closed due to errors

  Modified:
	ircd-ratbox/trunk/src/s_log.c (File Modified) 


androsyn    2008/04/21 19:56:15 UTC	(20080421_4-25251)
  Log:
  don't try to fflush a file we just closed

  Modified:
	ircd-ratbox/trunk/src/s_log.c (File Modified) 


androsyn    2008/04/21 19:39:18 UTC	(20080421_3-25249)
  Log:
  deal with bandb failures a bit more gracefully

  Modified:
	ircd-ratbox/trunk/bandb/bandb.c (File Modified) 
	ircd-ratbox/trunk/bandb/bantool.c (File Modified) 
	ircd-ratbox/trunk/bandb/rsdb.h (File Modified) 
	ircd-ratbox/trunk/bandb/rsdb_sqlite3.c (File Modified) 
	ircd-ratbox/trunk/src/bandbi.c (File Modified) 


androsyn    2008/04/21 18:49:40 UTC	(20080421_2-25247)
  Log:
  make bandb restarts a bit more clear

  Modified:
	ircd-ratbox/trunk/src/bandbi.c (File Modified) 


androsyn    2008/04/21 18:31:40 UTC	(20080421_1-25243)
  Log:
  untabify files we read in via cache_file

  Modified:
	ircd-ratbox/trunk/src/cache.c (File Modified) 


jilles      2008/04/21 17:14:24 UTC	(20080421_0-25241)
  Log:
  Replace tabs with spaces in umode help files.
  

  Modified:
	ircd-ratbox/trunk/help/opers/umode (File Modified) 
	ircd-ratbox/trunk/help/users/umode (File Modified) 


jilles      2008/04/17 22:43:20 UTC	(20080417_1-25239)
  Log:
  Improve SIGCHLD handler
  - Reap multiple zombies per signal
  - Save and restore errno
  

  Modified:
	ircd-ratbox/trunk/src/ircd_signal.c (File Modified) 


androsyn    2008/04/17 14:30:26 UTC	(20080417_0-25237)
  Log:
  stop libltdl from creating an empty include dir

  Modified:
	ircd-ratbox/trunk/libltdl/Makefile.am (File Modified) 
	ircd-ratbox/trunk/libltdl/Makefile.in (File Modified) 
	ircd-ratbox/trunk/libltdl/aclocal.m4 (File Modified) 
	ircd-ratbox/trunk/libltdl/configure (File Modified) 


jilles      2008/04/16 18:34:28 UTC	(20080416_0-25231)
  Log:
  Fix some cases where /list could freeze the client
  because SetCork and ClearCork were not matched correctly.
  Reported by cirrux@EFnet.
  

  Modified:
	ircd-ratbox/trunk/modules/m_list.c (File Modified) 


jilles      2008/04/09 22:12:16 UTC	(20080409_3-25221)
  Log:
  Fix WANT_READ/WANT_WRITE in ssld (used for SSL renegotiations).
  This should really be done in libratbox.
  

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2008/04/09 19:17:24 UTC	(20080409_2-25215)
  Log:
  fix some long unsigned int format, time_t arg warnings

  Modified:
	ircd-ratbox/trunk/modules/m_stats.c (File Modified) 
	ircd-ratbox/trunk/src/bandbi.c (File Modified) 
	ircd-ratbox/trunk/src/client.c (File Modified) 


androsyn    2008/04/09 18:58:09 UTC	(20080409_1-25213)
  Log:
  test if default_max_clients == 0 and if so override it.

  Modified:
	ircd-ratbox/trunk/src/ircd.c (File Modified) 


androsyn    2008/04/09 18:24:36 UTC	(20080409_0-25209)
  Log:
  update patchlevel.h and RELNOTES for beta2

  Modified:
	ircd-ratbox/trunk/RELNOTES (File Modified) 
	ircd-ratbox/trunk/include/patchlevel.h (File Modified) 


androsyn    2008/04/07 19:03:07 UTC	(20080407_0-25207)
  Log:
  fix maxclients stuff thanks to dwr@efnet

  Modified:
	ircd-ratbox/trunk/src/ircd.c (File Modified) 


androsyn    2008/04/04 18:19:48 UTC	(20080404_0-25201)
  Log:
  remove some old debugging code

  Modified:
	ircd-ratbox/trunk/src/listener.c (File Modified) 


androsyn    2008/04/03 15:55:09 UTC	(20080403_0-25199)
  Log:
  don't dump core on spoofs without a user@ part

  Modified:
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2008/03/31 20:24:33 UTC	(20080331_5-25193)
  Log:
  fix user@host spoofs

  Modified:
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2008/03/31 15:09:48 UTC	(20080331_4-25191)
  Log:
  fix a typo

  Modified:
	ircd-ratbox/trunk/doc/whats-new-3.0.txt (File Modified) 


androsyn    2008/03/31 04:02:32 UTC	(20080331_3-25189)
  Log:
  Fix bantool to deal with old xlines that have a space in them instead of a \s
  

  Modified:
	ircd-ratbox/trunk/bandb/bantool.c (File Modified) 


androsyn    2008/03/31 03:36:15 UTC	(20080331_2-25187)
  Log:
  honor global_cidr setting

  Modified:
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 


androsyn    2008/03/31 02:25:43 UTC	(20080331_1-25183)
  Log:
  make that say 3.0.0beta1

  Modified:
	ircd-ratbox/trunk/include/patchlevel.h (File Modified) 


androsyn    2008/03/31 02:23:08 UTC	(20080331_0-25181)
  Log:
  rev to 3.0beta1..

  Modified:
	ircd-ratbox/trunk/RELNOTES (File Modified) 
	ircd-ratbox/trunk/doc/whats-new-3.0.txt (File Modified) 
	ircd-ratbox/trunk/include/patchlevel.h (File Modified) 


androsyn    2008/03/30 16:34:57 UTC	(20080330_0-25179)
  Log:
  remove traces of dealing with ssl+zip

  Modified:
	ircd-ratbox/trunk/include/client.h (File Modified) 
	ircd-ratbox/trunk/include/sslproc.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/packet.c (File Modified) 
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


jilles      2008/03/29 23:39:25 UTC	(20080329_7-25171)
  Log:
  Improve comments in the ziplinks code.
  

  Modified:
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


jilles      2008/03/29 21:41:31 UTC	(20080329_6-25169)
  Log:
  Show in /stats P if a port is an SSL port.
  

  Modified:
	ircd-ratbox/trunk/src/listener.c (File Modified) 
	ircd-ratbox/trunk/src/messages.tab (File Modified) 


androsyn    2008/03/29 18:12:51 UTC	(20080329_5-25167)
  Log:
  don't bother sending the recvqlen now

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


jilles      2008/03/29 17:55:47 UTC	(20080329_4-25165)
  Log:
  Fix ziplinks without SSL.
  server_estab() called SetCork and ClearCork, but then
  called ClearCork again when the confirmation from ssld
  came in, so the connection would be corked forever.
  Fix this by not calling ClearCork from server_estab in
  this case.
  

  Modified:
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 


jilles      2008/03/29 16:14:36 UTC	(20080329_3-25163)
  Log:
  Get rid of the extraneous space in server capabilities list.
  This made "Link with <server> established: (<list>) link" ugly.
  

  Modified:
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 


androsyn    2008/03/29 16:06:01 UTC	(20080329_2-25161)
  Log:
  fix the zip only case now

  Modified:
	ircd-ratbox/trunk/include/sslproc.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


jilles      2008/03/29 16:03:02 UTC	(20080329_1-25159)
  Log:
  Also report ssld errors for handshakes to opers.
  

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


androsyn    2008/03/29 03:05:28 UTC	(20080329_0-25157)
  Log:
  Make zip links + ssl really work now.  This commit brought to you by several bottles of beer and a Red Harvest album set on repeat.
  

  Modified:
	ircd-ratbox/trunk/include/client.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/src/packet.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2008/03/28 17:33:30 UTC	(20080328_1-25155)
  Log:
  remove some debugging code

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2008/03/28 17:28:30 UTC	(20080328_0-25153)
  Log:
  this should fix most of the ssl+ziplinks linking issues i think

  Modified:
	ircd-ratbox/trunk/include/sslproc.h (File Modified) 
	ircd-ratbox/trunk/include/struct.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/src/client.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


jilles      2008/03/18 22:41:26 UTC	(20080318_0-25139)
  Log:
  The SQUIT changes are not notable enough for whats-new-3.0.txt.
  

  Modified:
	ircd-ratbox/trunk/doc/whats-new-3.0.txt (File Modified) 


androsyn    2008/03/17 12:58:27 UTC	(20080317_2-25135)
  Log:
  Some const related and prototype fixes for supported.c/h
  

  Modified:
	ircd-ratbox/trunk/include/supported.h (File Modified) 
	ircd-ratbox/trunk/src/supported.c (File Modified) 


androsyn    2008/03/17 12:50:47 UTC	(20080317_1-25133)
  Log:
  add client.h to m_list.c

  Modified:
	ircd-ratbox/trunk/modules/m_list.c (File Modified) 


androsyn    2008/03/17 12:48:13 UTC	(20080317_0-25131)
  Log:
  modules/m_help.c needs client.h

  Modified:
	ircd-ratbox/trunk/modules/m_help.c (File Modified) 


jilles      2008/03/16 20:45:20 UTC	(20080316_2-25127)
  Log:
  Make contrib compile again.
  

  Modified:
	ircd-ratbox/trunk/contrib/example_module.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_42.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_clearchan.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_flags.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_force.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_mkpasswd.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_ojoin.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_okick.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_olist.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_opme.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_webirc.c (File Modified) 
	ircd-ratbox/trunk/contrib/spy_whois_notice.c (File Modified) 
	ircd-ratbox/trunk/contrib/spy_whois_notice_global.c (File Modified) 


androsyn    2008/03/16 14:12:14 UTC	(20080316_1-25125)
  Log:
  add dubkat's genssl.sh shell script

  Modified:
	ircd-ratbox/trunk/tools/Makefile.am (File Modified) 
	ircd-ratbox/trunk/tools/Makefile.in (File Modified) 
	ircd-ratbox/trunk/tools/README (File Modified) 
	ircd-ratbox/trunk/tools/genssl.sh (File Added) 


androsyn    2008/03/16 14:00:11 UTC	(20080316_0-25123)
  Log:
  add whats-new-3.0.txt. Thanks to Moggie for writing this

  Modified:
	ircd-ratbox/trunk/doc/whats-new-3.0.txt (File Added) 


androsyn    2008/03/13 16:57:05 UTC	(20080313_0-25119)
  Log:
  remove POP_QUEUE and HOLD_QUEUE and add a SetCork/ClearCork flag

  Modified:
	ircd-ratbox/trunk/include/client.h (File Modified) 
	ircd-ratbox/trunk/include/send.h (File Modified) 
	ircd-ratbox/trunk/include/struct.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_die.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_join.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_kick.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_kill.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_message.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_mode.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_nick.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_part.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_squit.c (File Modified) 
	ircd-ratbox/trunk/modules/m_accept.c (File Modified) 
	ircd-ratbox/trunk/modules/m_admin.c (File Modified) 
	ircd-ratbox/trunk/modules/m_adminwall.c (File Modified) 
	ircd-ratbox/trunk/modules/m_away.c (File Modified) 
	ircd-ratbox/trunk/modules/m_cap.c (File Modified) 
	ircd-ratbox/trunk/modules/m_close.c (File Modified) 
	ircd-ratbox/trunk/modules/m_cmessage.c (File Modified) 
	ircd-ratbox/trunk/modules/m_connect.c (File Modified) 
	ircd-ratbox/trunk/modules/m_dline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_gline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_help.c (File Modified) 
	ircd-ratbox/trunk/modules/m_info.c (File Modified) 
	ircd-ratbox/trunk/modules/m_invite.c (File Modified) 
	ircd-ratbox/trunk/modules/m_ison.c (File Modified) 
	ircd-ratbox/trunk/modules/m_kline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_knock.c (File Modified) 
	ircd-ratbox/trunk/modules/m_links.c (File Modified) 
	ircd-ratbox/trunk/modules/m_list.c (File Modified) 
	ircd-ratbox/trunk/modules/m_lusers.c (File Modified) 
	ircd-ratbox/trunk/modules/m_map.c (File Modified) 
	ircd-ratbox/trunk/modules/m_monitor.c (File Modified) 
	ircd-ratbox/trunk/modules/m_motd.c (File Modified) 
	ircd-ratbox/trunk/modules/m_names.c (File Modified) 
	ircd-ratbox/trunk/modules/m_oper.c (File Modified) 
	ircd-ratbox/trunk/modules/m_ping.c (File Modified) 
	ircd-ratbox/trunk/modules/m_pong.c (File Modified) 
	ircd-ratbox/trunk/modules/m_rehash.c (File Modified) 
	ircd-ratbox/trunk/modules/m_restart.c (File Modified) 
	ircd-ratbox/trunk/modules/m_resv.c (File Modified) 
	ircd-ratbox/trunk/modules/m_services.c (File Modified) 
	ircd-ratbox/trunk/modules/m_set.c (File Modified) 
	ircd-ratbox/trunk/modules/m_stats.c (File Modified) 
	ircd-ratbox/trunk/modules/m_testline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_testmask.c (File Modified) 
	ircd-ratbox/trunk/modules/m_time.c (File Modified) 
	ircd-ratbox/trunk/modules/m_topic.c (File Modified) 
	ircd-ratbox/trunk/modules/m_trace.c (File Modified) 
	ircd-ratbox/trunk/modules/m_unreject.c (File Modified) 
	ircd-ratbox/trunk/modules/m_userhost.c (File Modified) 
	ircd-ratbox/trunk/modules/m_version.c (File Modified) 
	ircd-ratbox/trunk/modules/m_wallops.c (File Modified) 
	ircd-ratbox/trunk/modules/m_who.c (File Modified) 
	ircd-ratbox/trunk/modules/m_whois.c (File Modified) 
	ircd-ratbox/trunk/modules/m_whowas.c (File Modified) 
	ircd-ratbox/trunk/modules/m_xline.c (File Modified) 
	ircd-ratbox/trunk/src/cache.c (File Modified) 
	ircd-ratbox/trunk/src/channel.c (File Modified) 
	ircd-ratbox/trunk/src/client.c (File Modified) 
	ircd-ratbox/trunk/src/hash.c (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/src/listener.c (File Modified) 
	ircd-ratbox/trunk/src/modules.c (File Modified) 
	ircd-ratbox/trunk/src/parse.c (File Modified) 
	ircd-ratbox/trunk/src/reject.c (File Modified) 
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 
	ircd-ratbox/trunk/src/s_newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 
	ircd-ratbox/trunk/src/s_user.c (File Modified) 
	ircd-ratbox/trunk/src/send.c (File Modified) 
	ircd-ratbox/trunk/src/supported.c (File Modified) 


androsyn    2008/03/12 13:29:25 UTC	(20080312_0-25117)
  Log:
  change strlcat to rb_strlcat

  Modified:
	ircd-ratbox/trunk/src/supported.c (File Modified) 


androsyn    2008/03/11 22:49:00 UTC	(20080311_2-25115)
  Log:
  rerun automake

  Modified:
	ircd-ratbox/trunk/src/Makefile.in (File Modified) 


jilles      2008/03/11 22:46:57 UTC	(20080311_1-25113)
  Log:
  Replace the 005 implementation with a more dynamic one from charybdis
  written by me.
  This adds an FNC token, and shows cmode +r if it is
  compiled in and there is a service{} block and cmode +S
  if it is compiled in.
  It goes through the list whenever a 005 is to be sent.
  

  Modified:
	ircd-ratbox/trunk/include/supported.h (File Modified) 
	ircd-ratbox/trunk/modules/m_version.c (File Modified) 
	ircd-ratbox/trunk/src/Makefile.am (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/src/s_user.c (File Modified) 
	ircd-ratbox/trunk/src/supported.c (File Added) 


jilles      2008/03/11 22:23:39 UTC	(20080311_0-25111)
  Log:
  004: remove nonexistent umode +e and add cmode +r
  The way it works now, making 004 conditional is quite
  hard and rarely anything ever looks at it anyway.
  

  Modified:
	ircd-ratbox/trunk/src/messages.tab (File Modified) 


androsyn    2008/03/10 20:28:36 UTC	(20080310_2-25109)
  Log:
  fix a minor documentation issue

  Modified:
	ircd-ratbox/trunk/doc/example.conf (File Modified) 


androsyn    2008/03/10 18:50:43 UTC	(20080310_1-25105)
  Log:
  add flags = ssl to the example.conf for servers

  Modified:
	ircd-ratbox/trunk/doc/example.conf (File Modified) 


androsyn    2008/03/10 16:52:47 UTC	(20080310_0-25103)
  Log:
  - Add support for SSL only channels, channel mode +S.  I don't care for these too much, but enough people seem
    to whine for them.  Enable with configure --enable-sslonly-channels.  Note that all servers on the network
    need this enabled for it to work.
  
  

  Modified:
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/doc/modes.txt (File Modified) 
	ircd-ratbox/trunk/include/channel.h (File Modified) 
	ircd-ratbox/trunk/include/numeric.h (File Modified) 
	ircd-ratbox/trunk/include/setup.h.in (File Modified) 
	ircd-ratbox/trunk/modules/core/m_join.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_mode.c (File Modified) 
	ircd-ratbox/trunk/src/channel.c (File Modified) 
	ircd-ratbox/trunk/src/messages.tab (File Modified) 


androsyn    2008/03/07 16:30:59 UTC	(20080307_3-25101)
  Log:
  remove the creation of kline.conf etc from the doc/Makefile.in

  Modified:
	ircd-ratbox/trunk/doc/Makefile.in (File Modified) 


androsyn    2008/03/07 16:10:01 UTC	(20080307_2-25099)
  Log:
  Rerun automake/aclocal to rebuild contrib/Makefile.in
  
  

  Modified:
	ircd-ratbox/trunk/Makefile.in (File Modified) 
	ircd-ratbox/trunk/aclocal.m4 (File Modified) 
	ircd-ratbox/trunk/bandb/Makefile.in (File Modified) 
	ircd-ratbox/trunk/bandb/sqlite3/Makefile.in (File Modified) 
	ircd-ratbox/trunk/contrib/Makefile.am (File Modified) 
	ircd-ratbox/trunk/contrib/Makefile.in (File Modified) 
	ircd-ratbox/trunk/ident/Makefile.in (File Modified) 
	ircd-ratbox/trunk/modules/Makefile.in (File Modified) 
	ircd-ratbox/trunk/resolver/Makefile.in (File Modified) 
	ircd-ratbox/trunk/resolver/adns/Makefile.in (File Modified) 
	ircd-ratbox/trunk/src/Makefile.in (File Modified) 
	ircd-ratbox/trunk/ssld/Makefile.in (File Modified) 
	ircd-ratbox/trunk/tools/Makefile.in (File Modified) 


androsyn    2008/03/07 02:16:45 UTC	(20080307_1-25097)
  Log:
  fix another RB_IPV6 related compile error

  Modified:
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2008/03/07 00:10:27 UTC	(20080307_0-25095)
  Log:
  fix global_cidr

  Modified:
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2008/03/06 20:54:27 UTC	(20080306_0-25093)
  Log:
  keep newconf.c from bombing out when ipv6 isn't found

  Modified:
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2008/02/17 04:47:25 UTC	(20080217_2-25077)
  Log:
  fix some cast-qual warnings on sparc64

  Modified:
	ircd-ratbox/trunk/src/hostmask.c (File Modified) 
	ircd-ratbox/trunk/src/match.c (File Modified) 
	ircd-ratbox/trunk/src/modules.c (File Modified) 


androsyn    2008/02/17 03:54:19 UTC	(20080217_1-25074)
  Log:
  have ssld store byte counts in unsigned long long and use strtoull to convert from string to integer

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2008/02/17 03:50:00 UTC	(20080217_0-25072)
  Log:
  fix stats Z output

  Modified:
	ircd-ratbox/trunk/modules/m_stats.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


jilles      2008/02/07 00:20:04 UTC	(20080207_0-25058)
  Log:
  Fix a UID leak.
  

  Modified:
	ircd-ratbox/trunk/modules/m_invite.c (File Modified) 


androsyn    2008/02/06 20:47:40 UTC	(20080206_1-25056)
  Log:
  Add a somewhat hackish global cidr limit implementation.  Its not per class, but oh well..
  
  

  Modified:
	ircd-ratbox/trunk/doc/example.conf (File Modified) 
	ircd-ratbox/trunk/include/reject.h (File Modified) 
	ircd-ratbox/trunk/include/s_conf.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_nick.c (File Modified) 
	ircd-ratbox/trunk/src/client.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/reject.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 
	ircd-ratbox/trunk/src/s_user.c (File Modified) 


androsyn    2008/02/06 16:45:19 UTC	(20080206_0-25054)
  Log:
  change a few things to const char and clean up a few warnings

  Modified:
	ircd-ratbox/trunk/include/hostmask.h (File Modified) 
	ircd-ratbox/trunk/include/s_conf.h (File Modified) 
	ircd-ratbox/trunk/include/struct.h (File Modified) 
	ircd-ratbox/trunk/modules/Makefile.am (File Modified) 
	ircd-ratbox/trunk/modules/Makefile.in (File Modified) 
	ircd-ratbox/trunk/modules/m_stats.c (File Modified) 
	ircd-ratbox/trunk/modules/m_version.c (File Modified) 
	ircd-ratbox/trunk/modules/m_xline.c (File Modified) 
	ircd-ratbox/trunk/src/hostmask.c (File Modified) 
	ircd-ratbox/trunk/src/reject.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 


androsyn    2008/01/23 16:23:28 UTC	(20080123_4-25046)
  Log:
  fix an uninitialized use of a pointer

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


androsyn    2008/01/23 04:36:30 UTC	(20080123_3-25030)
  Log:
  use unsigned long long for collecting byte stats

  Modified:
	ircd-ratbox/trunk/include/s_stats.h (File Modified) 
	ircd-ratbox/trunk/include/struct.h (File Modified) 
	ircd-ratbox/trunk/modules/m_stats.c (File Modified) 
	ircd-ratbox/trunk/src/client.c (File Modified) 
	ircd-ratbox/trunk/src/packet.c (File Modified) 
	ircd-ratbox/trunk/src/send.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


androsyn    2008/01/23 04:01:32 UTC	(20080123_2-25028)
  Log:
  remove AC_PROG_CC check

  Modified:
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 


androsyn    2008/01/23 03:56:11 UTC	(20080123_1-25024)
  Log:
  require C99

  Modified:
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/src/parse.c (File Modified) 


androsyn    2008/01/23 03:24:07 UTC	(20080123_0-25020)
  Log:
  deal with ssl needing read or write

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2008/01/22 16:22:51 UTC	(20080122_2-25014)
  Log:
  fix sqlite3 build

  Modified:
	ircd-ratbox/trunk/bandb/Makefile.am (File Modified) 
	ircd-ratbox/trunk/bandb/Makefile.in (File Modified) 


androsyn    2008/01/22 16:15:08 UTC	(20080122_1-25012)
  Log:
  minor tweak in makefiles

  Modified:
	ircd-ratbox/trunk/Makefile.am (File Modified) 
	ircd-ratbox/trunk/Makefile.in (File Modified) 


androsyn    2008/01/22 00:01:58 UTC	(20080122_0-25010)
  Log:
  Kline exempt doesn't get you out of D lines, don't say as such

  Modified:
	ircd-ratbox/trunk/src/s_user.c (File Modified) 


androsyn    2008/01/21 06:58:00 UTC	(20080121_3-25008)
  Log:
  - Move sqlite3 into bandb/ and adjust makefiles etc
  

  Modified:
	ircd-ratbox/trunk/Makefile.am (File Modified) 
	ircd-ratbox/trunk/Makefile.in (File Modified) 
	ircd-ratbox/trunk/bandb/Makefile.am (File Modified) 
	ircd-ratbox/trunk/bandb/Makefile.in (File Modified) 
	ircd-ratbox/trunk/bandb/sqlite3/ (File Added) 
	ircd-ratbox/trunk/bandb/sqlite3/Makefile.in (File Modified) 
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/sqlite3/ (File Deleted) 


androsyn    2008/01/21 06:20:44 UTC	(20080121_2-25004)
  Log:
  closedir after opening modules/core

  Modified:
	ircd-ratbox/trunk/src/modules.c (File Modified) 


androsyn    2008/01/21 01:29:04 UTC	(20080121_1-24996)
  Log:
  change libcoredir to libdir instead of prefix...oops

  Modified:
	ircd-ratbox/trunk/src/Makefile.am (File Modified) 
	ircd-ratbox/trunk/src/Makefile.in (File Modified) 


androsyn    2008/01/21 01:19:42 UTC	(20080121_0-24994)
  Log:
  - work around some sparc alignment related issues
  

  Modified:
	ircd-ratbox/trunk/resolver/adns/query.c (File Modified) 


androsyn    2008/01/20 23:49:58 UTC	(20080120_9-24992)
  Log:
  clear event handlers when doing PLAIN_WAIT

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2008/01/20 22:59:17 UTC	(20080120_8-24990)
  Log:
  Remove the sa_len check as libratbox handles this

  Modified:
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/include/setup.h.in (File Modified) 


androsyn    2008/01/20 20:26:31 UTC	(20080120_7-24986)
  Log:
  add it also helps if we create the correct directory

  Modified:
	ircd-ratbox/trunk/modules/Makefile.am (File Modified) 
	ircd-ratbox/trunk/modules/Makefile.in (File Modified) 


androsyn    2008/01/20 20:25:22 UTC	(20080120_6-24984)
  Log:
  helps if we install modules into the correct directory

  Modified:
	ircd-ratbox/trunk/modules/Makefile.am (File Modified) 
	ircd-ratbox/trunk/modules/Makefile.in (File Modified) 


androsyn    2008/01/20 19:47:23 UTC	(20080120_5-24982)
  Log:
  more SHLIBEXT hackishness

  Modified:
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 


androsyn    2008/01/20 19:34:57 UTC	(20080120_4-24976)
  Log:
  add Id tag to install-mod.sh.in

  Modified:
	ircd-ratbox/trunk/install-mod.sh.in (File Modified) 


androsyn    2008/01/20 19:33:51 UTC	(20080120_3-24974)
  Log:
  fixed shared library extension stuff on darwin
  

  Modified:
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/ltmain.sh (File Modified) 


androsyn    2008/01/20 19:20:42 UTC	(20080120_2-24972)
  Log:
  oops forgot to add Makefile.in and Makefile.am

  Modified:
	ircd-ratbox/trunk/src/Makefile.am (File Added) 
	ircd-ratbox/trunk/src/Makefile.in (File Added) 


androsyn    2008/01/20 19:12:34 UTC	(20080120_1-24970)
  Log:
  more makefile cleanups

  Modified:
	ircd-ratbox/trunk/Makefile.am (File Modified) 
	ircd-ratbox/trunk/Makefile.in (File Modified) 
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/modules/Makefile.am (File Modified) 
	ircd-ratbox/trunk/modules/Makefile.in (File Modified) 


androsyn    2008/01/20 00:54:33 UTC	(20080120_0-24968)
  Log:
  Rework the module install system and the like. Skip using libtool to install shared modules.
  

  Modified:
	ircd-ratbox/trunk/Makefile.am (File Modified) 
	ircd-ratbox/trunk/Makefile.in (File Modified) 
	ircd-ratbox/trunk/bandb/Makefile.in (File Modified) 
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/contrib/Makefile.in (File Modified) 
	ircd-ratbox/trunk/ident/Makefile.in (File Modified) 
	ircd-ratbox/trunk/include/modules.h (File Modified) 
	ircd-ratbox/trunk/install-mod.sh.in (File Added) 
	ircd-ratbox/trunk/modules/Makefile.am (File Added) 
	ircd-ratbox/trunk/modules/Makefile.in (File Added) 
	ircd-ratbox/trunk/modules/static_modules.c (File Added) 
	ircd-ratbox/trunk/modules/static_modules.c.SH (File Added) 
	ircd-ratbox/trunk/resolver/Makefile.in (File Modified) 
	ircd-ratbox/trunk/resolver/adns/Makefile.in (File Modified) 
	ircd-ratbox/trunk/sqlite3/Makefile.in (File Modified) 
	ircd-ratbox/trunk/src/modules.c (File Modified) 
	ircd-ratbox/trunk/ssld/Makefile.in (File Modified) 
	ircd-ratbox/trunk/tools/Makefile.in (File Modified) 


androsyn    2008/01/18 19:20:31 UTC	(20080118_1-24966)
  Log:
  fix namespace collsions with basename

  Modified:
	ircd-ratbox/trunk/src/modules.c (File Modified) 


androsyn    2008/01/18 00:10:14 UTC	(20080118_0-24964)
  Log:
  bail out of read_packet if you we get a short read as this should work with edge triggered i/o

  Modified:
	ircd-ratbox/trunk/src/packet.c (File Modified) 


androsyn    2008/01/15 17:20:47 UTC	(20080115_2-24948)
  Log:
  Handle signals in helpers.  Also run through indent
  

  Modified:
	ircd-ratbox/trunk/bandb/bandb.c (File Modified) 
	ircd-ratbox/trunk/ident/ident.c (File Modified) 
	ircd-ratbox/trunk/resolver/resolver.c (File Modified) 


androsyn    2008/01/15 17:14:15 UTC	(20080115_1-24946)
  Log:
  add some more error handling in ssld

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2008/01/15 16:50:29 UTC	(20080115_0-24944)
  Log:
  set file descriptors non blocking and the like after receiving them from another process

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2008/01/14 20:44:42 UTC	(20080114_0-24940)
  Log:
  have bandb use rb_help_write_queue as it can end up sending a lot of data

  Modified:
	ircd-ratbox/trunk/bandb/bandb.c (File Modified) 


androsyn    2008/01/11 18:53:37 UTC	(20080111_7-24896)
  Log:
  Fix a bug with duplicate wildcard resvs.  Using match_esc to find duplicates isn't a good way to go.
  

  Modified:
	ircd-ratbox/trunk/include/s_newconf.h (File Modified) 
	ircd-ratbox/trunk/modules/m_resv.c (File Modified) 
	ircd-ratbox/trunk/src/s_newconf.c (File Modified) 


androsyn    2008/01/11 04:31:05 UTC	(20080111_6-24894)
  Log:
  Get rid of a shitload of type casts for formatted strings and use %zu in some places
  
  

  Modified:
	ircd-ratbox/trunk/modules/m_stats.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


androsyn    2008/01/11 04:03:12 UTC	(20080111_5-24892)
  Log:
  fix warnings for passing size_t formats

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


androsyn    2008/01/11 03:02:14 UTC	(20080111_4-24890)
  Log:
  cleanup includes

  Modified:
	ircd-ratbox/trunk/bandb/bantool.c (File Modified) 


androsyn    2008/01/11 02:58:36 UTC	(20080111_3-24888)
  Log:
  have bantool use rb_sleep()

  Modified:
	ircd-ratbox/trunk/bandb/bantool.c (File Modified) 


androsyn    2008/01/11 02:54:34 UTC	(20080111_2-24886)
  Log:
  fix a few warnings

  Modified:
	ircd-ratbox/trunk/bandb/bantool.c (File Modified) 
	ircd-ratbox/trunk/bandb/bantool.h (File Modified) 


androsyn    2008/01/11 02:52:18 UTC	(20080111_1-24884)
  Log:
  Another bantool update from dubkat:
  
  - unbuffered warning notice so it prints when expected.
  - changed DELETE FROM table to DROP TABLE
  
  

  Modified:
	ircd-ratbox/trunk/bandb/bantool.c (File Modified) 
	ircd-ratbox/trunk/bandb/bantool.h (File Modified) 


androsyn    2008/01/11 01:58:59 UTC	(20080111_0-24882)
  Log:
  A bantool update from dubkat:
  
  changes:
          standardized the version string.
          added -w to wipe the database clean
          added -d to disable duplicate entries.
          replaced lame comments with more descriptive ones.
  
  
  

  Modified:
	ircd-ratbox/trunk/bandb/bantool.c (File Modified) 
	ircd-ratbox/trunk/bandb/bantool.h (File Modified) 


androsyn    2008/01/10 21:03:26 UTC	(20080110_5-24878)
  Log:
  try to seed data from rb_get_random which in turns gets its data from openssl prng

  Modified:
	ircd-ratbox/trunk/src/ircd.c (File Modified) 


androsyn    2008/01/10 20:36:50 UTC	(20080110_4-24876)
  Log:
  add support for passing along egd related info into ssld

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2008/01/10 18:08:22 UTC	(20080110_3-24872)
  Log:
  give a bit more info when ssld gets run directly

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2008/01/10 16:51:01 UTC	(20080110_2-24870)
  Log:
  Tweak makefiles to make version.c get built correctly again.
  Add generation back into version.c and have /INFO report it again
  

  Modified:
	ircd-ratbox/trunk/Makefile.am (File Modified) 
	ircd-ratbox/trunk/Makefile.in (File Modified) 
	ircd-ratbox/trunk/modules/m_info.c (File Modified) 
	ircd-ratbox/trunk/src/version.c.SH (File Modified) 


androsyn    2008/01/10 16:36:13 UTC	(20080110_1-24868)
  Log:
  sync tree with libratbox rb_ctime changes

  Modified:
	ircd-ratbox/trunk/modules/m_info.c (File Modified) 
	ircd-ratbox/trunk/modules/m_whowas.c (File Modified) 
	ircd-ratbox/trunk/src/client.c (File Modified) 


androsyn    2008/01/10 16:30:01 UTC	(20080110_0-24864)
  Log:
  remove tools/bantool.pl from tools/Makefile.am

  Modified:
	ircd-ratbox/trunk/tools/Makefile.am (File Modified) 
	ircd-ratbox/trunk/tools/Makefile.in (File Modified) 


androsyn    2008/01/09 20:06:10 UTC	(20080109_1-24860)
  Log:
  it helps if i do a svn add

  Modified:
	ircd-ratbox/trunk/bandb/bantool.c (File Added) 
	ircd-ratbox/trunk/bandb/bantool.h (File Added) 


androsyn    2008/01/09 20:05:25 UTC	(20080109_0-24858)
  Log:
  add dubkat's new bantool that is written in C and remove the old perl version

  Modified:
	ircd-ratbox/trunk/bandb/Makefile.am (File Modified) 
	ircd-ratbox/trunk/bandb/Makefile.in (File Modified) 
	ircd-ratbox/trunk/tools/bantool.pl (File Deleted) 


androsyn    2008/01/08 20:25:49 UTC	(20080108_2-24856)
  Log:
  change two ssl_ok's to IsSSL for the sake of sanity

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2008/01/08 15:38:57 UTC	(20080108_1-24852)
  Log:
  if length == 0 return after doing a close_conn.  Also if a connection is already dead, don't allow close_conn to be done again

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2008/01/08 15:25:04 UTC	(20080108_0-24850)
  Log:
  setup signal handlers to catch things like SIGPIPE and what not

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2008/01/06 23:02:38 UTC	(20080106_1-24848)
  Log:
  rename bants to ban_serial so its a bit less misleading

  Modified:
	ircd-ratbox/trunk/include/channel.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_join.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_mode.c (File Modified) 
	ircd-ratbox/trunk/src/channel.c (File Modified) 


androsyn    2008/01/06 22:30:07 UTC	(20080106_0-24846)
  Log:
  change struct Channel's bants from rb_uint32_t to time_t as we end up storing a time_t in it all the time anyways

  Modified:
	ircd-ratbox/trunk/include/channel.h (File Modified) 


androsyn    2008/01/04 17:55:28 UTC	(20080104_0-24844)
  Log:
  fix ziplinks breakage when running with ssl enabled connections

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


androsyn    2008/01/03 21:05:40 UTC	(20080103_4-24842)
  Log:
  Another minor ziplinks cleanup
  

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2008/01/03 16:39:35 UTC	(20080103_3-24838)
  Log:
  cleanup zlib streams

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2008/01/03 16:16:43 UTC	(20080103_2-24836)
  Log:
  remove IPv6 support echo from configure

  Modified:
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 


androsyn    2008/01/03 04:25:08 UTC	(20080103_1-24834)
  Log:
  - deal with libratbox not support zlib or ssl and have ssld report this as well
  

  Modified:
	ircd-ratbox/trunk/include/ircd.h (File Modified) 
	ircd-ratbox/trunk/include/s_serv.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2008/01/03 00:58:57 UTC	(20080103_0-24830)
  Log:
  Fix a thinko with static modules

  Modified:
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2008/01/02 18:38:26 UTC	(20080102_3-24818)
  Log:
  Move compiler warning flags into WARNFLAGS and have it used in most makefiles in AM_CFLAGS
  

  Modified:
	ircd-ratbox/trunk/Makefile.am (File Modified) 
	ircd-ratbox/trunk/Makefile.in (File Modified) 
	ircd-ratbox/trunk/bandb/Makefile.am (File Modified) 
	ircd-ratbox/trunk/bandb/Makefile.in (File Modified) 
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/contrib/Makefile.am (File Modified) 
	ircd-ratbox/trunk/contrib/Makefile.in (File Modified) 
	ircd-ratbox/trunk/ident/Makefile.am (File Modified) 
	ircd-ratbox/trunk/ident/Makefile.in (File Modified) 
	ircd-ratbox/trunk/resolver/Makefile.am (File Modified) 
	ircd-ratbox/trunk/resolver/Makefile.in (File Modified) 
	ircd-ratbox/trunk/resolver/adns/Makefile.am (File Modified) 
	ircd-ratbox/trunk/resolver/adns/Makefile.in (File Modified) 
	ircd-ratbox/trunk/sqlite3/Makefile.in (File Modified) 
	ircd-ratbox/trunk/ssld/Makefile.am (File Modified) 
	ircd-ratbox/trunk/ssld/Makefile.in (File Modified) 
	ircd-ratbox/trunk/tools/Makefile.am (File Modified) 
	ircd-ratbox/trunk/tools/Makefile.in (File Modified) 


androsyn    2008/01/02 18:33:05 UTC	(20080102_2-24816)
  Log:
  tweak ssld.c to use rb_lib_loop and also close fds 0-2 and replace with /dev/null

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2008/01/02 18:32:25 UTC	(20080102_1-24814)
  Log:
  tweak resolver.c to use rb_helper_loop

  Modified:
	ircd-ratbox/trunk/resolver/resolver.c (File Modified) 


androsyn    2008/01/02 17:07:11 UTC	(20080102_0-24812)
  Log:
  - Update to sqlite 3.5.4.
    Sqlite 3.5.4 has a combined sqlite3.c file that has everything we need it in, so copy that in instead.
    This also aids gcc in optimizing things a bit.
    
  

  Modified:
	ircd-ratbox/trunk/sqlite3/Makefile.am (File Modified) 
	ircd-ratbox/trunk/sqlite3/Makefile.in (File Modified) 
	ircd-ratbox/trunk/sqlite3/VERSION (File Deleted) 
	ircd-ratbox/trunk/sqlite3/sqlite3.c (File Added) 
	ircd-ratbox/trunk/sqlite3/sqlite3.h (File Modified) 
	ircd-ratbox/trunk/sqlite3/src/ (File Deleted) 
	ircd-ratbox/trunk/sqlite3/tool/ (File Deleted) 


androsyn    2008/01/01 02:43:05 UTC	(20080101_0-24806)
  Log:
  change the define for HAVE_LIBZ to HAVE_ZLIB also deal with making fds 0-2 be /dev/null in ssld

  Modified:
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/include/s_serv.h (File Modified) 
	ircd-ratbox/trunk/include/setup.h.in (File Modified) 
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/modules/m_info.c (File Modified) 
	ircd-ratbox/trunk/modules/m_version.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2007/12/29 03:42:57 UTC	(20071229_0-24804)
  Log:
  make m_whowas.c work again

  Modified:
	ircd-ratbox/trunk/include/whowas.h (File Modified) 
	ircd-ratbox/trunk/modules/m_whowas.c (File Modified) 


androsyn    2007/12/28 17:16:04 UTC	(20071228_3-24800)
  Log:
  - Have the compression related structs be in their own struct with conn_t has a pointer to in ssld.
  - Add simple functions to deal with stuffing integers into buffers to make things a little more idiot proof :)
  

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2007/12/28 05:17:13 UTC	(20071228_2-24798)
  Log:
  - Report errors from ssld for servers via sendto_realops_flags
  - Pass the correct fd info when doing ziplinks only.
  

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


androsyn    2007/12/28 04:21:39 UTC	(20071228_1-24796)
  Log:
  update the client fd hash when doing ziplinks too

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


androsyn    2007/12/28 02:36:59 UTC	(20071228_0-24794)
  Log:
  Some hash related cleanups
  

  Modified:
	ircd-ratbox/trunk/include/hash.h (File Modified) 
	ircd-ratbox/trunk/include/hostmask.h (File Modified) 
	ircd-ratbox/trunk/include/monitor.h (File Modified) 
	ircd-ratbox/trunk/include/whowas.h (File Modified) 
	ircd-ratbox/trunk/src/hash.c (File Modified) 
	ircd-ratbox/trunk/src/operhash.c (File Modified) 
	ircd-ratbox/trunk/src/scache.c (File Modified) 
	ircd-ratbox/trunk/src/whowas.c (File Modified) 


androsyn    2007/12/27 17:56:34 UTC	(20071227_0-24782)
  Log:
  - Add hash to find clients by file descriptor
  - Add support for ssld telling the ircd the real reason for the connection closing
  - Have ssld connection ids be 32bit ints instead of 16bit.
  
  
  
  

  Modified:
	ircd-ratbox/trunk/include/hash.h (File Modified) 
	ircd-ratbox/trunk/src/client.c (File Modified) 
	ircd-ratbox/trunk/src/hash.c (File Modified) 
	ircd-ratbox/trunk/src/listener.c (File Modified) 
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2007/12/25 20:34:17 UTC	(20071225_1-24764)
  Log:
  fix ircd to deal with rb_note interface change

  Modified:
	ircd-ratbox/trunk/modules/core/m_nick.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/modules/m_services.c (File Modified) 
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 


jilles      2007/12/25 00:25:34 UTC	(20071225_0-24758)
  Log:
  Use "SID Exists" instead of "Server Exists" where appropriate.
  (in server exit reason)
  

  Modified:
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 


androsyn    2007/12/20 19:01:04 UTC	(20071220_0-24756)
  Log:
  add some code to deal trying to execute a failing ssld process

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


androsyn    2007/12/19 18:27:43 UTC	(20071219_3-24750)
  Log:
  i'm not sure this dead check is needed here, but it doesn't hurt

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


androsyn    2007/12/19 18:23:30 UTC	(20071219_2-24748)
  Log:
  don't call free_ssl_daemon from ssl_dead

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


androsyn    2007/12/19 18:15:25 UTC	(20071219_1-24746)
  Log:
  make ssld stop reading from dead sockets

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2007/12/19 17:01:07 UTC	(20071219_0-24744)
  Log:
  move ssl before the short circuit in show_capabilities

  Modified:
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 


androsyn    2007/12/18 21:19:24 UTC	(20071218_8-24742)
  Log:
  add POP_QUEUE to a few sendto_one calls

  Modified:
	ircd-ratbox/trunk/modules/core/m_nick.c (File Modified) 


jilles      2007/12/18 20:02:44 UTC	(20071218_7-24740)
  Log:
  Add special treatment for +z in m_flags.c.
  

  Modified:
	ircd-ratbox/trunk/contrib/m_flags.c (File Modified) 


jilles      2007/12/18 19:48:01 UTC	(20071218_6-24738)
  Log:
  Add SAVE generation (forced nick change on collision) from charybdis.
  Unlike in charybdis, the general::collision_fnc conf option
  defaults to false.
  

  Modified:
	ircd-ratbox/trunk/doc/collision_fnc.txt (File Modified) 
	ircd-ratbox/trunk/doc/example.conf (File Modified) 
	ircd-ratbox/trunk/include/s_conf.h (File Modified) 
	ircd-ratbox/trunk/include/s_stats.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_nick.c (File Modified) 
	ircd-ratbox/trunk/modules/m_info.c (File Modified) 
	ircd-ratbox/trunk/modules/m_stats.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 


androsyn    2007/12/18 19:29:33 UTC	(20071218_5-24736)
  Log:
  don't dump core if ssl isn't configured..oops

  Modified:
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


androsyn    2007/12/18 18:03:37 UTC	(20071218_4-24734)
  Log:
  remove reference to m_omode.c

  Modified:
	ircd-ratbox/trunk/contrib/README (File Modified) 


androsyn    2007/12/18 16:58:28 UTC	(20071218_3-24732)
  Log:
  - clean up most of the remaining sendto_one(source_p, "%s NOTICE %s type notices to use sendto_one_notice()
  
  

  Modified:
	ircd-ratbox/trunk/modules/core/m_message.c (File Modified) 
	ircd-ratbox/trunk/src/s_user.c (File Modified) 


androsyn    2007/12/18 16:47:58 UTC	(20071218_2-24730)
  Log:
  restrict umode +z to operators with the operwall flag and remove IsOperOperwall check from sendto_wallops_flags

  Modified:
	ircd-ratbox/trunk/modules/m_oper.c (File Modified) 
	ircd-ratbox/trunk/src/s_user.c (File Modified) 
	ircd-ratbox/trunk/src/send.c (File Modified) 


androsyn    2007/12/18 15:35:39 UTC	(20071218_1-24728)
  Log:
  fix some floating point formatting sillyness

  Modified:
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/include/setup.h.in (File Modified) 
	ircd-ratbox/trunk/modules/m_stats.c (File Modified) 
	ircd-ratbox/trunk/src/hash.c (File Modified) 


androsyn    2007/12/18 14:52:41 UTC	(20071218_0-24726)
  Log:
  fix a case of passing %f to the new snprintf

  Modified:
	ircd-ratbox/trunk/modules/m_stats.c (File Modified) 


androsyn    2007/12/17 19:57:35 UTC	(20071217_9-24723)
  Log:
  remove event.h from m_force.c

  Modified:
	ircd-ratbox/trunk/contrib/m_force.c (File Modified) 


androsyn    2007/12/17 18:37:43 UTC	(20071217_8-24719)
  Log:
  If the id passed to ssld was zero, we would fail to remove it from the connid hash.
  Make id's signed integers and treat negative ids as invalid. 
  

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2007/12/17 16:57:45 UTC	(20071217_7-24717)
  Log:
  Add adminwall
  

  Modified:
	ircd-ratbox/trunk/Makefile.am (File Modified) 
	ircd-ratbox/trunk/Makefile.in (File Modified) 
	ircd-ratbox/trunk/modules/m_adminwall.c (File Added) 


androsyn    2007/12/17 15:57:07 UTC	(20071217_6-24715)
  Log:
  make the ircd accept non-ssl connections again..oops

  Modified:
	ircd-ratbox/trunk/src/listener.c (File Modified) 


androsyn    2007/12/17 05:09:46 UTC	(20071217_5-24713)
  Log:
  convert a bunch of %s NOTICE %s type sendto_one notices to sendto_one_notices

  Modified:
	ircd-ratbox/trunk/modules/core/m_die.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_kill.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_squit.c (File Modified) 
	ircd-ratbox/trunk/modules/m_connect.c (File Modified) 
	ircd-ratbox/trunk/modules/m_dline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_gline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_kline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_oper.c (File Modified) 
	ircd-ratbox/trunk/modules/m_rehash.c (File Modified) 
	ircd-ratbox/trunk/modules/m_restart.c (File Modified) 
	ircd-ratbox/trunk/modules/m_set.c (File Modified) 
	ircd-ratbox/trunk/modules/m_testmask.c (File Modified) 
	ircd-ratbox/trunk/modules/m_trace.c (File Modified) 
	ircd-ratbox/trunk/modules/m_unreject.c (File Modified) 
	ircd-ratbox/trunk/modules/m_xline.c (File Modified) 
	ircd-ratbox/trunk/src/modules.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 
	ircd-ratbox/trunk/src/s_newconf.c (File Modified) 
	ircd-ratbox/trunk/src/send.c (File Modified) 


androsyn    2007/12/17 04:02:04 UTC	(20071217_4-24711)
  Log:
  unconditonally use ssld

  Modified:
	ircd-ratbox/trunk/doc/example.conf (File Modified) 
	ircd-ratbox/trunk/include/s_conf.h (File Modified) 
	ircd-ratbox/trunk/modules/m_connect.c (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/src/listener.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2007/12/17 02:48:04 UTC	(20071217_3-24709)
  Log:
  add a flag in stats C for SSL connections

  Modified:
	ircd-ratbox/trunk/modules/m_stats.c (File Modified) 


androsyn    2007/12/17 02:16:59 UTC	(20071217_2-24707)
  Log:
  stop exporting delay_exit and dline_tree.

  Modified:
	ircd-ratbox/trunk/include/reject.h (File Modified) 
	ircd-ratbox/trunk/modules/m_stats.c (File Modified) 
	ircd-ratbox/trunk/src/reject.c (File Modified) 


androsyn    2007/12/17 01:34:37 UTC	(20071217_1-24705)
  Log:
  fix some brain damage with ssl connects

  Modified:
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 


androsyn    2007/12/17 01:22:26 UTC	(20071217_0-24703)
  Log:
  process ssld's dead list with RB_DLINK_FOREACH_SAFE

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2007/12/14 18:13:30 UTC	(20071214_1-24701)
  Log:
  install bantool.pl in bin

  Modified:
	ircd-ratbox/trunk/tools/Makefile.am (File Modified) 
	ircd-ratbox/trunk/tools/Makefile.in (File Modified) 


androsyn    2007/12/14 18:08:14 UTC	(20071214_0-24699)
  Log:
  move bantool.pl from contrib to tools

  Modified:
	ircd-ratbox/trunk/contrib/bantool.pl (File Deleted) 
	ircd-ratbox/trunk/tools/bantool.pl (File Added) 


androsyn    2007/12/13 02:29:36 UTC	(20071213_0-24697)
  Log:
  replace comp_with_mask with a faster version

  Modified:
	ircd-ratbox/trunk/src/match.c (File Modified) 


androsyn    2007/12/12 20:40:49 UTC	(20071212_0-24695)
  Log:
  oops forgot to change a few HAVE_LIBCRYPTOs to USE_CHALLENGE

  Modified:
	ircd-ratbox/trunk/include/s_conf.h (File Modified) 
	ircd-ratbox/trunk/include/s_newconf.h (File Modified) 


androsyn    2007/12/11 17:52:57 UTC	(20071211_4-24691)
  Log:
  another small tweak

  Modified:
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 


androsyn    2007/12/11 17:39:42 UTC	(20071211_3-24689)
  Log:
  minor tweak the the openssl detection stuff
  

  Modified:
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 


androsyn    2007/12/11 17:25:14 UTC	(20071211_2-24687)
  Log:
  make openssl detection work a bit better

  Modified:
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/include/setup.h.in (File Modified) 
	ircd-ratbox/trunk/modules/m_info.c (File Modified) 
	ircd-ratbox/trunk/modules/m_oper.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 


androsyn    2007/12/11 03:41:28 UTC	(20071211_1-24685)
  Log:
  replace %lx with %p to print pointer types

  Modified:
	ircd-ratbox/trunk/src/messages.tab (File Modified) 
	ircd-ratbox/trunk/src/modules.c (File Modified) 


androsyn    2007/12/11 03:28:05 UTC	(20071211_0-24683)
  Log:
  fix a thinko

  Modified:
	ircd-ratbox/trunk/src/hash.c (File Modified) 


androsyn    2007/12/10 19:30:20 UTC	(20071210_0-24681)
  Log:
  use sprintf for the few times we need to convert floats to strings as rb_snprintf doesn't deal with them anymore

  Modified:
	ircd-ratbox/trunk/modules/m_map.c (File Modified) 
	ircd-ratbox/trunk/modules/m_stats.c (File Modified) 
	ircd-ratbox/trunk/src/hash.c (File Modified) 


androsyn    2007/12/07 20:37:42 UTC	(20071207_0-24673)
  Log:
  briefly document some of the ssl options

  Modified:
	ircd-ratbox/trunk/doc/example.conf (File Modified) 


androsyn    2007/12/05 17:02:09 UTC	(20071205_0-24671)
  Log:
  deal with a few more failure cases

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2007/12/04 19:00:36 UTC	(20071204_0-24669)
  Log:
  add Id propset for sslproc.h and add #ifndef to protect against double #includes of sslproc.h

  Modified:
	ircd-ratbox/trunk/include/sslproc.h (File Modified) (Property Modified)


androsyn    2007/12/03 20:10:19 UTC	(20071203_1-24667)
  Log:
  remove some no longer applicable comments

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


androsyn    2007/12/03 19:53:48 UTC	(20071203_0-24665)
  Log:
  move is_ssl and flush into localflags, remove the old servlink flags. some other flags should be moved to localflags

  Modified:
	ircd-ratbox/trunk/include/client.h (File Modified) 
	ircd-ratbox/trunk/include/struct.h (File Modified) 
	ircd-ratbox/trunk/modules/m_whois.c (File Modified) 
	ircd-ratbox/trunk/src/listener.c (File Modified) 
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 
	ircd-ratbox/trunk/src/send.c (File Modified) 


androsyn    2007/12/02 02:56:04 UTC	(20071202_0-24650)
  Log:
  only pass client_p and source_p to introduce_client, as passing struct User and nick was just pointless

  Modified:
	ircd-ratbox/trunk/include/s_user.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_nick.c (File Modified) 
	ircd-ratbox/trunk/src/s_user.c (File Modified) 
	ircd-ratbox/trunk/src/whowas.c (File Modified) 


androsyn    2007/12/01 00:20:05 UTC	(20071201_0-24645)
  Log:
  the || in majority_gline should be && as you end up match all opers with the same hostname even if they are on different servers

  Modified:
	ircd-ratbox/trunk/modules/m_gline.c (File Modified) 
	ircd-ratbox/trunk/src/whowas.c (File Modified) 


androsyn    2007/11/29 17:12:25 UTC	(20071129_2-24643)
  Log:
  add support for glibc 2.7's sha256 and sha512 passwords

  Modified:
	ircd-ratbox/trunk/tools/README.mkpasswd (File Modified) 
	ircd-ratbox/trunk/tools/mkpasswd.c (File Modified) 


androsyn    2007/11/29 16:52:14 UTC	(20071129_1-24641)
  Log:
  Add -Wcast-align to warn about possible alignment breakage that can occur on platforms like sparc.
  

  Modified:
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/include/setup.h.in (File Modified) 


androsyn    2007/11/29 16:02:34 UTC	(20071129_0-24639)
  Log:
  modify scache to be a bit more modern.  it ends up being quite similiar to the operhash

  Modified:
	ircd-ratbox/trunk/include/scache.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/modules/m_gline.c (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 
	ircd-ratbox/trunk/src/scache.c (File Modified) 


androsyn    2007/11/28 01:48:24 UTC	(20071128_1-24635)
  Log:
  fix some logic problems with aftype defaults in listen blocks

  Modified:
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2007/11/28 01:28:52 UTC	(20071128_0-24633)
  Log:
  some ssld related cleanups and add some logging

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2007/11/27 21:28:51 UTC	(20071127_5-24631)
  Log:
  keep track of the pipe fd and close it upon freeing an ssld so we don't leak pipes

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


androsyn    2007/11/27 21:00:11 UTC	(20071127_4-24629)
  Log:
  minor style cleanups

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2007/11/27 20:29:36 UTC	(20071127_3-24627)
  Log:
  replace is_ssl/is_zlib/corked with a bitmask and also add a dead flag

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2007/11/27 01:53:15 UTC	(20071127_2-24625)
  Log:
  oops didn't finish the rename of flush_count to flush

  Modified:
	ircd-ratbox/trunk/src/send.c (File Modified) 


androsyn    2007/11/27 01:07:23 UTC	(20071127_1-24623)
  Log:
  In situations where there is a lot of messages being sent towards, if we get EAGAIN, we currently would keep trying to do
  the send when we get another message.  So to deal with this, we add a flush variable to localClient to mark when we should be sending.
  
  

  Modified:
	ircd-ratbox/trunk/include/send.h (File Modified) 
	ircd-ratbox/trunk/include/struct.h (File Modified) 
	ircd-ratbox/trunk/src/client.c (File Modified) 
	ircd-ratbox/trunk/src/send.c (File Modified) 


androsyn    2007/11/27 00:13:24 UTC	(20071127_0-24621)
  Log:
  replace fds 0-2 with /dev/null when daemonizing

  Modified:
	ircd-ratbox/trunk/src/ircd.c (File Modified) 


androsyn    2007/11/26 21:27:27 UTC	(20071126_2-24619)
  Log:
  add code to stop reading from the ircd if we get over 4k queued out to the write so that sendq stuff works correctly inside the ircd still

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2007/11/26 20:40:04 UTC	(20071126_1-24617)
  Log:
  add libratbox revision to /info output

  Modified:
	ircd-ratbox/trunk/modules/m_info.c (File Modified) 


androsyn    2007/11/26 16:25:07 UTC	(20071126_0-24603)
  Log:
  make contrib compile again

  Modified:
	ircd-ratbox/trunk/contrib/Makefile.am (File Modified) 
	ircd-ratbox/trunk/contrib/Makefile.in (File Modified) 
	ircd-ratbox/trunk/contrib/m_force.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_mkpasswd.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_ojoin.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_okick.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_olist.c (File Modified) 


androsyn    2007/11/25 03:40:33 UTC	(20071125_5-24601)
  Log:
  make zipstats sane

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2007/11/25 03:34:10 UTC	(20071125_4-24599)
  Log:
  don't set is_ssl for ziplinks, thats dumb

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


androsyn    2007/11/25 03:30:18 UTC	(20071125_3-24597)
  Log:
  zero stats after collecting them

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2007/11/25 03:16:17 UTC	(20071125_2-24595)
  Log:
  send the correct id for ziplinks

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


androsyn    2007/11/25 02:23:23 UTC	(20071125_1-24593)
  Log:
  properly flush the recvq for zlib

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


androsyn    2007/11/25 00:35:46 UTC	(20071125_0-24591)
  Log:
  change buf[2] to buf[3] so that zip stats work again

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


androsyn    2007/11/24 23:59:30 UTC	(20071124_13-24589)
  Log:
  deal with sparc's malfucntions with unaligned pointer access

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2007/11/24 22:27:13 UTC	(20071124_12-24587)
  Log:
  fix a dumb bug in ssld_decrement_clicount

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


androsyn    2007/11/24 21:30:08 UTC	(20071124_11-24585)
  Log:
  - Startup new ssld processes if the ssld count has increased after rehash 
    Note that we don't try to *decrease* the number of running sslds as they may
    likely have connections on them.
  - cleanup the rehash process a little
  
  

  Modified:
	ircd-ratbox/trunk/include/s_conf.h (File Modified) 
	ircd-ratbox/trunk/include/sslproc.h (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


androsyn    2007/11/24 20:58:25 UTC	(20071124_10-24583)
  Log:
  add code to deal with ssld dying and restarting it

  Modified:
	ircd-ratbox/trunk/include/sslproc.h (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


jilles      2007/11/24 20:27:12 UTC	(20071124_9-24581)
  Log:
  Make restart_ident() compile.
  

  Modified:
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 


androsyn    2007/11/24 20:20:28 UTC	(20071124_8-24579)
  Log:
  add restart_ident

  Modified:
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 


androsyn    2007/11/24 20:17:10 UTC	(20071124_7-24577)
  Log:
  add ident to Makefile.am

  Modified:
	ircd-ratbox/trunk/Makefile.am (File Modified) 
	ircd-ratbox/trunk/Makefile.in (File Modified) 


androsyn    2007/11/24 18:25:02 UTC	(20071124_6-24575)
  Log:
  make the RPL_WHOISSECURE stuff use target_p->localClient->is_ssl

  Modified:
	ircd-ratbox/trunk/modules/m_whois.c (File Modified) 


androsyn    2007/11/24 18:11:40 UTC	(20071124_5-24573)
  Log:
  - fix show_capabilities not to be so braindead and use the snprintf_append functions
  - show TS6 when the server has an SID instead of just showing TS
  

  Modified:
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 


androsyn    2007/11/24 18:10:21 UTC	(20071124_4-24571)
  Log:
  add an is_ssl flag to struct LocalUser and set it as needed

  Modified:
	ircd-ratbox/trunk/include/struct.h (File Modified) 
	ircd-ratbox/trunk/src/listener.c (File Modified) 
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


androsyn    2007/11/24 18:05:50 UTC	(20071124_3-24569)
  Log:
  remove old SLINK defins

  Modified:
	ircd-ratbox/trunk/include/s_serv.h (File Modified) 


androsyn    2007/11/24 17:49:08 UTC	(20071124_2-24567)
  Log:
  only do dot_in_ip6_addr when the address is AF_INET6.  Also change illegal character in hostname to invalid hostname

  Modified:
	ircd-ratbox/trunk/src/s_user.c (File Modified) 


jilles      2007/11/24 17:25:28 UTC	(20071124_1-24565)
  Log:
  Add a line in whois if the client is using SSL.
  The numeric is unreal's, 671, because the other
  numerics I've seen for this purpose have other
  purposes too.
  This extra line only appears for local clients
  (i.e. it is necessary to /wii).
  

  Modified:
	ircd-ratbox/trunk/include/numeric.h (File Modified) 
	ircd-ratbox/trunk/modules/m_whois.c (File Modified) 
	ircd-ratbox/trunk/src/messages.tab (File Modified) 


androsyn    2007/11/24 16:16:17 UTC	(20071124_0-24563)
  Log:
  make listen aftype agree with connect aftype about not needing quotes

  Modified:
	ircd-ratbox/trunk/doc/example.conf (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2007/11/19 20:08:51 UTC	(20071119_4-24561)
  Log:
  add an aftype option to the listen block, always default to IPv4 if aftype is not specified

  Modified:
	ircd-ratbox/trunk/doc/example.conf (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2007/11/19 19:59:44 UTC	(20071119_3-24559)
  Log:
  move ratbox_lib.h above ircd_defs.h

  Modified:
	ircd-ratbox/trunk/include/stdinc.h (File Modified) 


androsyn    2007/11/19 17:53:14 UTC	(20071119_2-24557)
  Log:
  change cidr_bitlen to cidr_ipv4_bitlen and cidr_ipv6_bitlen

  Modified:
	ircd-ratbox/trunk/doc/example.conf (File Modified) 
	ircd-ratbox/trunk/include/class.h (File Modified) 
	ircd-ratbox/trunk/src/class.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 


androsyn    2007/11/19 17:46:35 UTC	(20071119_1-24555)
  Log:
  make adns/types.c assert use rb_inet_ntop

  Modified:
	ircd-ratbox/trunk/resolver/adns/types.c (File Modified) 


androsyn    2007/11/19 17:38:36 UTC	(20071119_0-24553)
  Log:
  have the ircd use the RB_IPV6 define from libratbox

  Modified:
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/ident/ident.c (File Modified) 
	ircd-ratbox/trunk/include/hostmask.h (File Modified) 
	ircd-ratbox/trunk/include/ircd_defs.h (File Modified) 
	ircd-ratbox/trunk/include/listener.h (File Modified) 
	ircd-ratbox/trunk/include/s_auth.h (File Modified) 
	ircd-ratbox/trunk/include/s_conf.h (File Modified) 
	ircd-ratbox/trunk/include/s_newconf.h (File Modified) 
	ircd-ratbox/trunk/include/struct.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/modules/m_dline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_gline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_info.c (File Modified) 
	ircd-ratbox/trunk/modules/m_kline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_testline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_trace.c (File Modified) 
	ircd-ratbox/trunk/modules/m_version.c (File Modified) 
	ircd-ratbox/trunk/resolver/adns/adns.h (File Modified) 
	ircd-ratbox/trunk/resolver/adns/query.c (File Modified) 
	ircd-ratbox/trunk/resolver/adns/types.c (File Modified) 
	ircd-ratbox/trunk/resolver/resolver.c (File Modified) 
	ircd-ratbox/trunk/src/bandbi.c (File Modified) 
	ircd-ratbox/trunk/src/dns.c (File Modified) 
	ircd-ratbox/trunk/src/hostmask.c (File Modified) 
	ircd-ratbox/trunk/src/listener.c (File Modified) 
	ircd-ratbox/trunk/src/match.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/reject.c (File Modified) 
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 
	ircd-ratbox/trunk/src/s_newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 
	ircd-ratbox/trunk/src/s_user.c (File Modified) 


jilles      2007/11/17 22:16:00 UTC	(20071117_1-24545)
  Log:
  Allow /testline on channel names (shows if it is resv'ed or not).
  

  Modified:
	ircd-ratbox/trunk/help/opers/testline (File Modified) 
	ircd-ratbox/trunk/modules/m_testline.c (File Modified) 


jilles      2007/11/17 14:30:28 UTC	(20071117_0-24539)
  Log:
  Fix compile with ipv6.
  

  Modified:
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2007/11/16 00:53:58 UTC	(20071116_1-24537)
  Log:
  woops..somehow we lost the IPV6 define

  Modified:
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/include/setup.h.in (File Modified) 


androsyn    2007/11/16 00:22:19 UTC	(20071116_0-24535)
  Log:
  make server_exists static

  Modified:
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 


androsyn    2007/11/15 20:56:47 UTC	(20071115_6-24533)
  Log:
  run ssld.c through indent..this thing kinda needs it

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2007/11/15 20:55:16 UTC	(20071115_5-24531)
  Log:
  oops..fix an ifdef

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2007/11/15 20:54:04 UTC	(20071115_4-24529)
  Log:
  make stats processing for ssld not depend on zlib state variables

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2007/11/15 19:46:22 UTC	(20071115_3-24527)
  Log:
  make outbound ssl connections work through ssld as well

  Modified:
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2007/11/15 18:35:11 UTC	(20071115_2-24523)
  Log:
  add a free_monitor function and make monitor_heap static

  Modified:
	ircd-ratbox/trunk/include/monitor.h (File Modified) 
	ircd-ratbox/trunk/modules/m_monitor.c (File Modified) 
	ircd-ratbox/trunk/src/monitor.c (File Modified) 


androsyn    2007/11/15 16:00:25 UTC	(20071115_1-24521)
  Log:
  add a bit more logging regarding the resolver starting/restart

  Modified:
	ircd-ratbox/trunk/src/dns.c (File Modified) 


androsyn    2007/11/15 03:56:13 UTC	(20071115_0-24519)
  Log:
  oops forgot to commit the makefiles

  Modified:
	ircd-ratbox/trunk/resolver/Makefile.am (File Added) 
	ircd-ratbox/trunk/resolver/Makefile.in (File Added) 


androsyn    2007/11/14 16:49:56 UTC	(20071114_3-24517)
  Log:
  Shuffle around some files:
  
  - resolver moves into its own directory
  - ident also moves into its own directory
  - adns is moved into a subdirectory of resolver/
  - tweak makefiles and configure to deal with the above
  
  
  

  Modified:
	ircd-ratbox/trunk/Makefile.am (File Modified) 
	ircd-ratbox/trunk/Makefile.in (File Modified) 
	ircd-ratbox/trunk/adns/ (File Deleted) 
	ircd-ratbox/trunk/bandb/Makefile.in (File Modified) 
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/contrib/Makefile.in (File Modified) 
	ircd-ratbox/trunk/ident/ (File Added) 
	ircd-ratbox/trunk/ident/Makefile.am (File Added) 
	ircd-ratbox/trunk/ident/Makefile.in (File Added) 
	ircd-ratbox/trunk/ident/ident.c (File Added) 
	ircd-ratbox/trunk/resolver/ (File Added) 
	ircd-ratbox/trunk/resolver/adns/ (File Added) 
	ircd-ratbox/trunk/resolver/adns/COPYING  (Property Modified)
	ircd-ratbox/trunk/resolver/adns/GPL-vs-LGPL  (Property Modified)
	ircd-ratbox/trunk/resolver/adns/Makefile.am (File Modified) (Property Modified)
	ircd-ratbox/trunk/resolver/adns/Makefile.in (File Modified) (Property Modified)
	ircd-ratbox/trunk/resolver/adns/README  (Property Modified)
	ircd-ratbox/trunk/resolver/adns/README.ircd  (Property Modified)
	ircd-ratbox/trunk/resolver/adns/adns.h  (Property Modified)
	ircd-ratbox/trunk/resolver/adns/check.c  (Property Modified)
	ircd-ratbox/trunk/resolver/adns/dlist.h  (Property Modified)
	ircd-ratbox/trunk/resolver/adns/event.c  (Property Modified)
	ircd-ratbox/trunk/resolver/adns/general.c  (Property Modified)
	ircd-ratbox/trunk/resolver/adns/internal.h  (Property Modified)
	ircd-ratbox/trunk/resolver/adns/parse.c  (Property Modified)
	ircd-ratbox/trunk/resolver/adns/query.c  (Property Modified)
	ircd-ratbox/trunk/resolver/adns/reply.c  (Property Modified)
	ircd-ratbox/trunk/resolver/adns/setup.c  (Property Modified)
	ircd-ratbox/trunk/resolver/adns/transmit.c  (Property Modified)
	ircd-ratbox/trunk/resolver/adns/tvarith.h  (Property Modified)
	ircd-ratbox/trunk/resolver/adns/types.c  (Property Modified)
	ircd-ratbox/trunk/resolver/resolver.c (File Added) 
	ircd-ratbox/trunk/sqlite3/Makefile.in (File Modified) 
	ircd-ratbox/trunk/src/ident.c (File Deleted) 
	ircd-ratbox/trunk/src/resolver.c (File Deleted) 
	ircd-ratbox/trunk/ssld/Makefile.in (File Modified) 
	ircd-ratbox/trunk/tools/Makefile.in (File Modified) 


androsyn    2007/11/14 16:34:45 UTC	(20071114_2-24515)
  Log:
  notify opers and log when the ident helper is started or restarted

  Modified:
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 


androsyn    2007/11/14 16:07:11 UTC	(20071114_1-24513)
  Log:
  automake wants ylwrap

  Modified:
	ircd-ratbox/trunk/Makefile.am (File Modified) 
	ircd-ratbox/trunk/Makefile.in (File Modified) 
	ircd-ratbox/trunk/ylwrap (File Added) 


androsyn    2007/11/14 05:11:46 UTC	(20071114_0-24511)
  Log:
  remove debugging fprintf

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2007/11/13 21:00:09 UTC	(20071113_12-24509)
  Log:
  make ziplink stats work again

  Modified:
	ircd-ratbox/trunk/include/s_serv.h (File Modified) 
	ircd-ratbox/trunk/include/struct.h (File Modified) 
	ircd-ratbox/trunk/modules/m_stats.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2007/11/13 20:59:25 UTC	(20071113_11-24507)
  Log:
  fix identd checking

  Modified:
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 


androsyn    2007/11/13 17:27:44 UTC	(20071113_10-24503)
  Log:
  make conn_find_by_id use a simple hash table

  Modified:
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2007/11/13 16:56:28 UTC	(20071113_9-24501)
  Log:
  make delay on server_estab_pop to be one second as 0 seems to be a little too fast in some cases

  Modified:
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 


androsyn    2007/11/13 16:45:54 UTC	(20071113_8-24499)
  Log:
  Hold up the burst in server_estab until either the bottom of the function and we're done. 
  If the server has ziplinks enabled, set an event to pop the queue, otherwise pop it right away.  
  Its ugly, but it eliminates the race condition between ssld and the ircd as sometimes the command to enable ziplinks
  gets there after we've sent additional uncompressed data, making the other server get inflate errors.
  

  Modified:
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 


androsyn    2007/11/13 01:06:49 UTC	(20071113_7-24497)
  Log:
  change bants to rb_uint32_t

  Modified:
	ircd-ratbox/trunk/include/channel.h (File Modified) 


androsyn    2007/11/13 00:49:45 UTC	(20071113_6-24495)
  Log:
  add acinclude.m4

  Modified:
	ircd-ratbox/trunk/libltdl/acinclude.m4 (File Added) 


androsyn    2007/11/13 00:41:51 UTC	(20071113_5-24493)
  Log:
  get rid of the remains of the topiclen autoconf stuff

  Modified:
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/include/setup.h.in (File Modified) 


androsyn    2007/11/13 00:41:23 UTC	(20071113_4-24491)
  Log:
  don't extern current_serial and make it rb_uint32_t

  Modified:
	ircd-ratbox/trunk/include/send.h (File Modified) 
	ircd-ratbox/trunk/src/send.c (File Modified) 


androsyn    2007/11/13 00:30:31 UTC	(20071113_3-24489)
  Log:
  change some type sizes in some various structs

  Modified:
	ircd-ratbox/trunk/include/channel.h (File Modified) 
	ircd-ratbox/trunk/include/hostmask.h (File Modified) 
	ircd-ratbox/trunk/include/send.h (File Modified) 
	ircd-ratbox/trunk/include/struct.h (File Modified) 


androsyn    2007/11/13 00:29:44 UTC	(20071113_2-24487)
  Log:
  move up an #if 0 for now until the stats Z code is fixed

  Modified:
	ircd-ratbox/trunk/modules/m_stats.c (File Modified) 


androsyn    2007/11/13 00:28:58 UTC	(20071113_1-24485)
  Log:
  reduce down some rb_helper_child parameters for bandb

  Modified:
	ircd-ratbox/trunk/bandb/bandb.c (File Modified) 


androsyn    2007/11/13 00:28:13 UTC	(20071113_0-24483)
  Log:
  fix ssld_count and make client.c compile

  Modified:
	ircd-ratbox/trunk/src/client.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2007/11/10 22:02:13 UTC	(20071110_0-24481)
  Log:
  remove unused #define

  Modified:
	ircd-ratbox/trunk/src/listener.c (File Modified) 


androsyn    2007/11/08 16:21:11 UTC	(20071108_0-24479)
  Log:
  update things to deal with the rb_lib_init change

  Modified:
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


jilles      2007/11/07 20:52:04 UTC	(20071107_1-24475)
  Log:
  Unbreak compile.
  

  Modified:
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2007/11/07 02:25:56 UTC	(20071107_0-24471)
  Log:
  Add ssld_count, set Id props on some of the newer files
  

  Modified:
	ircd-ratbox/trunk/include/s_conf.h (File Modified) 
	ircd-ratbox/trunk/include/sslproc.h (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) (Property Modified)
	ircd-ratbox/trunk/ssld/Makefile.am (File Modified) (Property Modified)
	ircd-ratbox/trunk/ssld/Makefile.in  (Property Modified)
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) (Property Modified)


androsyn    2007/11/06 21:11:42 UTC	(20071106_5-24469)
  Log:
  deal with turning on ziplinks on ssl enabled servers

  Modified:
	ircd-ratbox/trunk/include/sslproc.h (File Modified) 
	ircd-ratbox/trunk/src/listener.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2007/11/06 20:25:52 UTC	(20071106_4-24467)
  Log:
  undo that bit of the last commit

  Modified:
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2007/11/06 20:12:46 UTC	(20071106_3-24465)
  Log:
  make the ssld load balancing be a bit more useful. i suspect ssld will need renamed at some point though...

  Modified:
	ircd-ratbox/trunk/include/sslproc.h (File Modified) 
	ircd-ratbox/trunk/include/struct.h (File Modified) 
	ircd-ratbox/trunk/src/client.c (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/src/listener.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2007/11/06 18:08:16 UTC	(20071106_2-24463)
  Log:
  Deal with passing zlib compression levels

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2007/11/06 17:27:30 UTC	(20071106_1-24461)
  Log:
  add some basic connection id stuff for ziplinks

  Modified:
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 


androsyn    2007/11/06 01:20:51 UTC	(20071106_0-24457)
  Log:
  blow away servlink as ziplinks are handled in ssld

  Modified:
	ircd-ratbox/trunk/Makefile.am (File Modified) 
	ircd-ratbox/trunk/Makefile.in (File Modified) 
	ircd-ratbox/trunk/adns/Makefile.in (File Modified) 
	ircd-ratbox/trunk/bandb/Makefile.in (File Modified) 
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/contrib/Makefile.in (File Modified) 
	ircd-ratbox/trunk/include/s_serv.h (File Modified) 
	ircd-ratbox/trunk/include/sslproc.h (File Modified) 
	ircd-ratbox/trunk/include/struct.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/modules/m_stats.c (File Modified) 
	ircd-ratbox/trunk/servlink/ (File Deleted) 
	ircd-ratbox/trunk/sqlite3/Makefile.in (File Modified) 
	ircd-ratbox/trunk/src/client.c (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/src/packet.c (File Modified) 
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 
	ircd-ratbox/trunk/src/send.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 
	ircd-ratbox/trunk/ssld/Makefile.am (File Modified) 
	ircd-ratbox/trunk/ssld/Makefile.in (File Modified) 
	ircd-ratbox/trunk/ssld/ssld.c (File Modified) 
	ircd-ratbox/trunk/tools/Makefile.in (File Modified) 


androsyn    2007/11/05 18:50:06 UTC	(20071105_2-24455)
  Log:
  move ssld into its own dir

  Modified:
	ircd-ratbox/trunk/Makefile.am (File Modified) 
	ircd-ratbox/trunk/Makefile.in (File Modified) 
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/src/ssld.c (File Deleted) 
	ircd-ratbox/trunk/ssld/ (File Added) 
	ircd-ratbox/trunk/ssld/Makefile.am (File Added) 
	ircd-ratbox/trunk/ssld/Makefile.in (File Added) 
	ircd-ratbox/trunk/ssld/ssld.c (File Added) 


androsyn    2007/11/05 17:22:00 UTC	(20071105_1-24453)
  Log:
  Remove some debugging from ssld.
  Add a control pipe to deal with parent process dying.
  

  Modified:
	ircd-ratbox/trunk/src/ssld.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Modified) 


androsyn    2007/11/05 16:46:20 UTC	(20071105_0-24449)
  Log:
  actually process adns timeouts.  also make dns a bit more aggressive with retry timeouts, but use less retries

  Modified:
	ircd-ratbox/trunk/adns/internal.h (File Modified) 
	ircd-ratbox/trunk/src/resolver.c (File Modified) 


androsyn    2007/11/02 18:45:13 UTC	(20071102_4-24447)
  Log:
  get rid of a bogus assert

  Modified:
	ircd-ratbox/trunk/src/parse.c (File Modified) 


androsyn    2007/11/02 18:44:51 UTC	(20071102_3-24445)
  Log:
  doing & on a pointer is kinda pointless

  Modified:
	ircd-ratbox/trunk/src/listener.c (File Modified) 


androsyn    2007/11/02 17:43:14 UTC	(20071102_2-24443)
  Log:
  forgot to add ssld.c

  Modified:
	ircd-ratbox/trunk/src/ssld.c (File Added) 


androsyn    2007/11/02 17:42:30 UTC	(20071102_1-24441)
  Log:
  First pass at ssld helper.  It still spews a fair bit of debugging but it in fact accepts connections...
  

  Modified:
	ircd-ratbox/trunk/Makefile.am (File Modified) 
	ircd-ratbox/trunk/Makefile.in (File Modified) 
	ircd-ratbox/trunk/include/listener.h (File Modified) 
	ircd-ratbox/trunk/include/s_conf.h (File Modified) 
	ircd-ratbox/trunk/include/sslproc.h (File Added) 
	ircd-ratbox/trunk/include/struct.h (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/src/listener.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 
	ircd-ratbox/trunk/src/sslproc.c (File Added) 


androsyn    2007/11/02 15:21:03 UTC	(20071102_0-24437)
  Log:
  make m_message.c use the rb_patricia stuff

  Modified:
	ircd-ratbox/trunk/modules/core/m_message.c (File Modified) 


androsyn    2007/10/23 20:44:26 UTC	(20071023_2-24432)
  Log:
  forgot these patricia changes too

  Modified:
	ircd-ratbox/trunk/include/class.h (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 


androsyn    2007/10/23 20:43:01 UTC	(20071023_1-24430)
  Log:
  make the ircd use the libratbox patricia_tree
  

  Modified:
	ircd-ratbox/trunk/include/reject.h (File Modified) 
	ircd-ratbox/trunk/include/s_conf.h (File Modified) 
	ircd-ratbox/trunk/include/s_newconf.h (File Modified) 
	ircd-ratbox/trunk/src/class.c (File Modified) 
	ircd-ratbox/trunk/src/reject.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 
	ircd-ratbox/trunk/src/s_newconf.c (File Modified) 


androsyn    2007/10/23 20:29:55 UTC	(20071023_0-24428)
  Log:
  remove patricia from ircd tree as its now in libratbox

  Modified:
	ircd-ratbox/trunk/Makefile.am (File Modified) 
	ircd-ratbox/trunk/Makefile.in (File Modified) 
	ircd-ratbox/trunk/include/patricia.h (File Deleted) 
	ircd-ratbox/trunk/src/patricia.c (File Deleted) 


androsyn    2007/10/20 21:38:01 UTC	(20071020_0-24418)
  Log:
  initial first pass at server<->server ssl connections..eventually this should move out of process...

  Modified:
	ircd-ratbox/trunk/include/s_newconf.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 


androsyn    2007/10/10 21:33:57 UTC	(20071010_0-24413)
  Log:
  fix port = 6667, 6668 type stuff

  Modified:
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


jilles      2007/09/13 22:08:32 UTC	(20070913_0-24408)
  Log:
  Don't say that services cannot be killed in ERR_ISCHANSERVICE
  message (given when trying to kick or deop them), as that's
  not the case.
  

  Modified:
	ircd-ratbox/trunk/src/messages.tab (File Modified) 


androsyn    2007/09/05 19:08:21 UTC	(20070905_7-24400)
  Log:
  nothing uses RPATH so get rid of it

  Modified:
	ircd-ratbox/trunk/include/config.h (File Modified) 


androsyn    2007/09/05 19:00:42 UTC	(20070905_6-24398)
  Log:
  make topiclen configurable from the config file

  Modified:
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/doc/example.conf (File Modified) 
	ircd-ratbox/trunk/doc/example.efnet.conf (File Modified) 
	ircd-ratbox/trunk/include/channel.h (File Modified) 
	ircd-ratbox/trunk/include/ircd_defs.h (File Modified) 
	ircd-ratbox/trunk/include/s_conf.h (File Modified) 
	ircd-ratbox/trunk/include/supported.h (File Modified) 
	ircd-ratbox/trunk/src/channel.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 


androsyn    2007/09/05 18:59:23 UTC	(20070905_5-24396)
  Log:
  remove this very old and stale struct exit_client_hook stuff..

  Modified:
	ircd-ratbox/trunk/include/client.h (File Modified) 


androsyn    2007/09/05 18:27:27 UTC	(20070905_4-24394)
  Log:
  revert TS6_ONLY and KILLCHASE stuff

  Modified:
	ircd-ratbox/trunk/doc/example.conf (File Modified) 
	ircd-ratbox/trunk/include/client.h (File Modified) 
	ircd-ratbox/trunk/include/config.h (File Modified) 
	ircd-ratbox/trunk/include/s_conf.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_kill.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/modules/m_info.c (File Modified) 
	ircd-ratbox/trunk/modules/m_svinfo.c (File Modified) 
	ircd-ratbox/trunk/src/client.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 


androsyn    2007/09/05 17:17:55 UTC	(20070905_3-24392)
  Log:
  Make KILLCHASETIMELIMIT a config file entry

  Modified:
	ircd-ratbox/trunk/doc/example.conf (File Modified) 
	ircd-ratbox/trunk/include/config.h (File Modified) 
	ircd-ratbox/trunk/include/s_conf.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_kill.c (File Modified) 
	ircd-ratbox/trunk/modules/m_info.c (File Modified) 
	ircd-ratbox/trunk/src/client.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 


androsyn    2007/09/05 17:04:06 UTC	(20070905_2-24390)
  Log:
  get rid of some unused path defines

  Modified:
	ircd-ratbox/trunk/include/config.h (File Modified) 
	ircd-ratbox/trunk/modules/m_info.c (File Modified) 


androsyn    2007/09/05 17:01:26 UTC	(20070905_1-24388)
  Log:
  replace TS6_ONLY/TS_MIN defines with serverinfo::ts_min

  Modified:
	ircd-ratbox/trunk/doc/example.conf (File Modified) 
	ircd-ratbox/trunk/include/client.h (File Modified) 
	ircd-ratbox/trunk/include/config.h (File Modified) 
	ircd-ratbox/trunk/include/s_conf.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/modules/m_svinfo.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 


androsyn    2007/09/05 15:32:44 UTC	(20070905_0-24386)
  Log:
  use libtools idea of what the shared library extension should be when loading modules

  Modified:
	ircd-ratbox/trunk/Makefile.am (File Modified) 
	ircd-ratbox/trunk/Makefile.in (File Modified) 
	ircd-ratbox/trunk/adns/Makefile.in (File Modified) 
	ircd-ratbox/trunk/bandb/Makefile.in (File Modified) 
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/contrib/Makefile.in (File Modified) 
	ircd-ratbox/trunk/include/setup.h.in (File Modified) 
	ircd-ratbox/trunk/servlink/Makefile.in (File Modified) 
	ircd-ratbox/trunk/sqlite3/Makefile.in (File Modified) 
	ircd-ratbox/trunk/src/modules.c (File Modified) 
	ircd-ratbox/trunk/tools/Makefile.in (File Modified) 


androsyn    2007/09/04 22:06:44 UTC	(20070904_14-24378)
  Log:
  Rerun libtoolize and get newer versions of libtool and libltdl and friends

  Modified:
	ircd-ratbox/trunk/config.guess (File Modified) 
	ircd-ratbox/trunk/config.sub (File Modified) 
	ircd-ratbox/trunk/libltdl/Makefile.am (File Modified) 
	ircd-ratbox/trunk/libltdl/Makefile.in (File Modified) 
	ircd-ratbox/trunk/libltdl/aclocal.m4 (File Modified) 
	ircd-ratbox/trunk/libltdl/config.guess (File Modified) 
	ircd-ratbox/trunk/libltdl/config.sub (File Modified) 
	ircd-ratbox/trunk/libltdl/configure (File Modified) 
	ircd-ratbox/trunk/libltdl/configure.ac (File Modified) 
	ircd-ratbox/trunk/libltdl/install-sh (File Modified) 
	ircd-ratbox/trunk/libltdl/ltdl.c (File Modified) 
	ircd-ratbox/trunk/libltdl/ltdl.h (File Modified) 
	ircd-ratbox/trunk/libltdl/ltmain.sh (File Modified) 
	ircd-ratbox/trunk/libltdl/missing (File Modified) 
	ircd-ratbox/trunk/ltmain.sh (File Modified) 


androsyn    2007/09/04 22:03:43 UTC	(20070904_13-24376)
  Log:
  use rb_crypt instead of crypt

  Modified:
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/modules/m_oper.c (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/src/listener.c (File Modified) 
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 
	ircd-ratbox/trunk/src/s_user.c (File Modified) 


androsyn    2007/09/04 19:28:36 UTC	(20070904_12-24370)
  Log:
  Rebuild Makefile.in against automake 1.10
  

  Modified:
	ircd-ratbox/trunk/Makefile.in (File Modified) 
	ircd-ratbox/trunk/aclocal.m4 (File Modified) 
	ircd-ratbox/trunk/adns/Makefile.in (File Modified) 
	ircd-ratbox/trunk/bandb/Makefile.in (File Modified) 
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/contrib/Makefile.in (File Modified) 
	ircd-ratbox/trunk/servlink/Makefile.in (File Modified) 
	ircd-ratbox/trunk/sqlite3/Makefile.in (File Modified) 
	ircd-ratbox/trunk/tools/Makefile.in (File Modified) 


androsyn    2007/09/04 18:36:38 UTC	(20070904_11-24368)
  Log:
  some autoconf/automake tweaks

  Modified:
	ircd-ratbox/trunk/Makefile.am (File Modified) 
	ircd-ratbox/trunk/Makefile.in (File Modified) 


androsyn    2007/09/04 18:23:23 UTC	(20070904_10-24366)
  Log:
  more duplicate global variables

  Modified:
	ircd-ratbox/trunk/include/s_conf.h (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 


androsyn    2007/09/04 18:18:34 UTC	(20070904_9-24364)
  Log:
  make conffilebuf defined only in one place

  Modified:
	ircd-ratbox/trunk/src/ircd_lexer.c (File Modified) 
	ircd-ratbox/trunk/src/ircd_lexer.l (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2007/09/04 18:13:34 UTC	(20070904_8-24362)
  Log:
  make checksplit_ev extern

  Modified:
	ircd-ratbox/trunk/include/channel.h (File Modified) 


androsyn    2007/09/04 18:12:33 UTC	(20070904_7-24360)
  Log:
  get rid of the rest of the CRYPT_LIBS

  Modified:
	ircd-ratbox/trunk/Makefile.am (File Modified) 
	ircd-ratbox/trunk/Makefile.in (File Modified) 
	ircd-ratbox/trunk/adns/Makefile.in (File Modified) 
	ircd-ratbox/trunk/bandb/Makefile.in (File Modified) 
	ircd-ratbox/trunk/contrib/Makefile.in (File Modified) 
	ircd-ratbox/trunk/servlink/Makefile.in (File Modified) 
	ircd-ratbox/trunk/sqlite3/Makefile.in (File Modified) 


androsyn    2007/09/04 18:05:58 UTC	(20070904_6-24358)
  Log:
  get rid of the tools.h include in operhash.c

  Modified:
	ircd-ratbox/trunk/src/operhash.c (File Modified) 


androsyn    2007/09/04 17:58:10 UTC	(20070904_5-24356)
  Log:
  get rid of crypt lib stuff in tools and use rb_crypt

  Modified:
	ircd-ratbox/trunk/tools/Makefile.am (File Modified) 
	ircd-ratbox/trunk/tools/Makefile.in (File Modified) 
	ircd-ratbox/trunk/tools/mkpasswd.c (File Modified) 


androsyn    2007/09/04 17:01:18 UTC	(20070904_4-24344)
  Log:
  some more header cleanups, this time in adns

  Modified:
	ircd-ratbox/trunk/adns/adns.h (File Modified) 
	ircd-ratbox/trunk/adns/check.c (File Modified) 
	ircd-ratbox/trunk/adns/event.c (File Modified) 
	ircd-ratbox/trunk/adns/general.c (File Modified) 
	ircd-ratbox/trunk/adns/internal.h (File Modified) 
	ircd-ratbox/trunk/adns/parse.c (File Modified) 
	ircd-ratbox/trunk/adns/query.c (File Modified) 
	ircd-ratbox/trunk/adns/reply.c (File Modified) 
	ircd-ratbox/trunk/adns/setup.c (File Modified) 
	ircd-ratbox/trunk/adns/transmit.c (File Modified) 
	ircd-ratbox/trunk/adns/types.c (File Modified) 


androsyn    2007/09/04 16:37:19 UTC	(20070904_3-24338)
  Log:
  check to see if INADDR_LOOPBACK is defined, if not, define it 

  Modified:
	ircd-ratbox/trunk/include/stdinc.h (File Modified) 


androsyn    2007/09/04 16:32:44 UTC	(20070904_2-24336)
  Log:
  change socklen_t to int

  Modified:
	ircd-ratbox/trunk/adns/event.c (File Modified) 


androsyn    2007/09/04 16:31:38 UTC	(20070904_1-24334)
  Log:
  add back checks for netinet/in.h and arpa/inet.h

  Modified:
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/include/setup.h.in (File Modified) 
	ircd-ratbox/trunk/include/stdinc.h (File Modified) 


androsyn    2007/09/04 16:21:32 UTC	(20070904_0-24332)
  Log:
  more autoconf cleanups

  Modified:
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/include/setup.h.in (File Modified) 
	ircd-ratbox/trunk/include/stdinc.h (File Modified) 


androsyn    2007/09/03 02:57:41 UTC	(20070903_0-24328)
  Log:
  - change places where strtok_r was used to rb_strtok_r
  - remove some unneeded autoconf checks that are now in libratbox
  
  

  Modified:
	ircd-ratbox/trunk/acinclude.m4 (File Modified) 
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/include/setup.h.in (File Modified) 
	ircd-ratbox/trunk/modules/core/m_join.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_message.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_part.c (File Modified) 
	ircd-ratbox/trunk/modules/m_accept.c (File Modified) 
	ircd-ratbox/trunk/modules/m_capab.c (File Modified) 
	ircd-ratbox/trunk/modules/m_ison.c (File Modified) 
	ircd-ratbox/trunk/modules/m_kline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_monitor.c (File Modified) 
	ircd-ratbox/trunk/src/modules.c (File Modified) 


androsyn    2007/08/31 01:41:49 UTC	(20070831_0-24310)
  Log:
  update ircd to deal with the libratbox event changes

  Modified:
	ircd-ratbox/trunk/bandb/bandb.c (File Modified) 
	ircd-ratbox/trunk/include/channel.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_message.c (File Modified) 
	ircd-ratbox/trunk/modules/m_gline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_monitor.c (File Modified) 
	ircd-ratbox/trunk/modules/m_set.c (File Modified) 
	ircd-ratbox/trunk/src/channel.c (File Modified) 
	ircd-ratbox/trunk/src/ident.c (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2007/08/30 20:37:02 UTC	(20070830_0-24306)
  Log:
  make bandb compile and use rb_snprintf.  add a missing ctype.h to ident.c as well

  Modified:
	ircd-ratbox/trunk/bandb/bandb.c (File Modified) 
	ircd-ratbox/trunk/src/ident.c (File Modified) 


androsyn    2007/08/27 04:01:49 UTC	(20070827_0-24274)
  Log:
  make some IRCD_ to RB_ changes to match libratbox as well as renaming of ignoreErrno to rb_ignore_errno

  Modified:
	ircd-ratbox/trunk/src/ident.c (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/src/packet.c (File Modified) 
	ircd-ratbox/trunk/src/reject.c (File Modified) 
	ircd-ratbox/trunk/src/resolver.c (File Modified) 
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 
	ircd-ratbox/trunk/src/send.c (File Modified) 


androsyn    2007/08/23 15:15:35 UTC	(20070823_0-24260)
  Log:
  change stupid rb_rb_dlink stuff to rb_dlink

  Modified:
	ircd-ratbox/trunk/contrib/m_olist.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_join.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_mode.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/modules/m_accept.c (File Modified) 
	ircd-ratbox/trunk/modules/m_invite.c (File Modified) 
	ircd-ratbox/trunk/modules/m_kline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_knock.c (File Modified) 
	ircd-ratbox/trunk/modules/m_list.c (File Modified) 
	ircd-ratbox/trunk/modules/m_locops.c (File Modified) 
	ircd-ratbox/trunk/modules/m_lusers.c (File Modified) 
	ircd-ratbox/trunk/modules/m_map.c (File Modified) 
	ircd-ratbox/trunk/modules/m_monitor.c (File Modified) 
	ircd-ratbox/trunk/modules/m_oper.c (File Modified) 
	ircd-ratbox/trunk/modules/m_resv.c (File Modified) 
	ircd-ratbox/trunk/modules/m_set.c (File Modified) 
	ircd-ratbox/trunk/modules/m_stats.c (File Modified) 
	ircd-ratbox/trunk/modules/m_trace.c (File Modified) 
	ircd-ratbox/trunk/modules/m_xline.c (File Modified) 
	ircd-ratbox/trunk/src/cache.c (File Modified) 
	ircd-ratbox/trunk/src/channel.c (File Modified) 
	ircd-ratbox/trunk/src/client.c (File Modified) 
	ircd-ratbox/trunk/src/hash.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_user.c (File Modified) 
	ircd-ratbox/trunk/src/send.c (File Modified) 


androsyn    2007/08/22 19:15:08 UTC	(20070822_1-24250)
  Log:
  match the libratbox rename of dlink_* to rb_dlink_

  Modified:
	ircd-ratbox/trunk/contrib/m_clearchan.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_olist.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_opme.c (File Modified) 
	ircd-ratbox/trunk/include/cache.h (File Modified) 
	ircd-ratbox/trunk/include/channel.h (File Modified) 
	ircd-ratbox/trunk/include/class.h (File Modified) 
	ircd-ratbox/trunk/include/hash.h (File Modified) 
	ircd-ratbox/trunk/include/hook.h (File Modified) 
	ircd-ratbox/trunk/include/ircd.h (File Modified) 
	ircd-ratbox/trunk/include/listener.h (File Modified) 
	ircd-ratbox/trunk/include/monitor.h (File Modified) 
	ircd-ratbox/trunk/include/newconf.h (File Modified) 
	ircd-ratbox/trunk/include/reject.h (File Modified) 
	ircd-ratbox/trunk/include/s_auth.h (File Modified) 
	ircd-ratbox/trunk/include/s_conf.h (File Modified) 
	ircd-ratbox/trunk/include/s_gline.h (File Modified) 
	ircd-ratbox/trunk/include/s_newconf.h (File Modified) 
	ircd-ratbox/trunk/include/send.h (File Modified) 
	ircd-ratbox/trunk/include/struct.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_join.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_kill.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_message.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_mode.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_nick.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_squit.c (File Modified) 
	ircd-ratbox/trunk/modules/m_accept.c (File Modified) 
	ircd-ratbox/trunk/modules/m_close.c (File Modified) 
	ircd-ratbox/trunk/modules/m_dline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_gline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_help.c (File Modified) 
	ircd-ratbox/trunk/modules/m_invite.c (File Modified) 
	ircd-ratbox/trunk/modules/m_kline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_knock.c (File Modified) 
	ircd-ratbox/trunk/modules/m_links.c (File Modified) 
	ircd-ratbox/trunk/modules/m_list.c (File Modified) 
	ircd-ratbox/trunk/modules/m_locops.c (File Modified) 
	ircd-ratbox/trunk/modules/m_lusers.c (File Modified) 
	ircd-ratbox/trunk/modules/m_map.c (File Modified) 
	ircd-ratbox/trunk/modules/m_monitor.c (File Modified) 
	ircd-ratbox/trunk/modules/m_names.c (File Modified) 
	ircd-ratbox/trunk/modules/m_oper.c (File Modified) 
	ircd-ratbox/trunk/modules/m_rehash.c (File Modified) 
	ircd-ratbox/trunk/modules/m_restart.c (File Modified) 
	ircd-ratbox/trunk/modules/m_resv.c (File Modified) 
	ircd-ratbox/trunk/modules/m_services.c (File Modified) 
	ircd-ratbox/trunk/modules/m_set.c (File Modified) 
	ircd-ratbox/trunk/modules/m_stats.c (File Modified) 
	ircd-ratbox/trunk/modules/m_testmask.c (File Modified) 
	ircd-ratbox/trunk/modules/m_trace.c (File Modified) 
	ircd-ratbox/trunk/modules/m_who.c (File Modified) 
	ircd-ratbox/trunk/modules/m_whois.c (File Modified) 
	ircd-ratbox/trunk/modules/m_xline.c (File Modified) 
	ircd-ratbox/trunk/src/bandbi.c (File Modified) 
	ircd-ratbox/trunk/src/cache.c (File Modified) 
	ircd-ratbox/trunk/src/channel.c (File Modified) 
	ircd-ratbox/trunk/src/class.c (File Modified) 
	ircd-ratbox/trunk/src/client.c (File Modified) 
	ircd-ratbox/trunk/src/hash.c (File Modified) 
	ircd-ratbox/trunk/src/hook.c (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/src/listener.c (File Modified) 
	ircd-ratbox/trunk/src/modules.c (File Modified) 
	ircd-ratbox/trunk/src/monitor.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/operhash.c (File Modified) 
	ircd-ratbox/trunk/src/packet.c (File Modified) 
	ircd-ratbox/trunk/src/reject.c (File Modified) 
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 
	ircd-ratbox/trunk/src/s_newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 
	ircd-ratbox/trunk/src/s_user.c (File Modified) 
	ircd-ratbox/trunk/src/send.c (File Modified) 


androsyn    2007/08/22 19:04:55 UTC	(20070822_0-24244)
  Log:
  Mangle things to deal with the rename of libircd to libratbox...perl -pi is your friend :)
  

  Modified:
	ircd-ratbox/trunk/  (Property Modified)
	ircd-ratbox/trunk/Makefile.am (File Modified) 
	ircd-ratbox/trunk/Makefile.in (File Modified) 
	ircd-ratbox/trunk/adns/Makefile.am (File Modified) 
	ircd-ratbox/trunk/adns/Makefile.in (File Modified) 
	ircd-ratbox/trunk/adns/adns.h (File Modified) 
	ircd-ratbox/trunk/adns/event.c (File Modified) 
	ircd-ratbox/trunk/adns/general.c (File Modified) 
	ircd-ratbox/trunk/adns/setup.c (File Modified) 
	ircd-ratbox/trunk/adns/transmit.c (File Modified) 
	ircd-ratbox/trunk/adns/types.c (File Modified) 
	ircd-ratbox/trunk/bandb/Makefile.am (File Modified) 
	ircd-ratbox/trunk/bandb/Makefile.in (File Modified) 
	ircd-ratbox/trunk/bandb/bandb.c (File Modified) 
	ircd-ratbox/trunk/bandb/rsdb_sqlite3.c (File Modified) 
	ircd-ratbox/trunk/configure (File Modified) 
	ircd-ratbox/trunk/configure.ac (File Modified) 
	ircd-ratbox/trunk/contrib/example_module.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_42.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_clearchan.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_flags.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_force.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_mkpasswd.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_ojoin.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_okick.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_olist.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_opme.c (File Modified) 
	ircd-ratbox/trunk/contrib/m_webirc.c (File Modified) 
	ircd-ratbox/trunk/contrib/spy_admin_notice.c (File Modified) 
	ircd-ratbox/trunk/contrib/spy_info_notice.c (File Modified) 
	ircd-ratbox/trunk/contrib/spy_links_notice.c (File Modified) 
	ircd-ratbox/trunk/contrib/spy_motd_notice.c (File Modified) 
	ircd-ratbox/trunk/contrib/spy_stats_notice.c (File Modified) 
	ircd-ratbox/trunk/contrib/spy_stats_p_notice.c (File Modified) 
	ircd-ratbox/trunk/contrib/spy_whois_notice.c (File Modified) 
	ircd-ratbox/trunk/contrib/spy_whois_notice_global.c (File Modified) 
	ircd-ratbox/trunk/include/client.h (File Modified) 
	ircd-ratbox/trunk/include/ircd_getopt.h (File Modified) 
	ircd-ratbox/trunk/include/ircd_signal.h (File Modified) 
	ircd-ratbox/trunk/include/listener.h (File Modified) 
	ircd-ratbox/trunk/include/monitor.h (File Modified) 
	ircd-ratbox/trunk/include/reject.h (File Modified) 
	ircd-ratbox/trunk/include/send.h (File Modified) 
	ircd-ratbox/trunk/include/stdinc.h (File Modified) 
	ircd-ratbox/trunk/include/struct.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_join.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_kill.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_message.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_mode.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_nick.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_part.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_quit.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/modules/m_accept.c (File Modified) 
	ircd-ratbox/trunk/modules/m_admin.c (File Modified) 
	ircd-ratbox/trunk/modules/m_away.c (File Modified) 
	ircd-ratbox/trunk/modules/m_cap.c (File Modified) 
	ircd-ratbox/trunk/modules/m_capab.c (File Modified) 
	ircd-ratbox/trunk/modules/m_cmessage.c (File Modified) 
	ircd-ratbox/trunk/modules/m_dline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_encap.c (File Modified) 
	ircd-ratbox/trunk/modules/m_gline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_help.c (File Modified) 
	ircd-ratbox/trunk/modules/m_info.c (File Modified) 
	ircd-ratbox/trunk/modules/m_invite.c (File Modified) 
	ircd-ratbox/trunk/modules/m_ison.c (File Modified) 
	ircd-ratbox/trunk/modules/m_kline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_knock.c (File Modified) 
	ircd-ratbox/trunk/modules/m_list.c (File Modified) 
	ircd-ratbox/trunk/modules/m_locops.c (File Modified) 
	ircd-ratbox/trunk/modules/m_lusers.c (File Modified) 
	ircd-ratbox/trunk/modules/m_map.c (File Modified) 
	ircd-ratbox/trunk/modules/m_monitor.c (File Modified) 
	ircd-ratbox/trunk/modules/m_motd.c (File Modified) 
	ircd-ratbox/trunk/modules/m_names.c (File Modified) 
	ircd-ratbox/trunk/modules/m_oper.c (File Modified) 
	ircd-ratbox/trunk/modules/m_operspy.c (File Modified) 
	ircd-ratbox/trunk/modules/m_pass.c (File Modified) 
	ircd-ratbox/trunk/modules/m_pong.c (File Modified) 
	ircd-ratbox/trunk/modules/m_rehash.c (File Modified) 
	ircd-ratbox/trunk/modules/m_restart.c (File Modified) 
	ircd-ratbox/trunk/modules/m_resv.c (File Modified) 
	ircd-ratbox/trunk/modules/m_services.c (File Modified) 
	ircd-ratbox/trunk/modules/m_set.c (File Modified) 
	ircd-ratbox/trunk/modules/m_stats.c (File Modified) 
	ircd-ratbox/trunk/modules/m_svinfo.c (File Modified) 
	ircd-ratbox/trunk/modules/m_testline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_time.c (File Modified) 
	ircd-ratbox/trunk/modules/m_topic.c (File Modified) 
	ircd-ratbox/trunk/modules/m_trace.c (File Modified) 
	ircd-ratbox/trunk/modules/m_user.c (File Modified) 
	ircd-ratbox/trunk/modules/m_userhost.c (File Modified) 
	ircd-ratbox/trunk/modules/m_version.c (File Modified) 
	ircd-ratbox/trunk/modules/m_who.c (File Modified) 
	ircd-ratbox/trunk/modules/m_whois.c (File Modified) 
	ircd-ratbox/trunk/modules/m_whowas.c (File Modified) 
	ircd-ratbox/trunk/modules/m_xline.c (File Modified) 
	ircd-ratbox/trunk/servlink/Makefile.am (File Modified) 
	ircd-ratbox/trunk/servlink/Makefile.in (File Modified) 
	ircd-ratbox/trunk/servlink/control.c (File Modified) 
	ircd-ratbox/trunk/servlink/io.c (File Modified) 
	ircd-ratbox/trunk/src/bandbi.c (File Modified) 
	ircd-ratbox/trunk/src/cache.c (File Modified) 
	ircd-ratbox/trunk/src/channel.c (File Modified) 
	ircd-ratbox/trunk/src/class.c (File Modified) 
	ircd-ratbox/trunk/src/client.c (File Modified) 
	ircd-ratbox/trunk/src/dns.c (File Modified) 
	ircd-ratbox/trunk/src/hash.c (File Modified) 
	ircd-ratbox/trunk/src/hook.c (File Modified) 
	ircd-ratbox/trunk/src/hostmask.c (File Modified) 
	ircd-ratbox/trunk/src/ident.c (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/src/ircd_lexer.c (File Modified) 
	ircd-ratbox/trunk/src/ircd_lexer.l (File Modified) 
	ircd-ratbox/trunk/src/ircd_parser.c (File Modified) 
	ircd-ratbox/trunk/src/ircd_parser.y (File Modified) 
	ircd-ratbox/trunk/src/ircd_signal.c (File Modified) 
	ircd-ratbox/trunk/src/listener.c (File Modified) 
	ircd-ratbox/trunk/src/match.c (File Modified) 
	ircd-ratbox/trunk/src/modules.c (File Modified) 
	ircd-ratbox/trunk/src/monitor.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/operhash.c (File Modified) 
	ircd-ratbox/trunk/src/packet.c (File Modified) 
	ircd-ratbox/trunk/src/parse.c (File Modified) 
	ircd-ratbox/trunk/src/patricia.c (File Modified) 
	ircd-ratbox/trunk/src/reject.c (File Modified) 
	ircd-ratbox/trunk/src/resolver.c (File Modified) 
	ircd-ratbox/trunk/src/restart.c (File Modified) 
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 
	ircd-ratbox/trunk/src/s_log.c (File Modified) 
	ircd-ratbox/trunk/src/s_newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 
	ircd-ratbox/trunk/src/s_user.c (File Modified) 
	ircd-ratbox/trunk/src/scache.c (File Modified) 
	ircd-ratbox/trunk/src/send.c (File Modified) 
	ircd-ratbox/trunk/src/whowas.c (File Modified) 
	ircd-ratbox/trunk/tools/Makefile.am (File Modified) 
	ircd-ratbox/trunk/tools/Makefile.in (File Modified) 
	ircd-ratbox/trunk/tools/mkpasswd.c (File Modified) 


androsyn    2007/08/21 19:16:59 UTC	(20070821_0-24235)
  Log:
  make things use ircd_fde_t instead of int fd

  Modified:
	ircd-ratbox/trunk/adns/event.c (File Modified) 
	ircd-ratbox/trunk/adns/setup.c (File Modified) 
	ircd-ratbox/trunk/adns/transmit.c (File Modified) 
	ircd-ratbox/trunk/include/listener.h (File Modified) 
	ircd-ratbox/trunk/include/reject.h (File Modified) 
	ircd-ratbox/trunk/include/send.h (File Modified) 
	ircd-ratbox/trunk/include/struct.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_nick.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/modules/m_services.c (File Modified) 
	ircd-ratbox/trunk/src/client.c (File Modified) 
	ircd-ratbox/trunk/src/ident.c (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/src/listener.c (File Modified) 
	ircd-ratbox/trunk/src/packet.c (File Modified) 
	ircd-ratbox/trunk/src/reject.c (File Modified) 
	ircd-ratbox/trunk/src/resolver.c (File Modified) 
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 
	ircd-ratbox/trunk/src/send.c (File Modified) 


androsyn    2007/08/13 18:44:39 UTC	(20070813_1-24201)
  Log:
  remove io_loop and use ircd_lib_loop

  Modified:
	ircd-ratbox/trunk/src/ircd.c (File Modified) 


androsyn    2007/08/13 18:21:20 UTC	(20070813_0-24197)
  Log:
  change ircd_currenttime calls to ircd_current_time()

  Modified:
	ircd-ratbox/trunk/modules/core/m_join.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_message.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_mode.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_nick.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_part.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_quit.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/modules/m_admin.c (File Modified) 
	ircd-ratbox/trunk/modules/m_cmessage.c (File Modified) 
	ircd-ratbox/trunk/modules/m_dline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_gline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_help.c (File Modified) 
	ircd-ratbox/trunk/modules/m_info.c (File Modified) 
	ircd-ratbox/trunk/modules/m_kline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_knock.c (File Modified) 
	ircd-ratbox/trunk/modules/m_list.c (File Modified) 
	ircd-ratbox/trunk/modules/m_lusers.c (File Modified) 
	ircd-ratbox/trunk/modules/m_motd.c (File Modified) 
	ircd-ratbox/trunk/modules/m_names.c (File Modified) 
	ircd-ratbox/trunk/modules/m_oper.c (File Modified) 
	ircd-ratbox/trunk/modules/m_pong.c (File Modified) 
	ircd-ratbox/trunk/modules/m_resv.c (File Modified) 
	ircd-ratbox/trunk/modules/m_services.c (File Modified) 
	ircd-ratbox/trunk/modules/m_stats.c (File Modified) 
	ircd-ratbox/trunk/modules/m_svinfo.c (File Modified) 
	ircd-ratbox/trunk/modules/m_testline.c (File Modified) 
	ircd-ratbox/trunk/modules/m_time.c (File Modified) 
	ircd-ratbox/trunk/modules/m_topic.c (File Modified) 
	ircd-ratbox/trunk/modules/m_trace.c (File Modified) 
	ircd-ratbox/trunk/modules/m_version.c (File Modified) 
	ircd-ratbox/trunk/modules/m_who.c (File Modified) 
	ircd-ratbox/trunk/modules/m_whois.c (File Modified) 
	ircd-ratbox/trunk/modules/m_whowas.c (File Modified) 
	ircd-ratbox/trunk/modules/m_xline.c (File Modified) 
	ircd-ratbox/trunk/src/bandbi.c (File Modified) 
	ircd-ratbox/trunk/src/channel.c (File Modified) 
	ircd-ratbox/trunk/src/client.c (File Modified) 
	ircd-ratbox/trunk/src/hash.c (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/src/listener.c (File Modified) 
	ircd-ratbox/trunk/src/packet.c (File Modified) 
	ircd-ratbox/trunk/src/reject.c (File Modified) 
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 
	ircd-ratbox/trunk/src/s_log.c (File Modified) 
	ircd-ratbox/trunk/src/s_newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 
	ircd-ratbox/trunk/src/s_user.c (File Modified) 
	ircd-ratbox/trunk/src/whowas.c (File Modified) 


androsyn    2007/08/06 11:25:22 UTC	(20070806_0-24177)
  Log:
  move up setting myargv otherwise it gets trashed by parseargs thus after a few restarts, we get trashed argvs

  Modified:
	ircd-ratbox/trunk/src/ircd.c (File Modified) 


androsyn    2007/08/04 16:08:06 UTC	(20070804_0-24173)
  Log:
  run newconf.c through indent

  Modified:
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2007/08/03 18:56:49 UTC	(20070803_8-24171)
  Log:
  Store topic information in a struct topic_info and allocate that instead of whate we were doing before.
  
  

  Modified:
	ircd-ratbox/trunk/include/channel.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_join.c (File Modified) 
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/modules/m_list.c (File Modified) 
	ircd-ratbox/trunk/modules/m_tb.c (File Modified) 
	ircd-ratbox/trunk/modules/m_topic.c (File Modified) 
	ircd-ratbox/trunk/src/channel.c (File Modified) 


androsyn    2007/08/03 18:40:11 UTC	(20070803_7-24169)
  Log:
  make m_server.c use valid_servername

  Modified:
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 


androsyn    2007/08/03 18:38:30 UTC	(20070803_6-24167)
  Log:
  match.c needs s_conf.h now

  Modified:
	ircd-ratbox/trunk/src/match.c (File Modified) 


androsyn    2007/08/03 18:38:05 UTC	(20070803_5-24165)
  Log:
  make newconf.c actually compile and remove some unused variables

  Modified:
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2007/08/03 15:22:40 UTC	(20070803_4-24163)
  Log:
  - move valid_username, valid_hostname to match.c
  - add a valid_servername to match.c
  - make servername checking use valid_servername rather than self rolled ways of doing it
  
  

  Modified:
	ircd-ratbox/trunk/include/match.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/src/match.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_user.c (File Modified) 


androsyn    2007/08/03 14:05:48 UTC	(20070803_3-24161)
  Log:
  make a few functions that static as they're not needed outside newconf.c

  Modified:
	ircd-ratbox/trunk/include/newconf.h (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2007/08/03 03:25:14 UTC	(20070803_2-24159)
  Log:
  oops..forgot the service block

  Modified:
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2007/08/03 01:18:18 UTC	(20070803_1-24157)
  Log:
  quell more type warnings

  Modified:
	ircd-ratbox/trunk/modules/m_stats.c (File Modified) 


androsyn    2007/08/03 01:17:13 UTC	(20070803_0-24155)
  Log:
  quell type warnings

  Modified:
	ircd-ratbox/trunk/modules/m_stats.c (File Modified) 


androsyn    2007/08/02 18:09:01 UTC	(20070802_8-24153)
  Log:
  fl insists on Warning instead of WARNING, i think he's too polite

  Modified:
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2007/08/02 18:08:09 UTC	(20070802_7-24151)
  Log:
  clarify error reporting and warnings

  Modified:
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2007/08/02 17:57:32 UTC	(20070802_6-24149)
  Log:
  treat blocks having a name but not needing one as a warning only

  Modified:
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2007/08/02 17:54:16 UTC	(20070802_5-24147)
  Log:
  treat invalid entries and blocks as just warnings

  Modified:
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2007/08/02 17:44:07 UTC	(20070802_4-24145)
  Log:
  oops. make it compile

  Modified:
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2007/08/02 17:41:56 UTC	(20070802_3-24143)
  Log:
  make some things in the conf warnings not errors

  Modified:
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2007/08/02 15:30:46 UTC	(20070802_2-24141)
  Log:
  clean up an error message regarding unclosed blocks

  Modified:
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2007/08/02 15:11:50 UTC	(20070802_1-24139)
  Log:
  make connect_aftype call report_error_nl instead

  Modified:
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2007/08/02 15:05:18 UTC	(20070802_0-24137)
  Log:
  - Rework the stuff in newconf.c so that it operates in more of a two pass fashion.
  - Make comment handling in the lexer not be so goddamn brain damaged.
  

  Modified:
	ircd-ratbox/trunk/doc/example.conf (File Modified) 
	ircd-ratbox/trunk/include/newconf.h (File Modified) 
	ircd-ratbox/trunk/include/s_conf.h (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/src/ircd_lexer.c (File Modified) 
	ircd-ratbox/trunk/src/ircd_lexer.l (File Modified) 
	ircd-ratbox/trunk/src/ircd_parser.c (File Modified) 
	ircd-ratbox/trunk/src/ircd_parser.h (File Modified) 
	ircd-ratbox/trunk/src/ircd_parser.y (File Modified) 
	ircd-ratbox/trunk/src/listener.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 


androsyn    2007/07/30 16:10:57 UTC	(20070730_2-24131)
  Log:
  use ircd_inet_pton_sock in a few places

  Modified:
	ircd-ratbox/trunk/src/listener.c (File Modified) 
	ircd-ratbox/trunk/src/s_newconf.c (File Modified) 


androsyn    2007/07/30 15:35:11 UTC	(20070730_1-24129)
  Log:
  oops didn't mean to commit this code

  Modified:
	ircd-ratbox/trunk/src/listener.c (File Modified) 


androsyn    2007/07/30 15:22:32 UTC	(20070730_0-24127)
  Log:
  Fix conf parser line number bug. 
  Reformat the lexer/parser so that its closer to the rest of the code.
  

  Modified:
	ircd-ratbox/trunk/src/ircd_lexer.c (File Modified) 
	ircd-ratbox/trunk/src/ircd_lexer.l (File Modified) 
	ircd-ratbox/trunk/src/ircd_parser.c (File Modified) 
	ircd-ratbox/trunk/src/ircd_parser.h (File Modified) 
	ircd-ratbox/trunk/src/ircd_parser.y (File Modified) 
	ircd-ratbox/trunk/src/listener.c (File Modified) 


androsyn    2007/07/26 18:19:36 UTC	(20070726_2-24123)
  Log:
  run the throttle_expires event a bit more often

  Modified:
	ircd-ratbox/trunk/src/reject.c (File Modified) 


androsyn    2007/07/26 16:45:08 UTC	(20070726_1-24121)
  Log:
  Remove the unknown clients per ip checking, replace with connection throttling.
  Move check_reject checking into the accept_precallback code.
  
  

  Modified:
	ircd-ratbox/trunk/doc/example.conf (File Modified) 
	ircd-ratbox/trunk/include/client.h (File Modified) 
	ircd-ratbox/trunk/include/reject.h (File Modified) 
	ircd-ratbox/trunk/include/s_conf.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/modules/m_info.c (File Modified) 
	ircd-ratbox/trunk/modules/m_unreject.c (File Modified) 
	ircd-ratbox/trunk/src/client.c (File Modified) 
	ircd-ratbox/trunk/src/listener.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/reject.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 
	ircd-ratbox/trunk/src/s_user.c (File Modified) 


androsyn    2007/07/26 16:30:31 UTC	(20070726_0-24119)
  Log:
  handle restarting the ident and bandb helpers a bit better

  Modified:
	ircd-ratbox/trunk/src/bandbi.c (File Modified) 
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 


androsyn    2007/07/25 23:53:21 UTC	(20070725_5-24113)
  Log:
  drop ssl connections if ssl_ok isn't set

  Modified:
	ircd-ratbox/trunk/include/ircd.h (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/src/listener.c (File Modified) 


androsyn    2007/07/25 19:19:36 UTC	(20070725_4-24105)
  Log:
  setup seeding the libircd prng

  Modified:
	ircd-ratbox/trunk/modules/m_oper.c (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 


androsyn    2007/07/25 17:39:51 UTC	(20070725_3-24095)
  Log:
  i'm not sure how valid it is to assume that a short read will return EAGAIN and some i/o methods probably won't like this either

  Modified:
	ircd-ratbox/trunk/src/packet.c (File Modified) 


androsyn    2007/07/25 16:48:16 UTC	(20070725_2-24093)
  Log:
  Initial first pass at getting SSL connections to work.  The conf stuff needs cleaned up to deal with errors still.
  

  Modified:
	ircd-ratbox/trunk/include/listener.h (File Modified) 
	ircd-ratbox/trunk/include/s_conf.h (File Modified) 
	ircd-ratbox/trunk/src/ircd.c (File Modified) 
	ircd-ratbox/trunk/src/listener.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 


androsyn    2007/07/25 16:07:55 UTC	(20070725_1-24087)
  Log:
  make changes for the new irc_sockaddr_storage stuff

  Modified:
	ircd-ratbox/trunk/include/hostmask.h (File Modified) 
	ircd-ratbox/trunk/include/listener.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/modules/m_stats.c (File Modified) 
	ircd-ratbox/trunk/modules/m_trace.c (File Modified) 
	ircd-ratbox/trunk/src/bandbi.c (File Modified) 
	ircd-ratbox/trunk/src/ident.c (File Modified) 
	ircd-ratbox/trunk/src/listener.c (File Modified) 
	ircd-ratbox/trunk/src/newconf.c (File Modified) 
	ircd-ratbox/trunk/src/reject.c (File Modified) 
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 
	ircd-ratbox/trunk/src/s_conf.c (File Modified) 
	ircd-ratbox/trunk/src/s_newconf.c (File Modified) 
	ircd-ratbox/trunk/src/s_serv.c (File Modified) 


androsyn    2007/07/25 14:16:11 UTC	(20070725_0-24077)
  Log:
  change ping cookie format specifier to be unsigned int instead of unsigned long

  Modified:
	ircd-ratbox/trunk/src/s_user.c (File Modified) 


androsyn    2007/07/24 18:15:02 UTC	(20070724_2-24067)
  Log:
  various warning cleanups

  Modified:
	ircd-ratbox/trunk/bandb/bandb.c (File Modified) 
	ircd-ratbox/trunk/include/common.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_server.c (File Modified) 
	ircd-ratbox/trunk/src/ident.c (File Modified) 
	ircd-ratbox/trunk/src/listener.c (File Modified) 
	ircd-ratbox/trunk/src/monitor.c (File Modified) 
	ircd-ratbox/trunk/src/reject.c (File Modified) 


androsyn    2007/07/24 18:10:41 UTC	(20070724_1-24063)
  Log:
  change EmptyString so gcc 4.2 doesn't complain

  Modified:
	ircd-ratbox/trunk/include/match.h (File Modified) 


androsyn    2007/07/24 16:16:08 UTC	(20070724_0-24053)
  Log:
  - make ircd use the updated helper interface
  - don't let bandb dump core when run directly from the commandline
  

  Modified:
	ircd-ratbox/trunk/bandb/bandb.c (File Modified) 
	ircd-ratbox/trunk/src/bandbi.c (File Modified) 
	ircd-ratbox/trunk/src/dns.c (File Modified) 
	ircd-ratbox/trunk/src/ident.c (File Modified) 
	ircd-ratbox/trunk/src/resolver.c (File Modified) 
	ircd-ratbox/trunk/src/s_auth.c (File Modified) 


androsyn    2007/07/20 15:34:24 UTC	(20070720_2-24027)
  Log:
  add the code to use the new accept callback stuff

  Modified:
	ircd-ratbox/trunk/src/listener.c (File Modified) 


androsyn    2007/07/20 14:55:28 UTC	(20070720_1-24013)
  Log:
  fix compile error

  Modified:
	ircd-ratbox/trunk/src/s_user.c (File Modified) 


androsyn    2007/07/20 14:52:52 UTC	(20070720_0-24011)
  Log:
  fix a compile error

  Modified:
	ircd-ratbox/trunk/modules/core/m_nick.c (File Modified) 


androsyn    2007/07/17 02:39:07 UTC	(20070717_0-23997)
  Log:
  introduce_client always return 0, change it to void

  Modified:
	ircd-ratbox/trunk/include/s_user.h (File Modified) 
	ircd-ratbox/trunk/modules/core/m_nick.c (File Modified) 
	ircd-ratbox/trunk/src/s_user.c (File Modified) 


jilles      2007/07/14 12:42:35 UTC	(20070714_0-23977)
  Log:
  add_id() for local client: do not collapse() the ban mask.
  The code calling this already collapses the mask, and if
  not, doing it here would cause a desync.
  

  Modified:
	ircd-ratbox/trunk/modules/core/m_mode.c (File Modified) 


jilles      2007/06/30 22:28:55 UTC	(20070630_0-23973)
  Log:
  monitor: send the same message buffer to all users
  monitoring a certain nick; the target field of the
  numeric becomes *, much like server notices
  

  Modified:
	ircd-ratbox/trunk/doc/monitor.txt (File Modified) 
	ircd-ratbox/trunk/include/send.h (File Modified) 
	ircd-ratbox/trunk/src/monitor.c (File Modified) 
	ircd-ratbox/trunk/src/send.c (File Modified) 


androsyn    2007/06/08 15:24:28 UTC	(20070608_0-23971)
  Log:
  fix compile errors

  Modified:
	ircd-ratbox/trunk/src/reject.c (File Modified) 


